/*===========================================================================*/
/*   (Llib/process.scm)                                                      */
/*   Bigloo (2.5b)                                                           */
/*   Manuel Serrano (c)       Fri Sep 6 09:43:28 CEST 2002                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

/* debug mode */
#define BIGLOO_DEBUG 1

#include <bigloo.h>
#include <signal.h>

static obj_t BGl_keyword2161z00zz__processz00 = BUNSPEC;
static obj_t BGl_keyword2162z00zz__processz00 = BUNSPEC;
static obj_t BGl_keyword2163z00zz__processz00 = BUNSPEC;
extern obj_t BGl_runzd2processzd2zz__processz00(obj_t, obj_t);
static obj_t BGl_keyword2164z00zz__processz00 = BUNSPEC;
static obj_t BGl_keyword2165z00zz__processz00 = BUNSPEC;
extern obj_t BGl_modulezd2initializa7ationz75zz__processz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_keyword2166z00zz__processz00 = BUNSPEC;
extern bool_t c_process_alivep(obj_t);
extern obj_t BGl_debugzd2errorzf2locationz20zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_processzd2exitzd2statusz00zz__processz00(obj_t);
extern obj_t BGl_processzd2stopzd2zz__processz00(obj_t);
static obj_t BGl__processzd2alivezf3z21zz__processz00(obj_t, obj_t);
static obj_t BGl__processzd2exitzd2statusz00zz__processz00(obj_t, obj_t);
static obj_t BGl__processzd2continuezd2zz__processz00(obj_t, obj_t);
extern obj_t BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(obj_t);
extern bool_t BGl_processzf3zf3zz__processz00(obj_t);
extern obj_t c_process_wait(obj_t);
extern bool_t BGl_processzd2alivezf3z21zz__processz00(obj_t);
extern obj_t c_process_continue(obj_t);
static obj_t BGl__processzd2killzd2zz__processz00(obj_t, obj_t);
static obj_t BGl__processzd2inputzd2portz00zz__processz00(obj_t, obj_t);
static obj_t BGl__processzd2sendzd2signalz00zz__processz00(obj_t, obj_t, obj_t);
extern obj_t c_process_send_signal(obj_t, int);
extern obj_t BGl_processzd2continuezd2zz__processz00(obj_t);
static obj_t BGl__processzf3zf3zz__processz00(obj_t, obj_t);
extern obj_t BGl_processzd2sendzd2signalz00zz__processz00(obj_t, int);
static obj_t BGl_cnstzd2initzd2zz__processz00();
extern bool_t BGl_processzd2waitzd2zz__processz00(obj_t);
static obj_t BGl__processzd2listzd2zz__processz00(obj_t);
static obj_t BGl__runzd2processzd2zz__processz00(obj_t, obj_t, obj_t);
extern obj_t string_to_symbol(char *);
extern obj_t c_process_stop(obj_t);
extern obj_t BGl_unregisterzd2processzd2zz__processz00(obj_t);
extern obj_t c_run_process(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__processz00();
static obj_t BGl_symbol2171z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2170z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2169z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2167z00zz__processz00 = BUNSPEC;
extern obj_t BGl_processzd2errorzd2portz00zz__processz00(obj_t);
static obj_t BGl__processzd2stopzd2zz__processz00(obj_t, obj_t);
extern obj_t BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_symbol2153z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2152z00zz__processz00 = BUNSPEC;
extern obj_t c_process_list();
static obj_t BGl_symbol2151z00zz__processz00 = BUNSPEC;
extern obj_t c_process_xstatus(obj_t);
extern obj_t BGl_processzd2outputzd2portz00zz__processz00(obj_t);
static obj_t BGl_symbol2150z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2149z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2148z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2147z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2146z00zz__processz00 = BUNSPEC;
static obj_t BGl_requirezd2initializa7ationz75zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2144z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2143z00zz__processz00 = BUNSPEC;
static obj_t BGl__processzd2outputzd2portz00zz__processz00(obj_t, obj_t);
static obj_t BGl_symbol2142z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2141z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2140z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2139z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2138z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2137z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2136z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2135z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2134z00zz__processz00 = BUNSPEC;
extern obj_t BGl_processzd2inputzd2portz00zz__processz00(obj_t);
static obj_t BGl_symbol2133z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2132z00zz__processz00 = BUNSPEC;
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_symbol2131z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2128z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2127z00zz__processz00 = BUNSPEC;
static obj_t BGl_symbol2126z00zz__processz00 = BUNSPEC;
extern obj_t BGl_processzd2killzd2zz__processz00(obj_t);
extern obj_t BGl_errorzf2czd2locationz20zz__errorz00(obj_t, obj_t, obj_t, char *, long);
extern obj_t c_process_kill(obj_t);
static obj_t BGl_list2154z00zz__processz00 = BUNSPEC;
static obj_t BGl__processzd2waitzd2zz__processz00(obj_t, obj_t);
extern obj_t string_to_keyword(char *);
extern obj_t c_unregister_process(obj_t);
extern obj_t BGl_processzd2listzd2zz__processz00();
static obj_t BGl__processzd2pidzd2zz__processz00(obj_t, obj_t);
static obj_t BGl__unregisterzd2processzd2zz__processz00(obj_t, obj_t);
extern int BGl_processzd2pidzd2zz__processz00(obj_t);
static obj_t BGl__processzd2errorzd2portz00zz__processz00(obj_t, obj_t);
static obj_t BGl_keyword2155z00zz__processz00 = BUNSPEC;
static obj_t BGl_keyword2158z00zz__processz00 = BUNSPEC;
static obj_t *__cnst;

DEFINE_EXPORT_PROCEDURE( BGl_processzd2pidzd2envz00zz__processz00, BgL_bgl__processza7d2pidza7d2za7za7__processza7002182za7, BGl__processzd2pidzd2zz__processz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_processzd2killzd2envz00zz__processz00, BgL_bgl__processza7d2killza7d2za7za7__processza7002183za7, BGl__processzd2killzd2zz__processz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_processzd2errorzd2portzd2envzd2zz__processz00, BgL_bgl__processza7d2errorza7d2portza700za7za7__processza7002184z00, BGl__processzd2errorzd2portz00zz__processz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_processzd2sendzd2signalzd2envzd2zz__processz00, BgL_bgl__processza7d2sendza7d2signalza700za7za7__processza7002185z00, BGl__processzd2sendzd2signalz00zz__processz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_processzd2exitzd2statuszd2envzd2zz__processz00, BgL_bgl__processza7d2exitza7d2statusza700za7za7__processza7002186z00, BGl__processzd2exitzd2statusz00zz__processz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_processzd2alivezf3zd2envzf3zz__processz00, BgL_bgl__processza7d2aliveza7f3za721za7za7__processza7002187z00, BGl__processzd2alivezf3z21zz__processz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_processzd2listzd2envz00zz__processz00, BgL_bgl__processza7d2listza7d2za7za7__processza7002188za7, BGl__processzd2listzd2zz__processz00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_processzd2continuezd2envz00zz__processz00, BgL_bgl__processza7d2continueza7d2za7za7__processza7002189za7, BGl__processzd2continuezd2zz__processz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_processzf3zd2envz21zz__processz00, BgL_bgl__processza7f3za7f3za7za7__processza7002190za7, BGl__processzf3zf3zz__processz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_processzd2waitzd2envz00zz__processz00, BgL_bgl__processza7d2waitza7d2za7za7__processza7002191za7, BGl__processzd2waitzd2zz__processz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_processzd2outputzd2portzd2envzd2zz__processz00, BgL_bgl__processza7d2outputza7d2portza700za7za7__processza7002192z00, BGl__processzd2outputzd2portz00zz__processz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_unregisterzd2processzd2envz00zz__processz00, BgL_bgl__unregisterza7d2processza7d2za7za7__processza7002193za7, BGl__unregisterzd2processzd2zz__processz00, 0L, 1 );
DEFINE_STRING( BGl_string2168z00zz__processz00, BgL_bgl_string2168za700za7za7__processza7002194z00, "bstring", 7 );
DEFINE_STRING( BGl_string2160z00zz__processz00, BgL_bgl_string2160za700za7za7__processza7002195z00, "Illegal argument", 16 );
DEFINE_STRING( BGl_string2159z00zz__processz00, BgL_bgl_string2159za700za7za7__processza7002196z00, "run-process", 11 );
DEFINE_STRING( BGl_string2157z00zz__processz00, BgL_bgl_string2157za700za7za7__processza7002197z00, "pair", 4 );
DEFINE_STRING( BGl_string2156z00zz__processz00, BgL_bgl_string2156za700za7za7__processza7002198z00, "pair-nil", 8 );
DEFINE_STRING( BGl_string2145z00zz__processz00, BgL_bgl_string2145za700za7za7__processza7002199z00, "int", 3 );
DEFINE_EXPORT_PROCEDURE( BGl_processzd2stopzd2envz00zz__processz00, BgL_bgl__processza7d2stopza7d2za7za7__processza7002200za7, BGl__processzd2stopzd2zz__processz00, 0L, 1 );
DEFINE_STRING( BGl_string2130z00zz__processz00, BgL_bgl_string2130za700za7za7__processza7002201z00, "/tmp/bigloo/runtime/Llib/process.scm", 36 );
DEFINE_STRING( BGl_string2129z00zz__processz00, BgL_bgl_string2129za700za7za7__processza7002202z00, "process", 7 );
DEFINE_EXPORT_PROCEDURE( BGl_processzd2inputzd2portzd2envzd2zz__processz00, BgL_bgl__processza7d2inputza7d2portza700za7za7__processza7002203z00, BGl__processzd2inputzd2portz00zz__processz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_runzd2processzd2envz00zz__processz00, BgL_bgl__runza7d2processza7d2za7za7__processza7002204za7, va_generic_entry, BGl__runzd2processzd2zz__processz00, -2 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zz__processz00(long BgL_checksumz00_747, char * BgL_fromz00_748)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__processz00))
{ 
BGl_requirezd2initializa7ationz75zz__processz00 = 
BBOOL(((bool_t)0)); 
BGl_cnstzd2initzd2zz__processz00(); 
BGl_importedzd2moduleszd2initz00zz__processz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__processz00()
{ AN_OBJECT;
{ /* Llib/process.scm 15 */
BGl_symbol2126z00zz__processz00 = 
string_to_symbol("process?"); 
BGl_symbol2127z00zz__processz00 = 
string_to_symbol("process-pid"); 
BGl_symbol2128z00zz__processz00 = 
string_to_symbol("_process-pid"); 
BGl_symbol2131z00zz__processz00 = 
string_to_symbol("process-output-port"); 
BGl_symbol2132z00zz__processz00 = 
string_to_symbol("_process-output-port"); 
BGl_symbol2133z00zz__processz00 = 
string_to_symbol("process-input-port"); 
BGl_symbol2134z00zz__processz00 = 
string_to_symbol("_process-input-port"); 
BGl_symbol2135z00zz__processz00 = 
string_to_symbol("process-error-port"); 
BGl_symbol2136z00zz__processz00 = 
string_to_symbol("_process-error-port"); 
BGl_symbol2137z00zz__processz00 = 
string_to_symbol("process-alive?"); 
BGl_symbol2138z00zz__processz00 = 
string_to_symbol("_process-alive?"); 
BGl_symbol2139z00zz__processz00 = 
string_to_symbol("process-wait"); 
BGl_symbol2140z00zz__processz00 = 
string_to_symbol("_process-wait"); 
BGl_symbol2141z00zz__processz00 = 
string_to_symbol("process-exit-status"); 
BGl_symbol2142z00zz__processz00 = 
string_to_symbol("_process-exit-status"); 
BGl_symbol2143z00zz__processz00 = 
string_to_symbol("process-send-signal"); 
BGl_symbol2144z00zz__processz00 = 
string_to_symbol("_process-send-signal"); 
BGl_symbol2146z00zz__processz00 = 
string_to_symbol("process-kill"); 
BGl_symbol2147z00zz__processz00 = 
string_to_symbol("_process-kill"); 
BGl_symbol2148z00zz__processz00 = 
string_to_symbol("process-stop"); 
BGl_symbol2149z00zz__processz00 = 
string_to_symbol("_process-stop"); 
BGl_symbol2150z00zz__processz00 = 
string_to_symbol("process-continue"); 
BGl_symbol2151z00zz__processz00 = 
string_to_symbol("_process-continue"); 
BGl_symbol2152z00zz__processz00 = 
string_to_symbol("process-list"); 
BGl_symbol2153z00zz__processz00 = 
string_to_symbol("run-process"); 
BGl_keyword2155z00zz__processz00 = 
string_to_keyword("pipe:"); 
BGl_list2154z00zz__processz00 = 
MAKE_PAIR(BGl_keyword2155z00zz__processz00, BNIL); 
BGl_keyword2158z00zz__processz00 = 
string_to_keyword("wait:"); 
BGl_keyword2161z00zz__processz00 = 
string_to_keyword("fork:"); 
BGl_keyword2162z00zz__processz00 = 
string_to_keyword("input:"); 
BGl_keyword2163z00zz__processz00 = 
string_to_keyword("output:"); 
BGl_keyword2164z00zz__processz00 = 
string_to_keyword("error:"); 
BGl_keyword2165z00zz__processz00 = 
string_to_keyword("host:"); 
BGl_keyword2166z00zz__processz00 = 
string_to_keyword("env:"); 
BGl_symbol2167z00zz__processz00 = 
string_to_symbol("_run-process"); 
BGl_symbol2169z00zz__processz00 = 
string_to_symbol("unregister-process"); 
BGl_symbol2170z00zz__processz00 = 
string_to_symbol("_unregister-process"); 
return ( 
BGl_symbol2171z00zz__processz00 = 
string_to_symbol("imported-modules-init"), BUNSPEC) ;} 
}



/* process? */
bool_t BGl_processzf3zf3zz__processz00(obj_t BgL_objz00_1)
{ AN_OBJECT;
{ /* Llib/process.scm 112 */
{ /* Llib/process.scm 113 */
obj_t BgL_symbol1702z00_668;
BgL_symbol1702z00_668 = BGl_symbol2126z00zz__processz00; 
{ /* Llib/process.scm 113 */

PUSH_TRACE(BgL_symbol1702z00_668); BUNSPEC; 
{ /* Llib/process.scm 113 */
bool_t BgL_aux1701z00_669;
BgL_aux1701z00_669 = 
PROCESSP(BgL_objz00_1); 
POP_TRACE(); 
return BgL_aux1701z00_669;} } } } 
}



/* _process? */
obj_t BGl__processzf3zf3zz__processz00(obj_t BgL_envz00_585, obj_t BgL_objz00_586)
{ AN_OBJECT;
{ /* Llib/process.scm 112 */
{ /* Llib/process.scm 113 */
bool_t BgL_auxz00_795;
{ /* Llib/process.scm 113 */
bool_t BgL_res2172z00_673;
{ /* Llib/process.scm 113 */
obj_t BgL_symbol1702z00_671;
BgL_symbol1702z00_671 = BGl_symbol2126z00zz__processz00; 
{ /* Llib/process.scm 113 */

PUSH_TRACE(BgL_symbol1702z00_671); BUNSPEC; 
{ /* Llib/process.scm 113 */
bool_t BgL_aux1701z00_672;
BgL_aux1701z00_672 = 
PROCESSP(BgL_objz00_586); 
POP_TRACE(); 
BgL_res2172z00_673 = BgL_aux1701z00_672; } } } 
BgL_auxz00_795 = BgL_res2172z00_673; } 
return 
BBOOL(BgL_auxz00_795);} } 
}



/* process-pid */
int BGl_processzd2pidzd2zz__processz00(obj_t BgL_procz00_2)
{ AN_OBJECT;
{ /* Llib/process.scm 118 */
{ /* Llib/process.scm 119 */
obj_t BgL_symbol1706z00_674;
BgL_symbol1706z00_674 = BGl_symbol2127z00zz__processz00; 
{ /* Llib/process.scm 119 */

PUSH_TRACE(BgL_symbol1706z00_674); BUNSPEC; 
{ /* Llib/process.scm 119 */
int BgL_aux1705z00_675;
BgL_aux1705z00_675 = 
PROCESS_PID(BgL_procz00_2); 
POP_TRACE(); 
return BgL_aux1705z00_675;} } } } 
}



/* _process-pid */
obj_t BGl__processzd2pidzd2zz__processz00(obj_t BgL_envz00_587, obj_t BgL_procz00_588)
{ AN_OBJECT;
{ /* Llib/process.scm 118 */
{ /* Llib/process.scm 119 */
int BgL_auxz00_803;
{ /* Llib/process.scm 119 */
int BgL_res2173z00_679;
{ /* Llib/process.scm 119 */
obj_t BgL_procz00_676;
if(
PROCESSP(BgL_procz00_588))
{ /* Llib/process.scm 119 */
BgL_procz00_676 = BgL_procz00_588; }  else 
{ /* Llib/process.scm 119 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2128z00zz__processz00, BGl_string2129z00zz__processz00, BgL_procz00_588, BGl_string2130z00zz__processz00, 
BINT(((long)5108))); 
exit( -1 );} 
{ /* Llib/process.scm 119 */
obj_t BgL_symbol1706z00_677;
BgL_symbol1706z00_677 = BGl_symbol2127z00zz__processz00; 
{ /* Llib/process.scm 119 */

PUSH_TRACE(BgL_symbol1706z00_677); BUNSPEC; 
{ /* Llib/process.scm 119 */
int BgL_aux1705z00_678;
BgL_aux1705z00_678 = 
PROCESS_PID(BgL_procz00_676); 
POP_TRACE(); 
BgL_res2173z00_679 = BgL_aux1705z00_678; } } } } 
BgL_auxz00_803 = BgL_res2173z00_679; } 
return 
BINT(BgL_auxz00_803);} } 
}



/* process-output-port */
obj_t BGl_processzd2outputzd2portz00zz__processz00(obj_t BgL_procz00_3)
{ AN_OBJECT;
{ /* Llib/process.scm 124 */
{ /* Llib/process.scm 125 */
obj_t BgL_symbol1710z00_680;
BgL_symbol1710z00_680 = BGl_symbol2131z00zz__processz00; 
{ /* Llib/process.scm 125 */

PUSH_TRACE(BgL_symbol1710z00_680); BUNSPEC; 
{ /* Llib/process.scm 125 */
obj_t BgL_aux1709z00_681;
BgL_aux1709z00_681 = 
PROCESS_OUTPUT_PORT(BgL_procz00_3); 
POP_TRACE(); 
return BgL_aux1709z00_681;} } } } 
}



/* _process-output-port */
obj_t BGl__processzd2outputzd2portz00zz__processz00(obj_t BgL_envz00_589, obj_t BgL_procz00_590)
{ AN_OBJECT;
{ /* Llib/process.scm 124 */
{ /* Llib/process.scm 125 */
obj_t BgL_procz00_682;
if(
PROCESSP(BgL_procz00_590))
{ /* Llib/process.scm 125 */
BgL_procz00_682 = BgL_procz00_590; }  else 
{ /* Llib/process.scm 125 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2132z00zz__processz00, BGl_string2129z00zz__processz00, BgL_procz00_590, BGl_string2130z00zz__processz00, 
BINT(((long)5398))); 
exit( -1 );} 
{ /* Llib/process.scm 125 */
obj_t BgL_symbol1710z00_683;
BgL_symbol1710z00_683 = BGl_symbol2131z00zz__processz00; 
{ /* Llib/process.scm 125 */

PUSH_TRACE(BgL_symbol1710z00_683); BUNSPEC; 
{ /* Llib/process.scm 125 */
obj_t BgL_aux1709z00_684;
BgL_aux1709z00_684 = 
PROCESS_OUTPUT_PORT(BgL_procz00_682); 
POP_TRACE(); 
return BgL_aux1709z00_684;} } } } } 
}



/* process-input-port */
obj_t BGl_processzd2inputzd2portz00zz__processz00(obj_t BgL_procz00_4)
{ AN_OBJECT;
{ /* Llib/process.scm 130 */
{ /* Llib/process.scm 131 */
obj_t BgL_symbol1714z00_685;
BgL_symbol1714z00_685 = BGl_symbol2133z00zz__processz00; 
{ /* Llib/process.scm 131 */

PUSH_TRACE(BgL_symbol1714z00_685); BUNSPEC; 
{ /* Llib/process.scm 131 */
obj_t BgL_aux1713z00_686;
BgL_aux1713z00_686 = 
PROCESS_INPUT_PORT(BgL_procz00_4); 
POP_TRACE(); 
return BgL_aux1713z00_686;} } } } 
}



/* _process-input-port */
obj_t BGl__processzd2inputzd2portz00zz__processz00(obj_t BgL_envz00_591, obj_t BgL_procz00_592)
{ AN_OBJECT;
{ /* Llib/process.scm 130 */
{ /* Llib/process.scm 131 */
obj_t BgL_procz00_687;
if(
PROCESSP(BgL_procz00_592))
{ /* Llib/process.scm 131 */
BgL_procz00_687 = BgL_procz00_592; }  else 
{ /* Llib/process.scm 131 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2134z00zz__processz00, BGl_string2129z00zz__processz00, BgL_procz00_592, BGl_string2130z00zz__processz00, 
BINT(((long)5695))); 
exit( -1 );} 
{ /* Llib/process.scm 131 */
obj_t BgL_symbol1714z00_688;
BgL_symbol1714z00_688 = BGl_symbol2133z00zz__processz00; 
{ /* Llib/process.scm 131 */

PUSH_TRACE(BgL_symbol1714z00_688); BUNSPEC; 
{ /* Llib/process.scm 131 */
obj_t BgL_aux1713z00_689;
BgL_aux1713z00_689 = 
PROCESS_INPUT_PORT(BgL_procz00_687); 
POP_TRACE(); 
return BgL_aux1713z00_689;} } } } } 
}



/* process-error-port */
obj_t BGl_processzd2errorzd2portz00zz__processz00(obj_t BgL_procz00_5)
{ AN_OBJECT;
{ /* Llib/process.scm 136 */
{ /* Llib/process.scm 137 */
obj_t BgL_symbol1718z00_690;
BgL_symbol1718z00_690 = BGl_symbol2135z00zz__processz00; 
{ /* Llib/process.scm 137 */

PUSH_TRACE(BgL_symbol1718z00_690); BUNSPEC; 
{ /* Llib/process.scm 137 */
obj_t BgL_aux1717z00_691;
BgL_aux1717z00_691 = 
PROCESS_ERROR_PORT(BgL_procz00_5); 
POP_TRACE(); 
return BgL_aux1717z00_691;} } } } 
}



/* _process-error-port */
obj_t BGl__processzd2errorzd2portz00zz__processz00(obj_t BgL_envz00_593, obj_t BgL_procz00_594)
{ AN_OBJECT;
{ /* Llib/process.scm 136 */
{ /* Llib/process.scm 137 */
obj_t BgL_procz00_692;
if(
PROCESSP(BgL_procz00_594))
{ /* Llib/process.scm 137 */
BgL_procz00_692 = BgL_procz00_594; }  else 
{ /* Llib/process.scm 137 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2136z00zz__processz00, BGl_string2129z00zz__processz00, BgL_procz00_594, BGl_string2130z00zz__processz00, 
BINT(((long)5991))); 
exit( -1 );} 
{ /* Llib/process.scm 137 */
obj_t BgL_symbol1718z00_693;
BgL_symbol1718z00_693 = BGl_symbol2135z00zz__processz00; 
{ /* Llib/process.scm 137 */

PUSH_TRACE(BgL_symbol1718z00_693); BUNSPEC; 
{ /* Llib/process.scm 137 */
obj_t BgL_aux1717z00_694;
BgL_aux1717z00_694 = 
PROCESS_ERROR_PORT(BgL_procz00_692); 
POP_TRACE(); 
return BgL_aux1717z00_694;} } } } } 
}



/* process-alive? */
bool_t BGl_processzd2alivezf3z21zz__processz00(obj_t BgL_procz00_6)
{ AN_OBJECT;
{ /* Llib/process.scm 142 */
{ /* Llib/process.scm 143 */
obj_t BgL_symbol1722z00_695;
BgL_symbol1722z00_695 = BGl_symbol2137z00zz__processz00; 
{ /* Llib/process.scm 143 */

PUSH_TRACE(BgL_symbol1722z00_695); BUNSPEC; 
{ /* Llib/process.scm 143 */
bool_t BgL_aux1721z00_696;
BgL_aux1721z00_696 = 
c_process_alivep(BgL_procz00_6); 
POP_TRACE(); 
return BgL_aux1721z00_696;} } } } 
}



/* _process-alive? */
obj_t BGl__processzd2alivezf3z21zz__processz00(obj_t BgL_envz00_595, obj_t BgL_procz00_596)
{ AN_OBJECT;
{ /* Llib/process.scm 142 */
{ /* Llib/process.scm 143 */
bool_t BgL_auxz00_849;
{ /* Llib/process.scm 143 */
bool_t BgL_res2174z00_700;
{ /* Llib/process.scm 143 */
obj_t BgL_procz00_697;
if(
PROCESSP(BgL_procz00_596))
{ /* Llib/process.scm 143 */
BgL_procz00_697 = BgL_procz00_596; }  else 
{ /* Llib/process.scm 143 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2138z00zz__processz00, BGl_string2129z00zz__processz00, BgL_procz00_596, BGl_string2130z00zz__processz00, 
BINT(((long)6283))); 
exit( -1 );} 
{ /* Llib/process.scm 143 */
obj_t BgL_symbol1722z00_698;
BgL_symbol1722z00_698 = BGl_symbol2137z00zz__processz00; 
{ /* Llib/process.scm 143 */

PUSH_TRACE(BgL_symbol1722z00_698); BUNSPEC; 
{ /* Llib/process.scm 143 */
bool_t BgL_aux1721z00_699;
BgL_aux1721z00_699 = 
c_process_alivep(BgL_procz00_697); 
POP_TRACE(); 
BgL_res2174z00_700 = BgL_aux1721z00_699; } } } } 
BgL_auxz00_849 = BgL_res2174z00_700; } 
return 
BBOOL(BgL_auxz00_849);} } 
}



/* process-wait */
bool_t BGl_processzd2waitzd2zz__processz00(obj_t BgL_procz00_7)
{ AN_OBJECT;
{ /* Llib/process.scm 148 */
{ /* Llib/process.scm 149 */
obj_t BgL_symbol1726z00_701;
BgL_symbol1726z00_701 = BGl_symbol2139z00zz__processz00; 
{ /* Llib/process.scm 149 */

PUSH_TRACE(BgL_symbol1726z00_701); BUNSPEC; 
{ /* Llib/process.scm 149 */
bool_t BgL_aux1725z00_702;
if(
c_process_alivep(BgL_procz00_7))
{ /* Llib/process.scm 149 */
obj_t BgL_auxz00_862;
BgL_auxz00_862 = 
c_process_wait(BgL_procz00_7); 
BgL_aux1725z00_702 = 
CBOOL(BgL_auxz00_862); }  else 
{ /* Llib/process.scm 149 */
BgL_aux1725z00_702 = ((bool_t)0); } 
POP_TRACE(); 
return BgL_aux1725z00_702;} } } } 
}



/* _process-wait */
obj_t BGl__processzd2waitzd2zz__processz00(obj_t BgL_envz00_597, obj_t BgL_procz00_598)
{ AN_OBJECT;
{ /* Llib/process.scm 148 */
{ /* Llib/process.scm 149 */
bool_t BgL_auxz00_866;
{ /* Llib/process.scm 149 */
bool_t BgL_res2175z00_706;
{ /* Llib/process.scm 149 */
obj_t BgL_procz00_703;
if(
PROCESSP(BgL_procz00_598))
{ /* Llib/process.scm 149 */
BgL_procz00_703 = BgL_procz00_598; }  else 
{ /* Llib/process.scm 149 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2140z00zz__processz00, BGl_string2129z00zz__processz00, BgL_procz00_598, BGl_string2130z00zz__processz00, 
BINT(((long)6569))); 
exit( -1 );} 
{ /* Llib/process.scm 149 */
obj_t BgL_symbol1726z00_704;
BgL_symbol1726z00_704 = BGl_symbol2139z00zz__processz00; 
{ /* Llib/process.scm 149 */

PUSH_TRACE(BgL_symbol1726z00_704); BUNSPEC; 
{ /* Llib/process.scm 149 */
bool_t BgL_aux1725z00_705;
if(
c_process_alivep(BgL_procz00_703))
{ /* Llib/process.scm 149 */
obj_t BgL_auxz00_875;
BgL_auxz00_875 = 
c_process_wait(BgL_procz00_703); 
BgL_aux1725z00_705 = 
CBOOL(BgL_auxz00_875); }  else 
{ /* Llib/process.scm 149 */
BgL_aux1725z00_705 = ((bool_t)0); } 
POP_TRACE(); 
BgL_res2175z00_706 = BgL_aux1725z00_705; } } } } 
BgL_auxz00_866 = BgL_res2175z00_706; } 
return 
BBOOL(BgL_auxz00_866);} } 
}



/* process-exit-status */
obj_t BGl_processzd2exitzd2statusz00zz__processz00(obj_t BgL_procz00_8)
{ AN_OBJECT;
{ /* Llib/process.scm 155 */
{ /* Llib/process.scm 156 */
obj_t BgL_symbol1730z00_707;
BgL_symbol1730z00_707 = BGl_symbol2141z00zz__processz00; 
{ /* Llib/process.scm 156 */

PUSH_TRACE(BgL_symbol1730z00_707); BUNSPEC; 
{ /* Llib/process.scm 156 */
obj_t BgL_aux1729z00_708;
BgL_aux1729z00_708 = 
c_process_xstatus(BgL_procz00_8); 
POP_TRACE(); 
return BgL_aux1729z00_708;} } } } 
}



/* _process-exit-status */
obj_t BGl__processzd2exitzd2statusz00zz__processz00(obj_t BgL_envz00_599, obj_t BgL_procz00_600)
{ AN_OBJECT;
{ /* Llib/process.scm 155 */
{ /* Llib/process.scm 156 */
obj_t BgL_procz00_709;
if(
PROCESSP(BgL_procz00_600))
{ /* Llib/process.scm 156 */
BgL_procz00_709 = BgL_procz00_600; }  else 
{ /* Llib/process.scm 156 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2142z00zz__processz00, BGl_string2129z00zz__processz00, BgL_procz00_600, BGl_string2130z00zz__processz00, 
BINT(((long)6894))); 
exit( -1 );} 
{ /* Llib/process.scm 156 */
obj_t BgL_symbol1730z00_710;
BgL_symbol1730z00_710 = BGl_symbol2141z00zz__processz00; 
{ /* Llib/process.scm 156 */

PUSH_TRACE(BgL_symbol1730z00_710); BUNSPEC; 
{ /* Llib/process.scm 156 */
obj_t BgL_aux1729z00_711;
BgL_aux1729z00_711 = 
c_process_xstatus(BgL_procz00_709); 
POP_TRACE(); 
return BgL_aux1729z00_711;} } } } } 
}



/* process-send-signal */
obj_t BGl_processzd2sendzd2signalz00zz__processz00(obj_t BgL_procz00_9, int BgL_signalz00_10)
{ AN_OBJECT;
{ /* Llib/process.scm 161 */
{ /* Llib/process.scm 162 */
obj_t BgL_symbol1734z00_712;
BgL_symbol1734z00_712 = BGl_symbol2143z00zz__processz00; 
{ /* Llib/process.scm 162 */

PUSH_TRACE(BgL_symbol1734z00_712); BUNSPEC; 
{ /* Llib/process.scm 162 */
obj_t BgL_aux1733z00_713;
BgL_aux1733z00_713 = 
c_process_send_signal(BgL_procz00_9, BgL_signalz00_10); 
POP_TRACE(); 
return BgL_aux1733z00_713;} } } } 
}



/* _process-send-signal */
obj_t BGl__processzd2sendzd2signalz00zz__processz00(obj_t BgL_envz00_601, obj_t BgL_procz00_602, obj_t BgL_signalz00_603)
{ AN_OBJECT;
{ /* Llib/process.scm 161 */
{ /* Llib/process.scm 162 */
obj_t BgL_procz00_714;int BgL_signalz00_715;
if(
PROCESSP(BgL_procz00_602))
{ /* Llib/process.scm 162 */
BgL_procz00_714 = BgL_procz00_602; }  else 
{ /* Llib/process.scm 162 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2144z00zz__processz00, BGl_string2129z00zz__processz00, BgL_procz00_602, BGl_string2130z00zz__processz00, 
BINT(((long)7199))); 
exit( -1 );} 
{ /* Llib/process.scm 162 */
obj_t BgL_auxz00_899;
if(
INTEGERP(BgL_signalz00_603))
{ /* Llib/process.scm 162 */
BgL_auxz00_899 = BgL_signalz00_603
; }  else 
{ /* Llib/process.scm 162 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2144z00zz__processz00, BGl_string2145z00zz__processz00, BgL_signalz00_603, BGl_string2130z00zz__processz00, 
BINT(((long)7199))); 
exit( -1 );} 
BgL_signalz00_715 = 
CINT(BgL_auxz00_899); } 
{ /* Llib/process.scm 162 */
obj_t BgL_symbol1734z00_716;
BgL_symbol1734z00_716 = BGl_symbol2143z00zz__processz00; 
{ /* Llib/process.scm 162 */

PUSH_TRACE(BgL_symbol1734z00_716); BUNSPEC; 
{ /* Llib/process.scm 162 */
obj_t BgL_aux1733z00_717;
BgL_aux1733z00_717 = 
c_process_send_signal(BgL_procz00_714, BgL_signalz00_715); 
POP_TRACE(); 
return BgL_aux1733z00_717;} } } } } 
}



/* process-kill */
obj_t BGl_processzd2killzd2zz__processz00(obj_t BgL_procz00_11)
{ AN_OBJECT;
{ /* Llib/process.scm 167 */
{ /* Llib/process.scm 168 */
obj_t BgL_symbol1738z00_718;
BgL_symbol1738z00_718 = BGl_symbol2146z00zz__processz00; 
{ /* Llib/process.scm 168 */

PUSH_TRACE(BgL_symbol1738z00_718); BUNSPEC; 
{ /* Llib/process.scm 168 */
obj_t BgL_aux1737z00_719;
BgL_aux1737z00_719 = 
c_process_kill(BgL_procz00_11); 
POP_TRACE(); 
return BgL_aux1737z00_719;} } } } 
}



/* _process-kill */
obj_t BGl__processzd2killzd2zz__processz00(obj_t BgL_envz00_604, obj_t BgL_procz00_605)
{ AN_OBJECT;
{ /* Llib/process.scm 167 */
{ /* Llib/process.scm 168 */
obj_t BgL_procz00_720;
if(
PROCESSP(BgL_procz00_605))
{ /* Llib/process.scm 168 */
BgL_procz00_720 = BgL_procz00_605; }  else 
{ /* Llib/process.scm 168 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2147z00zz__processz00, BGl_string2129z00zz__processz00, BgL_procz00_605, BGl_string2130z00zz__processz00, 
BINT(((long)7497))); 
exit( -1 );} 
{ /* Llib/process.scm 168 */
obj_t BgL_symbol1738z00_721;
BgL_symbol1738z00_721 = BGl_symbol2146z00zz__processz00; 
{ /* Llib/process.scm 168 */

PUSH_TRACE(BgL_symbol1738z00_721); BUNSPEC; 
{ /* Llib/process.scm 168 */
obj_t BgL_aux1737z00_722;
BgL_aux1737z00_722 = 
c_process_kill(BgL_procz00_720); 
POP_TRACE(); 
return BgL_aux1737z00_722;} } } } } 
}



/* process-stop */
obj_t BGl_processzd2stopzd2zz__processz00(obj_t BgL_procz00_12)
{ AN_OBJECT;
{ /* Llib/process.scm 173 */
{ /* Llib/process.scm 174 */
obj_t BgL_symbol1742z00_723;
BgL_symbol1742z00_723 = BGl_symbol2148z00zz__processz00; 
{ /* Llib/process.scm 174 */

PUSH_TRACE(BgL_symbol1742z00_723); BUNSPEC; 
{ /* Llib/process.scm 174 */
obj_t BgL_aux1741z00_724;
BgL_aux1741z00_724 = 
c_process_stop(BgL_procz00_12); 
POP_TRACE(); 
return BgL_aux1741z00_724;} } } } 
}



/* _process-stop */
obj_t BGl__processzd2stopzd2zz__processz00(obj_t BgL_envz00_606, obj_t BgL_procz00_607)
{ AN_OBJECT;
{ /* Llib/process.scm 173 */
{ /* Llib/process.scm 174 */
obj_t BgL_procz00_725;
if(
PROCESSP(BgL_procz00_607))
{ /* Llib/process.scm 174 */
BgL_procz00_725 = BgL_procz00_607; }  else 
{ /* Llib/process.scm 174 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2149z00zz__processz00, BGl_string2129z00zz__processz00, BgL_procz00_607, BGl_string2130z00zz__processz00, 
BINT(((long)7781))); 
exit( -1 );} 
{ /* Llib/process.scm 174 */
obj_t BgL_symbol1742z00_726;
BgL_symbol1742z00_726 = BGl_symbol2148z00zz__processz00; 
{ /* Llib/process.scm 174 */

PUSH_TRACE(BgL_symbol1742z00_726); BUNSPEC; 
{ /* Llib/process.scm 174 */
obj_t BgL_aux1741z00_727;
BgL_aux1741z00_727 = 
c_process_stop(BgL_procz00_725); 
POP_TRACE(); 
return BgL_aux1741z00_727;} } } } } 
}



/* process-continue */
obj_t BGl_processzd2continuezd2zz__processz00(obj_t BgL_procz00_13)
{ AN_OBJECT;
{ /* Llib/process.scm 179 */
{ /* Llib/process.scm 180 */
obj_t BgL_symbol1746z00_728;
BgL_symbol1746z00_728 = BGl_symbol2150z00zz__processz00; 
{ /* Llib/process.scm 180 */

PUSH_TRACE(BgL_symbol1746z00_728); BUNSPEC; 
{ /* Llib/process.scm 180 */
obj_t BgL_aux1745z00_729;
BgL_aux1745z00_729 = 
c_process_continue(BgL_procz00_13); 
POP_TRACE(); 
return BgL_aux1745z00_729;} } } } 
}



/* _process-continue */
obj_t BGl__processzd2continuezd2zz__processz00(obj_t BgL_envz00_608, obj_t BgL_procz00_609)
{ AN_OBJECT;
{ /* Llib/process.scm 179 */
{ /* Llib/process.scm 180 */
obj_t BgL_procz00_730;
if(
PROCESSP(BgL_procz00_609))
{ /* Llib/process.scm 180 */
BgL_procz00_730 = BgL_procz00_609; }  else 
{ /* Llib/process.scm 180 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2151z00zz__processz00, BGl_string2129z00zz__processz00, BgL_procz00_609, BGl_string2130z00zz__processz00, 
BINT(((long)8069))); 
exit( -1 );} 
{ /* Llib/process.scm 180 */
obj_t BgL_symbol1746z00_731;
BgL_symbol1746z00_731 = BGl_symbol2150z00zz__processz00; 
{ /* Llib/process.scm 180 */

PUSH_TRACE(BgL_symbol1746z00_731); BUNSPEC; 
{ /* Llib/process.scm 180 */
obj_t BgL_aux1745z00_732;
BgL_aux1745z00_732 = 
c_process_continue(BgL_procz00_730); 
POP_TRACE(); 
return BgL_aux1745z00_732;} } } } } 
}



/* process-list */
obj_t BGl_processzd2listzd2zz__processz00()
{ AN_OBJECT;
{ /* Llib/process.scm 185 */
{ /* Llib/process.scm 186 */
obj_t BgL_symbol1750z00_733;
BgL_symbol1750z00_733 = BGl_symbol2152z00zz__processz00; 
{ /* Llib/process.scm 186 */

PUSH_TRACE(BgL_symbol1750z00_733); BUNSPEC; 
{ /* Llib/process.scm 186 */
obj_t BgL_aux1749z00_734;
BgL_aux1749z00_734 = 
c_process_list(); 
POP_TRACE(); 
return BgL_aux1749z00_734;} } } } 
}



/* _process-list */
obj_t BGl__processzd2listzd2zz__processz00(obj_t BgL_envz00_610)
{ AN_OBJECT;
{ /* Llib/process.scm 185 */
{ /* Llib/process.scm 186 */
obj_t BgL_symbol1750z00_735;
BgL_symbol1750z00_735 = BGl_symbol2152z00zz__processz00; 
{ /* Llib/process.scm 186 */

PUSH_TRACE(BgL_symbol1750z00_735); BUNSPEC; 
{ /* Llib/process.scm 186 */
obj_t BgL_aux1749z00_736;
BgL_aux1749z00_736 = 
c_process_list(); 
POP_TRACE(); 
return BgL_aux1749z00_736;} } } } 
}



/* run-process */
obj_t BGl_runzd2processzd2zz__processz00(obj_t BgL_commandz00_14, obj_t BgL_restz00_15)
{ AN_OBJECT;
{ /* Llib/process.scm 194 */
{ /* Llib/process.scm 195 */
obj_t BgL_symbol1754z00_579;
BgL_symbol1754z00_579 = BGl_symbol2153z00zz__processz00; 
{ /* Llib/process.scm 195 */

PUSH_TRACE(BgL_symbol1754z00_579); BUNSPEC; 
{ /* Llib/process.scm 195 */
obj_t BgL_aux1753z00_580;
{ /* Llib/process.scm 195 */
obj_t BgL_forkz00_296;obj_t BgL_waitz00_297;obj_t BgL_inputz00_298;obj_t BgL_outputz00_299;obj_t BgL_errorz00_300;obj_t BgL_hostz00_301;obj_t BgL_pipesz00_302;obj_t BgL_argsz00_303;obj_t BgL_envz00_304;
BgL_forkz00_296 = BTRUE; 
BgL_waitz00_297 = BFALSE; 
BgL_inputz00_298 = BUNSPEC; 
BgL_outputz00_299 = BUNSPEC; 
BgL_errorz00_300 = BUNSPEC; 
BgL_hostz00_301 = BUNSPEC; 
BgL_pipesz00_302 = BGl_list2154z00zz__processz00; 
BgL_argsz00_303 = BNIL; 
BgL_envz00_304 = BNIL; 
{ 
obj_t BgL_restz00_306;
{ /* Llib/process.scm 206 */
obj_t BgL_aux2096z00_662;
BgL_restz00_306 = BgL_restz00_15; 
BgL_loopz00_307:
if(
NULLP(BgL_restz00_306))
{ /* Llib/process.scm 208 */
{ /* Llib/process.scm 211 */
obj_t BgL_arg1028z00_309;
{ /* Llib/process.scm 211 */
obj_t BgL_auxz00_951;
{ /* Llib/process.scm 211 */
obj_t BgL_aux1920z00_640;
BgL_aux1920z00_640 = BgL_argsz00_303; 
{ /* Llib/process.scm 211 */
bool_t BgL_testz00_952;
if(
PAIRP(BgL_aux1920z00_640))
{ /* Llib/process.scm 211 */
BgL_testz00_952 = ((bool_t)1)
; }  else 
{ /* Llib/process.scm 211 */
BgL_testz00_952 = 
NULLP(BgL_aux1920z00_640)
; } 
if(BgL_testz00_952)
{ /* Llib/process.scm 211 */
BgL_auxz00_951 = BgL_aux1920z00_640
; }  else 
{ /* Llib/process.scm 211 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2153z00zz__processz00, BGl_string2156z00zz__processz00, BgL_aux1920z00_640, BGl_string2130z00zz__processz00, 
BINT(((long)9266))); 
exit( -1 );} } } 
BgL_arg1028z00_309 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_auxz00_951); } 
BgL_aux2096z00_662 = 
c_run_process(BgL_hostz00_301, BgL_forkz00_296, BgL_waitz00_297, BgL_inputz00_298, BgL_outputz00_299, BgL_errorz00_300, BgL_commandz00_14, BgL_arg1028z00_309, BgL_envz00_304); } }  else 
{ /* Llib/process.scm 212 */
bool_t BgL_test1031z00_310;
{ /* Llib/process.scm 212 */
bool_t BgL_test1098z00_336;
{ /* Llib/process.scm 212 */
obj_t BgL_arg1104z00_338;
{ /* Llib/process.scm 212 */
obj_t BgL_pairz00_486;
if(
PAIRP(BgL_restz00_306))
{ /* Llib/process.scm 212 */
BgL_pairz00_486 = BgL_restz00_306; }  else 
{ /* Llib/process.scm 212 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2153z00zz__processz00, BGl_string2157z00zz__processz00, BgL_restz00_306, BGl_string2130z00zz__processz00, 
BINT(((long)9304))); 
exit( -1 );} 
BgL_arg1104z00_338 = 
CAR(BgL_pairz00_486); } 
BgL_test1098z00_336 = 
KEYWORDP(BgL_arg1104z00_338); } 
if(BgL_test1098z00_336)
{ /* Llib/process.scm 212 */
obj_t BgL_arg1100z00_337;
{ /* Llib/process.scm 212 */
obj_t BgL_pairz00_488;
if(
PAIRP(BgL_restz00_306))
{ /* Llib/process.scm 212 */
BgL_pairz00_488 = BgL_restz00_306; }  else 
{ /* Llib/process.scm 212 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2153z00zz__processz00, BGl_string2157z00zz__processz00, BgL_restz00_306, BGl_string2130z00zz__processz00, 
BINT(((long)9323))); 
exit( -1 );} 
BgL_arg1100z00_337 = 
CDR(BgL_pairz00_488); } 
BgL_test1031z00_310 = 
PAIRP(BgL_arg1100z00_337); }  else 
{ /* Llib/process.scm 212 */
BgL_test1031z00_310 = ((bool_t)0); } } 
if(BgL_test1031z00_310)
{ /* Llib/process.scm 212 */
{ /* Llib/process.scm 213 */
obj_t BgL_valz00_311;
{ /* Llib/process.scm 213 */
obj_t BgL_pairz00_490;
if(
PAIRP(BgL_restz00_306))
{ /* Llib/process.scm 213 */
BgL_pairz00_490 = BgL_restz00_306; }  else 
{ /* Llib/process.scm 213 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2153z00zz__processz00, BGl_string2157z00zz__processz00, BgL_restz00_306, BGl_string2130z00zz__processz00, 
BINT(((long)9354))); 
exit( -1 );} 
{ /* Llib/process.scm 213 */
obj_t BgL_arg1496z00_491;
BgL_arg1496z00_491 = 
CDR(BgL_pairz00_490); 
{ /* Llib/process.scm 213 */
obj_t BgL_pairz00_493;
if(
PAIRP(BgL_arg1496z00_491))
{ /* Llib/process.scm 213 */
BgL_pairz00_493 = BgL_arg1496z00_491; }  else 
{ /* Llib/process.scm 213 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2153z00zz__processz00, BGl_string2157z00zz__processz00, BgL_arg1496z00_491, BGl_string2130z00zz__processz00, 
BINT(((long)9345))); 
exit( -1 );} 
BgL_valz00_311 = 
CAR(BgL_pairz00_493); } } } 
{ /* Llib/process.scm 214 */
obj_t BgL_casezd2valuezd2_312;
{ /* Llib/process.scm 214 */
obj_t BgL_pairz00_494;
if(
PAIRP(BgL_restz00_306))
{ /* Llib/process.scm 214 */
BgL_pairz00_494 = BgL_restz00_306; }  else 
{ /* Llib/process.scm 214 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2153z00zz__processz00, BGl_string2157z00zz__processz00, BgL_restz00_306, BGl_string2130z00zz__processz00, 
BINT(((long)9375))); 
exit( -1 );} 
BgL_casezd2valuezd2_312 = 
CAR(BgL_pairz00_494); } 
if(
(BgL_casezd2valuezd2_312==BGl_keyword2158z00zz__processz00))
{ /* Llib/process.scm 214 */
if(
BOOLEANP(BgL_valz00_311))
{ /* Llib/process.scm 216 */
BgL_waitz00_297 = BgL_valz00_311; }  else 
{ /* Llib/process.scm 216 */
BGl_errorzf2czd2locationz20zz__errorz00(BGl_string2159z00zz__processz00, BGl_string2160z00zz__processz00, BgL_restz00_306, "Llib/process.scm", ((long)9070)); 
BGl_debugzd2errorzf2locationz20zz__errorz00(BFALSE, BFALSE, BFALSE, BGl_string2130z00zz__processz00, 
BINT(((long)9439))); } }  else 
{ /* Llib/process.scm 214 */
if(
(BgL_casezd2valuezd2_312==BGl_keyword2161z00zz__processz00))
{ /* Llib/process.scm 214 */
if(
BOOLEANP(BgL_valz00_311))
{ /* Llib/process.scm 220 */
BgL_forkz00_296 = BgL_valz00_311; }  else 
{ /* Llib/process.scm 220 */
BGl_errorzf2czd2locationz20zz__errorz00(BGl_string2159z00zz__processz00, BGl_string2160z00zz__processz00, BgL_restz00_306, "Llib/process.scm", ((long)9070)); 
BGl_debugzd2errorzf2locationz20zz__errorz00(BFALSE, BFALSE, BFALSE, BGl_string2130z00zz__processz00, 
BINT(((long)9519))); } }  else 
{ /* Llib/process.scm 214 */
if(
(BgL_casezd2valuezd2_312==BGl_keyword2162z00zz__processz00))
{ /* Llib/process.scm 224 */
bool_t BgL_testz00_1011;
if(
STRINGP(BgL_valz00_311))
{ /* Llib/process.scm 224 */
BgL_testz00_1011 = ((bool_t)1)
; }  else 
{ /* Llib/process.scm 224 */
obj_t BgL_auxz00_1014;
BgL_auxz00_1014 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_valz00_311, BgL_pipesz00_302); 
BgL_testz00_1011 = 
CBOOL(BgL_auxz00_1014); } 
if(BgL_testz00_1011)
{ /* Llib/process.scm 224 */
BgL_inputz00_298 = BgL_valz00_311; }  else 
{ /* Llib/process.scm 224 */
BGl_errorzf2czd2locationz20zz__errorz00(BGl_string2159z00zz__processz00, BGl_string2160z00zz__processz00, BgL_restz00_306, "Llib/process.scm", ((long)9070)); 
BGl_debugzd2errorzf2locationz20zz__errorz00(BFALSE, BFALSE, BFALSE, BGl_string2130z00zz__processz00, 
BINT(((long)9622))); } }  else 
{ /* Llib/process.scm 214 */
if(
(BgL_casezd2valuezd2_312==BGl_keyword2163z00zz__processz00))
{ /* Llib/process.scm 228 */
bool_t BgL_testz00_1022;
if(
STRINGP(BgL_valz00_311))
{ /* Llib/process.scm 228 */
BgL_testz00_1022 = ((bool_t)1)
; }  else 
{ /* Llib/process.scm 228 */
obj_t BgL_auxz00_1025;
BgL_auxz00_1025 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_valz00_311, BgL_pipesz00_302); 
BgL_testz00_1022 = 
CBOOL(BgL_auxz00_1025); } 
if(BgL_testz00_1022)
{ /* Llib/process.scm 228 */
BgL_outputz00_299 = BgL_valz00_311; }  else 
{ /* Llib/process.scm 228 */
BGl_errorzf2czd2locationz20zz__errorz00(BGl_string2159z00zz__processz00, BGl_string2160z00zz__processz00, BgL_restz00_306, "Llib/process.scm", ((long)9070)); 
BGl_debugzd2errorzf2locationz20zz__errorz00(BFALSE, BFALSE, BFALSE, BGl_string2130z00zz__processz00, 
BINT(((long)9727))); } }  else 
{ /* Llib/process.scm 214 */
if(
(BgL_casezd2valuezd2_312==BGl_keyword2164z00zz__processz00))
{ /* Llib/process.scm 232 */
bool_t BgL_testz00_1033;
if(
STRINGP(BgL_valz00_311))
{ /* Llib/process.scm 232 */
BgL_testz00_1033 = ((bool_t)1)
; }  else 
{ /* Llib/process.scm 232 */
obj_t BgL_auxz00_1036;
BgL_auxz00_1036 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_valz00_311, BgL_pipesz00_302); 
BgL_testz00_1033 = 
CBOOL(BgL_auxz00_1036); } 
if(BgL_testz00_1033)
{ /* Llib/process.scm 232 */
BgL_errorz00_300 = BgL_valz00_311; }  else 
{ /* Llib/process.scm 232 */
BGl_errorzf2czd2locationz20zz__errorz00(BGl_string2159z00zz__processz00, BGl_string2160z00zz__processz00, BgL_restz00_306, "Llib/process.scm", ((long)9070)); 
BGl_debugzd2errorzf2locationz20zz__errorz00(BFALSE, BFALSE, BFALSE, BGl_string2130z00zz__processz00, 
BINT(((long)9830))); } }  else 
{ /* Llib/process.scm 214 */
if(
(BgL_casezd2valuezd2_312==BGl_keyword2165z00zz__processz00))
{ /* Llib/process.scm 214 */
if(
STRINGP(BgL_valz00_311))
{ /* Llib/process.scm 236 */
BgL_hostz00_301 = BgL_valz00_311; }  else 
{ /* Llib/process.scm 236 */
BGl_errorzf2czd2locationz20zz__errorz00(BGl_string2159z00zz__processz00, BGl_string2160z00zz__processz00, BgL_restz00_306, "Llib/process.scm", ((long)9070)); 
BGl_debugzd2errorzf2locationz20zz__errorz00(BFALSE, BFALSE, BFALSE, BGl_string2130z00zz__processz00, 
BINT(((long)9909))); } }  else 
{ /* Llib/process.scm 214 */
if(
(BgL_casezd2valuezd2_312==BGl_keyword2166z00zz__processz00))
{ /* Llib/process.scm 214 */
if(
STRINGP(BgL_valz00_311))
{ /* Llib/process.scm 240 */
BgL_envz00_304 = 
MAKE_PAIR(BgL_valz00_311, BgL_envz00_304); }  else 
{ /* Llib/process.scm 240 */
BGl_errorzf2czd2locationz20zz__errorz00(BGl_string2159z00zz__processz00, BGl_string2160z00zz__processz00, BgL_restz00_306, "Llib/process.scm", ((long)9070)); 
BGl_debugzd2errorzf2locationz20zz__errorz00(BFALSE, BFALSE, BFALSE, BGl_string2130z00zz__processz00, 
BINT(((long)9997))); } }  else 
{ /* Llib/process.scm 214 */
BGl_errorzf2czd2locationz20zz__errorz00(BGl_string2159z00zz__processz00, BGl_string2160z00zz__processz00, BgL_restz00_306, "Llib/process.scm", ((long)9070)); 
BGl_debugzd2errorzf2locationz20zz__errorz00(BFALSE, BFALSE, BFALSE, BGl_string2130z00zz__processz00, 
BINT(((long)10033))); } } } } } } } } 
{ /* Llib/process.scm 245 */
obj_t BgL_arg1077z00_330;
{ /* Llib/process.scm 245 */
obj_t BgL_arg1080z00_331;
{ /* Llib/process.scm 245 */
obj_t BgL_pairz00_534;
if(
PAIRP(BgL_restz00_306))
{ /* Llib/process.scm 245 */
BgL_pairz00_534 = BgL_restz00_306; }  else 
{ /* Llib/process.scm 245 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2153z00zz__processz00, BGl_string2157z00zz__processz00, BgL_restz00_306, BGl_string2130z00zz__processz00, 
BINT(((long)10073))); 
exit( -1 );} 
BgL_arg1080z00_331 = 
CDR(BgL_pairz00_534); } 
{ /* Llib/process.scm 245 */
obj_t BgL_pairz00_535;
if(
PAIRP(BgL_arg1080z00_331))
{ /* Llib/process.scm 245 */
BgL_pairz00_535 = BgL_arg1080z00_331; }  else 
{ /* Llib/process.scm 245 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2153z00zz__processz00, BGl_string2157z00zz__processz00, BgL_arg1080z00_331, BGl_string2130z00zz__processz00, 
BINT(((long)10074))); 
exit( -1 );} 
BgL_arg1077z00_330 = 
CDR(BgL_pairz00_535); } } 
{ 
obj_t BgL_restz00_1072;
BgL_restz00_1072 = BgL_arg1077z00_330; 
BgL_restz00_306 = BgL_restz00_1072; 
goto BgL_loopz00_307;} } } }  else 
{ /* Llib/process.scm 246 */
bool_t BgL_test1084z00_332;
{ /* Llib/process.scm 246 */
obj_t BgL_arg1095z00_335;
{ /* Llib/process.scm 246 */
obj_t BgL_pairz00_536;
if(
PAIRP(BgL_restz00_306))
{ /* Llib/process.scm 246 */
BgL_pairz00_536 = BgL_restz00_306; }  else 
{ /* Llib/process.scm 246 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2153z00zz__processz00, BGl_string2157z00zz__processz00, BgL_restz00_306, BGl_string2130z00zz__processz00, 
BINT(((long)10103))); 
exit( -1 );} 
BgL_arg1095z00_335 = 
CAR(BgL_pairz00_536); } 
BgL_test1084z00_332 = 
STRINGP(BgL_arg1095z00_335); } 
if(BgL_test1084z00_332)
{ /* Llib/process.scm 246 */
{ /* Llib/process.scm 247 */
obj_t BgL_arg1086z00_333;
{ /* Llib/process.scm 247 */
obj_t BgL_pairz00_538;
if(
PAIRP(BgL_restz00_306))
{ /* Llib/process.scm 247 */
BgL_pairz00_538 = BgL_restz00_306; }  else 
{ /* Llib/process.scm 247 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2153z00zz__processz00, BGl_string2157z00zz__processz00, BgL_restz00_306, BGl_string2130z00zz__processz00, 
BINT(((long)10138))); 
exit( -1 );} 
BgL_arg1086z00_333 = 
CAR(BgL_pairz00_538); } 
BgL_argsz00_303 = 
MAKE_PAIR(BgL_arg1086z00_333, BgL_argsz00_303); } 
{ /* Llib/process.scm 248 */
obj_t BgL_arg1090z00_334;
{ /* Llib/process.scm 248 */
obj_t BgL_pairz00_539;
if(
PAIRP(BgL_restz00_306))
{ /* Llib/process.scm 248 */
BgL_pairz00_539 = BgL_restz00_306; }  else 
{ /* Llib/process.scm 248 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2153z00zz__processz00, BGl_string2157z00zz__processz00, BgL_restz00_306, BGl_string2130z00zz__processz00, 
BINT(((long)10168))); 
exit( -1 );} 
BgL_arg1090z00_334 = 
CDR(BgL_pairz00_539); } 
{ 
obj_t BgL_restz00_1094;
BgL_restz00_1094 = BgL_arg1090z00_334; 
BgL_restz00_306 = BgL_restz00_1094; 
goto BgL_loopz00_307;} } }  else 
{ /* Llib/process.scm 246 */
BGl_errorzf2czd2locationz20zz__errorz00(BGl_string2159z00zz__processz00, BGl_string2160z00zz__processz00, BgL_restz00_306, "Llib/process.scm", ((long)9070)); 
BgL_aux2096z00_662 = 
BGl_debugzd2errorzf2locationz20zz__errorz00(BFALSE, BFALSE, BFALSE, BGl_string2130z00zz__processz00, 
BINT(((long)10190))); } } } 
if(
PROCESSP(BgL_aux2096z00_662))
{ /* Llib/process.scm 206 */
BgL_aux1753z00_580 = BgL_aux2096z00_662; }  else 
{ /* Llib/process.scm 206 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2153z00zz__processz00, BGl_string2129z00zz__processz00, BgL_aux2096z00_662, BGl_string2130z00zz__processz00, 
BINT(((long)9125))); 
exit( -1 );} } } } 
POP_TRACE(); 
return BgL_aux1753z00_580;} } } } 
}



/* _run-process */
obj_t BGl__runzd2processzd2zz__processz00(obj_t BgL_envz00_611, obj_t BgL_commandz00_612, obj_t BgL_restz00_613)
{ AN_OBJECT;
{ /* Llib/process.scm 194 */
{ /* Llib/process.scm 195 */
obj_t BgL_auxz00_1104;
if(
STRINGP(BgL_commandz00_612))
{ /* Llib/process.scm 195 */
BgL_auxz00_1104 = BgL_commandz00_612
; }  else 
{ /* Llib/process.scm 195 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2167z00zz__processz00, BGl_string2168z00zz__processz00, BgL_commandz00_612, BGl_string2130z00zz__processz00, 
BINT(((long)8855))); 
exit( -1 );} 
return 
BGl_runzd2processzd2zz__processz00(BgL_auxz00_1104, BgL_restz00_613);} } 
}



/* unregister-process */
obj_t BGl_unregisterzd2processzd2zz__processz00(obj_t BgL_procz00_16)
{ AN_OBJECT;
{ /* Llib/process.scm 255 */
{ /* Llib/process.scm 256 */
obj_t BgL_symbol1758z00_742;
BgL_symbol1758z00_742 = BGl_symbol2169z00zz__processz00; 
{ /* Llib/process.scm 256 */

PUSH_TRACE(BgL_symbol1758z00_742); BUNSPEC; 
{ /* Llib/process.scm 256 */
obj_t BgL_aux1757z00_743;
BgL_aux1757z00_743 = 
c_unregister_process(BgL_procz00_16); 
POP_TRACE(); 
return BgL_aux1757z00_743;} } } } 
}



/* _unregister-process */
obj_t BGl__unregisterzd2processzd2zz__processz00(obj_t BgL_envz00_614, obj_t BgL_procz00_615)
{ AN_OBJECT;
{ /* Llib/process.scm 255 */
{ /* Llib/process.scm 256 */
obj_t BgL_procz00_744;
if(
PROCESSP(BgL_procz00_615))
{ /* Llib/process.scm 256 */
BgL_procz00_744 = BgL_procz00_615; }  else 
{ /* Llib/process.scm 256 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2170z00zz__processz00, BGl_string2129z00zz__processz00, BgL_procz00_615, BGl_string2130z00zz__processz00, 
BINT(((long)10479))); 
exit( -1 );} 
{ /* Llib/process.scm 256 */
obj_t BgL_symbol1758z00_745;
BgL_symbol1758z00_745 = BGl_symbol2169z00zz__processz00; 
{ /* Llib/process.scm 256 */

PUSH_TRACE(BgL_symbol1758z00_745); BUNSPEC; 
{ /* Llib/process.scm 256 */
obj_t BgL_aux1757z00_746;
BgL_aux1757z00_746 = 
c_unregister_process(BgL_procz00_744); 
POP_TRACE(); 
return BgL_aux1757z00_746;} } } } } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__processz00()
{ AN_OBJECT;
{ /* Llib/process.scm 15 */
{ /* Llib/process.scm 15 */
obj_t BgL_symbol1762z00_583;
BgL_symbol1762z00_583 = BGl_symbol2171z00zz__processz00; 
{ /* Llib/process.scm 15 */

PUSH_TRACE(BgL_symbol1762z00_583); BUNSPEC; 
{ /* Llib/process.scm 15 */
obj_t BgL_aux1761z00_584;
BgL_aux1761z00_584 = 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)62184), "__process"); 
POP_TRACE(); 
return BgL_aux1761z00_584;} } } } 
}

