/*===========================================================================*/
/*   (Llib/tvector.scm)                                                      */
/*   Bigloo (2.5b)                                                           */
/*   Manuel Serrano (c)       Fri Sep 6 09:43:28 CEST 2002                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

/* debug mode */
#define BIGLOO_DEBUG 1

#include <bigloo.h>
#include <signal.h>

extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_bigloozd2casezd2sensitivityz00zz__readerz00();
extern obj_t BGl_debugzd2errorzf2locationz20zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t create_struct(obj_t, int);
extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern long bgl_list_length(obj_t);
static obj_t BGl__tvectorzd2ze3vector1836z31zz__tvectorz00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__tvectorz00();
extern obj_t string_to_symbol(char *);
extern obj_t BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(obj_t);
extern obj_t BGl_declarezd2tvectorz12zc0zz__tvectorz00(char *, obj_t, obj_t, obj_t);
static obj_t BGl__getzd2tvectorzd2descriptor1826z00zz__tvectorz00(obj_t, obj_t);
static obj_t BGl__tvectorzd2ref1830zd2zz__tvectorz00(obj_t, obj_t);
extern obj_t BGl_tvectorzd2ze3vectorz31zz__tvectorz00(obj_t);
extern obj_t BGl_stringzd2upcasezd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_symbol2499z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol2507z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol2497z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol2506z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl__listzd2ze3tvector1832z31zz__tvectorz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2495z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol2503z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol2502z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol2490z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol2489z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_importedzd2moduleszd2initz00zz__tvectorz00();
static obj_t BGl_symbol2485z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol2484z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol2483z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol2482z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol2480z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol2479z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol2478z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol2477z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol2474z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol2473z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol2472z00zz__tvectorz00 = BUNSPEC;
extern obj_t BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_symbol2469z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol2467z00zz__tvectorz00 = BUNSPEC;
extern obj_t BGl_vectorzd2ze3tvectorz31zz__tvectorz00(obj_t, obj_t);
static obj_t BGl_symbol2466z00zz__tvectorz00 = BUNSPEC;
extern bool_t BGl_tvectorzf3zf3zz__tvectorz00(obj_t);
static obj_t BGl_symbol2465z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol2464z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol2461z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_requirezd2initializa7ationz75zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol2460z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol2457z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol2454z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol2451z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl__tvectorzd2length1822zd2zz__tvectorz00(obj_t, obj_t);
static obj_t BGl_symbol2450z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol2449z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol2448z00zz__tvectorz00 = BUNSPEC;
extern obj_t BGl_errorzf2locationzf2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__tvectorzd2id1824zd2zz__tvectorz00(obj_t, obj_t);
extern obj_t BGl_errorzf2czd2locationz20zz__errorz00(obj_t, obj_t, obj_t, char *, long);
static obj_t BGl__tvectorzf3zf3zz__tvectorz00(obj_t, obj_t);
extern obj_t BGl_tvectorzd2idzd2zz__tvectorz00(obj_t);
static obj_t BGl_za2tvectorzd2tableza2zd2zz__tvectorz00 = BUNSPEC;
extern obj_t string_to_bstring(char *);
extern obj_t BGl_listzd2ze3tvectorz31zz__tvectorz00(obj_t, obj_t);
static obj_t BGl_list2476z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_list2481z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_list2501z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_list2494z00zz__tvectorz00 = BUNSPEC;
extern obj_t get_tvector_descriptor(obj_t);
extern obj_t BGl_tvectorzd2refzd2zz__tvectorz00(obj_t);
extern int BGl_tvectorzd2lengthzd2zz__tvectorz00(obj_t);
static obj_t BGl_toplevelzd2initzd2zz__tvectorz00();
static obj_t BGl__declarezd2tvectorz121828zc0zz__tvectorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__vectorzd2ze3tvector1834z31zz__tvectorz00(obj_t, obj_t, obj_t);
static obj_t *__cnst;

DEFINE_EXPORT_PROCEDURE( BGl_tvectorzd2lengthzd2envz00zz__tvectorz00, BgL_bgl__tvectorza7d2length1822za7d2za7za7__tvectorza7002517za7, BGl__tvectorzd2length1822zd2zz__tvectorz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_tvectorzd2ze3vectorzd2envze3zz__tvectorz00, BgL_bgl__tvectorza7d2za7e3vector1836za731za7za7__tvectorza7002518z00, BGl__tvectorzd2ze3vector1836z31zz__tvectorz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_declarezd2tvectorz12zd2envz12zz__tvectorz00, BgL_bgl__declareza7d2tvectorza7121828za7c0za7za7__tvectorza7002519z00, BGl__declarezd2tvectorz121828zc0zz__tvectorz00, 0L, 4 );
DEFINE_EXPORT_PROCEDURE( BGl_tvectorzd2refzd2envz00zz__tvectorz00, BgL_bgl__tvectorza7d2ref1830za7d2za7za7__tvectorza7002520za7, BGl__tvectorzd2ref1830zd2zz__tvectorz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_tvectorzf3zd2envz21zz__tvectorz00, BgL_bgl__tvectorza7f3za7f3za7za7__tvectorza7002521za7, BGl__tvectorzf3zf3zz__tvectorz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_tvectorzd2idzd2envz00zz__tvectorz00, BgL_bgl__tvectorza7d2id1824za7d2za7za7__tvectorza7002522za7, BGl__tvectorzd2id1824zd2zz__tvectorz00, 0L, 1 );
DEFINE_STRING( BGl_string2498z00zz__tvectorz00, BgL_bgl_string2498za700za7za7__tvectorza7002523z00, "vector", 6 );
DEFINE_STRING( BGl_string2496z00zz__tvectorz00, BgL_bgl_string2496za700za7za7__tvectorza7002524z00, "vector->tvector", 15 );
DEFINE_STRING( BGl_string2505z00zz__tvectorz00, BgL_bgl_string2505za700za7za7__tvectorza7002525z00, "tvector->vector", 15 );
DEFINE_STRING( BGl_string2504z00zz__tvectorz00, BgL_bgl_string2504za700za7za7__tvectorza7002526z00, "vector-set!", 11 );
DEFINE_STRING( BGl_string2493z00zz__tvectorz00, BgL_bgl_string2493za700za7za7__tvectorza7002527z00, "index out of range", 18 );
DEFINE_STRING( BGl_string2492z00zz__tvectorz00, BgL_bgl_string2492za700za7za7__tvectorza7002528z00, "vector-ref", 10 );
DEFINE_STRING( BGl_string2491z00zz__tvectorz00, BgL_bgl_string2491za700za7za7__tvectorza7002529z00, "vector->tvector:Wrong number of arguments", 41 );
DEFINE_STRING( BGl_string2500z00zz__tvectorz00, BgL_bgl_string2500za700za7za7__tvectorza7002530z00, "tvector->vector:Wrong number of arguments", 41 );
DEFINE_STRING( BGl_string2488z00zz__tvectorz00, BgL_bgl_string2488za700za7za7__tvectorza7002531z00, "Undeclared tvector", 18 );
DEFINE_STRING( BGl_string2487z00zz__tvectorz00, BgL_bgl_string2487za700za7za7__tvectorza7002532z00, "Unable to convert to such tvector", 33 );
DEFINE_STRING( BGl_string2486z00zz__tvectorz00, BgL_bgl_string2486za700za7za7__tvectorza7002533z00, "list->tvector", 13 );
DEFINE_STRING( BGl_string2475z00zz__tvectorz00, BgL_bgl_string2475za700za7za7__tvectorza7002534z00, "list->tvector:Wrong number of arguments", 39 );
DEFINE_STRING( BGl_string2471z00zz__tvectorz00, BgL_bgl_string2471za700za7za7__tvectorza7002535z00, "procedure", 9 );
DEFINE_STRING( BGl_string2470z00zz__tvectorz00, BgL_bgl_string2470za700za7za7__tvectorza7002536z00, "string", 6 );
DEFINE_STRING( BGl_string2468z00zz__tvectorz00, BgL_bgl_string2468za700za7za7__tvectorza7002537z00, "struct-set!:not an instance of", 30 );
DEFINE_STRING( BGl_string2463z00zz__tvectorz00, BgL_bgl_string2463za700za7za7__tvectorza7002538z00, "pair", 4 );
DEFINE_STRING( BGl_string2462z00zz__tvectorz00, BgL_bgl_string2462za700za7za7__tvectorza7002539z00, "pair-nil", 8 );
DEFINE_STRING( BGl_string2459z00zz__tvectorz00, BgL_bgl_string2459za700za7za7__tvectorza7002540z00, "tvect-descr", 11 );
DEFINE_STRING( BGl_string2458z00zz__tvectorz00, BgL_bgl_string2458za700za7za7__tvectorza7002541z00, "struct-ref:not an instance of", 29 );
DEFINE_STRING( BGl_string2456z00zz__tvectorz00, BgL_bgl_string2456za700za7za7__tvectorza7002542z00, "symbol", 6 );
DEFINE_STRING( BGl_string2455z00zz__tvectorz00, BgL_bgl_string2455za700za7za7__tvectorza7002543z00, "struct", 6 );
DEFINE_STRING( BGl_string2453z00zz__tvectorz00, BgL_bgl_string2453za700za7za7__tvectorza7002544z00, "/tmp/bigloo/runtime/Llib/tvector.scm", 36 );
DEFINE_STRING( BGl_string2452z00zz__tvectorz00, BgL_bgl_string2452za700za7za7__tvectorza7002545z00, "tvector", 7 );
DEFINE_EXPORT_PROCEDURE( BGl_getzd2tvectorzd2descriptorzd2envzd2zz__tvectorz00, BgL_bgl__getza7d2tvectorza7d2descriptor1826za700za7za7__tvectorza7002546z00, BGl__getzd2tvectorzd2descriptor1826z00zz__tvectorz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_vectorzd2ze3tvectorzd2envze3zz__tvectorz00, BgL_bgl__vectorza7d2za7e3tvector1834za731za7za7__tvectorza7002547z00, BGl__vectorzd2ze3tvector1834z31zz__tvectorz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_listzd2ze3tvectorzd2envze3zz__tvectorz00, BgL_bgl__listza7d2za7e3tvector1832za731za7za7__tvectorza7002548z00, BGl__listzd2ze3tvector1832z31zz__tvectorz00, 0L, 2 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long BgL_checksumz00_974, char * BgL_fromz00_975)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__tvectorz00))
{ 
BGl_requirezd2initializa7ationz75zz__tvectorz00 = 
BBOOL(((bool_t)0)); 
BGl_cnstzd2initzd2zz__tvectorz00(); 
BGl_importedzd2moduleszd2initz00zz__tvectorz00(); 
BGl_toplevelzd2initzd2zz__tvectorz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__tvectorz00()
{ AN_OBJECT;
{ /* Llib/tvector.scm 14 */
BGl_symbol2448z00zz__tvectorz00 = 
string_to_symbol("@__tvector"); 
BGl_symbol2449z00zz__tvectorz00 = 
string_to_symbol("tvector?"); 
BGl_symbol2450z00zz__tvectorz00 = 
string_to_symbol("tvector-length"); 
BGl_symbol2451z00zz__tvectorz00 = 
string_to_symbol("_tvector-length1822"); 
BGl_symbol2454z00zz__tvectorz00 = 
string_to_symbol("tvector-id"); 
BGl_symbol2457z00zz__tvectorz00 = 
string_to_symbol("tvect-descr"); 
BGl_symbol2460z00zz__tvectorz00 = 
string_to_symbol("_tvector-id1824"); 
BGl_symbol2461z00zz__tvectorz00 = 
string_to_symbol("get-tvector-descriptor"); 
BGl_symbol2464z00zz__tvectorz00 = 
string_to_symbol("_get-tvector-descriptor1826"); 
BGl_symbol2465z00zz__tvectorz00 = 
string_to_symbol("declare-tvector!"); 
BGl_symbol2466z00zz__tvectorz00 = 
string_to_symbol("upcase"); 
BGl_symbol2467z00zz__tvectorz00 = 
string_to_symbol("downcase"); 
BGl_symbol2469z00zz__tvectorz00 = 
string_to_symbol("_declare-tvector!1828"); 
BGl_symbol2472z00zz__tvectorz00 = 
string_to_symbol("tvector-ref"); 
BGl_symbol2473z00zz__tvectorz00 = 
string_to_symbol("_tvector-ref1830"); 
BGl_symbol2474z00zz__tvectorz00 = 
string_to_symbol("list->tvector"); 
BGl_symbol2477z00zz__tvectorz00 = 
string_to_symbol("funcall"); 
BGl_symbol2478z00zz__tvectorz00 = 
string_to_symbol("allocate"); 
BGl_symbol2479z00zz__tvectorz00 = 
string_to_symbol("len"); 
{ /* Llib/tvector.scm 167 */
obj_t BgL_auxz00_1001;
{ /* Llib/tvector.scm 167 */
obj_t BgL_auxz00_1002;
{ /* Llib/tvector.scm 167 */
obj_t BgL_auxz00_1003;
BgL_auxz00_1003 = 
MAKE_PAIR(BGl_symbol2479z00zz__tvectorz00, BNIL); 
BgL_auxz00_1002 = 
MAKE_PAIR(BGl_symbol2478z00zz__tvectorz00, BgL_auxz00_1003); } 
BgL_auxz00_1001 = 
MAKE_PAIR(BGl_symbol2478z00zz__tvectorz00, BgL_auxz00_1002); } 
BGl_list2476z00zz__tvectorz00 = 
MAKE_PAIR(BGl_symbol2477z00zz__tvectorz00, BgL_auxz00_1001); } 
BGl_symbol2480z00zz__tvectorz00 = 
string_to_symbol("_"); 
BGl_symbol2482z00zz__tvectorz00 = 
string_to_symbol("set"); 
BGl_symbol2483z00zz__tvectorz00 = 
string_to_symbol("tvec"); 
BGl_symbol2484z00zz__tvectorz00 = 
string_to_symbol("i"); 
BGl_symbol2485z00zz__tvectorz00 = 
string_to_symbol("arg1151"); 
{ /* Llib/tvector.scm 173 */
obj_t BgL_auxz00_1013;
{ /* Llib/tvector.scm 173 */
obj_t BgL_auxz00_1014;
{ /* Llib/tvector.scm 173 */
obj_t BgL_auxz00_1015;
{ /* Llib/tvector.scm 173 */
obj_t BgL_auxz00_1016;
{ /* Llib/tvector.scm 173 */
obj_t BgL_auxz00_1017;
BgL_auxz00_1017 = 
MAKE_PAIR(BGl_symbol2485z00zz__tvectorz00, BNIL); 
BgL_auxz00_1016 = 
MAKE_PAIR(BGl_symbol2484z00zz__tvectorz00, BgL_auxz00_1017); } 
BgL_auxz00_1015 = 
MAKE_PAIR(BGl_symbol2483z00zz__tvectorz00, BgL_auxz00_1016); } 
BgL_auxz00_1014 = 
MAKE_PAIR(BGl_symbol2482z00zz__tvectorz00, BgL_auxz00_1015); } 
BgL_auxz00_1013 = 
MAKE_PAIR(BGl_symbol2482z00zz__tvectorz00, BgL_auxz00_1014); } 
BGl_list2481z00zz__tvectorz00 = 
MAKE_PAIR(BGl_symbol2477z00zz__tvectorz00, BgL_auxz00_1013); } 
BGl_symbol2489z00zz__tvectorz00 = 
string_to_symbol("_list->tvector1832"); 
BGl_symbol2490z00zz__tvectorz00 = 
string_to_symbol("vector->tvector"); 
BGl_symbol2495z00zz__tvectorz00 = 
string_to_symbol("arg1178"); 
{ /* Llib/tvector.scm 195 */
obj_t BgL_auxz00_1027;
{ /* Llib/tvector.scm 195 */
obj_t BgL_auxz00_1028;
{ /* Llib/tvector.scm 195 */
obj_t BgL_auxz00_1029;
{ /* Llib/tvector.scm 195 */
obj_t BgL_auxz00_1030;
{ /* Llib/tvector.scm 195 */
obj_t BgL_auxz00_1031;
BgL_auxz00_1031 = 
MAKE_PAIR(BGl_symbol2495z00zz__tvectorz00, BNIL); 
BgL_auxz00_1030 = 
MAKE_PAIR(BGl_symbol2484z00zz__tvectorz00, BgL_auxz00_1031); } 
BgL_auxz00_1029 = 
MAKE_PAIR(BGl_symbol2483z00zz__tvectorz00, BgL_auxz00_1030); } 
BgL_auxz00_1028 = 
MAKE_PAIR(BGl_symbol2482z00zz__tvectorz00, BgL_auxz00_1029); } 
BgL_auxz00_1027 = 
MAKE_PAIR(BGl_symbol2482z00zz__tvectorz00, BgL_auxz00_1028); } 
BGl_list2494z00zz__tvectorz00 = 
MAKE_PAIR(BGl_symbol2477z00zz__tvectorz00, BgL_auxz00_1027); } 
BGl_symbol2497z00zz__tvectorz00 = 
string_to_symbol("_vector->tvector1834"); 
BGl_symbol2499z00zz__tvectorz00 = 
string_to_symbol("tvector->vector"); 
BGl_symbol2502z00zz__tvectorz00 = 
string_to_symbol("ref"); 
BGl_symbol2503z00zz__tvectorz00 = 
string_to_symbol("tv"); 
{ /* Llib/tvector.scm 215 */
obj_t BgL_auxz00_1042;
{ /* Llib/tvector.scm 215 */
obj_t BgL_auxz00_1043;
{ /* Llib/tvector.scm 215 */
obj_t BgL_auxz00_1044;
{ /* Llib/tvector.scm 215 */
obj_t BgL_auxz00_1045;
BgL_auxz00_1045 = 
MAKE_PAIR(BGl_symbol2484z00zz__tvectorz00, BNIL); 
BgL_auxz00_1044 = 
MAKE_PAIR(BGl_symbol2503z00zz__tvectorz00, BgL_auxz00_1045); } 
BgL_auxz00_1043 = 
MAKE_PAIR(BGl_symbol2502z00zz__tvectorz00, BgL_auxz00_1044); } 
BgL_auxz00_1042 = 
MAKE_PAIR(BGl_symbol2502z00zz__tvectorz00, BgL_auxz00_1043); } 
BGl_list2501z00zz__tvectorz00 = 
MAKE_PAIR(BGl_symbol2477z00zz__tvectorz00, BgL_auxz00_1042); } 
BGl_symbol2506z00zz__tvectorz00 = 
string_to_symbol("_tvector->vector1836"); 
return ( 
BGl_symbol2507z00zz__tvectorz00 = 
string_to_symbol("imported-modules-init"), BUNSPEC) ;} 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__tvectorz00()
{ AN_OBJECT;
{ /* Llib/tvector.scm 14 */
{ /* Llib/tvector.scm 14 */
obj_t BgL_symbol1758z00_808;
BgL_symbol1758z00_808 = BGl_symbol2448z00zz__tvectorz00; 
{ /* Llib/tvector.scm 14 */

PUSH_TRACE(BgL_symbol1758z00_808); BUNSPEC; 
{ /* Llib/tvector.scm 14 */
obj_t BgL_aux1757z00_809;
BgL_aux1757z00_809 = ( 
BGl_za2tvectorzd2tableza2zd2zz__tvectorz00 = BNIL, BUNSPEC) ; 
POP_TRACE(); 
return BgL_aux1757z00_809;} } } } 
}



/* tvector? */
bool_t BGl_tvectorzf3zf3zz__tvectorz00(obj_t BgL_objz00_1)
{ AN_OBJECT;
{ /* Llib/tvector.scm 83 */
{ /* Llib/tvector.scm 84 */
obj_t BgL_symbol1762z00_957;
BgL_symbol1762z00_957 = BGl_symbol2449z00zz__tvectorz00; 
{ /* Llib/tvector.scm 84 */

PUSH_TRACE(BgL_symbol1762z00_957); BUNSPEC; 
{ /* Llib/tvector.scm 84 */
bool_t BgL_aux1761z00_958;
BgL_aux1761z00_958 = 
TVECTORP(BgL_objz00_1); 
POP_TRACE(); 
return BgL_aux1761z00_958;} } } } 
}



/* _tvector? */
obj_t BGl__tvectorzf3zf3zz__tvectorz00(obj_t BgL_envz00_830, obj_t BgL_objz00_831)
{ AN_OBJECT;
{ /* Llib/tvector.scm 83 */
{ /* Llib/tvector.scm 84 */
bool_t BgL_auxz00_1058;
{ /* Llib/tvector.scm 84 */
bool_t BgL_res2508z00_962;
{ /* Llib/tvector.scm 84 */
obj_t BgL_symbol1762z00_960;
BgL_symbol1762z00_960 = BGl_symbol2449z00zz__tvectorz00; 
{ /* Llib/tvector.scm 84 */

PUSH_TRACE(BgL_symbol1762z00_960); BUNSPEC; 
{ /* Llib/tvector.scm 84 */
bool_t BgL_aux1761z00_961;
BgL_aux1761z00_961 = 
TVECTORP(BgL_objz00_831); 
POP_TRACE(); 
BgL_res2508z00_962 = BgL_aux1761z00_961; } } } 
BgL_auxz00_1058 = BgL_res2508z00_962; } 
return 
BBOOL(BgL_auxz00_1058);} } 
}



/* tvector-length */
int BGl_tvectorzd2lengthzd2zz__tvectorz00(obj_t BgL_objz00_2)
{ AN_OBJECT;
{ /* Llib/tvector.scm 89 */
{ /* Llib/tvector.scm 90 */
obj_t BgL_symbol1766z00_963;
BgL_symbol1766z00_963 = BGl_symbol2450z00zz__tvectorz00; 
{ /* Llib/tvector.scm 90 */

PUSH_TRACE(BgL_symbol1766z00_963); BUNSPEC; 
{ /* Llib/tvector.scm 90 */
int BgL_aux1765z00_964;
BgL_aux1765z00_964 = 
TVECTOR_LENGTH(BgL_objz00_2); 
POP_TRACE(); 
return BgL_aux1765z00_964;} } } } 
}



/* _tvector-length1822 */
obj_t BGl__tvectorzd2length1822zd2zz__tvectorz00(obj_t BgL_envz00_832, obj_t BgL_objz00_833)
{ AN_OBJECT;
{ /* Llib/tvector.scm 89 */
{ /* Llib/tvector.scm 90 */
int BgL_auxz00_1066;
{ /* Llib/tvector.scm 90 */
int BgL_res2509z00_968;
{ /* Llib/tvector.scm 90 */
obj_t BgL_objz00_965;
if(
TVECTORP(BgL_objz00_833))
{ /* Llib/tvector.scm 90 */
BgL_objz00_965 = BgL_objz00_833; }  else 
{ /* Llib/tvector.scm 90 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2451z00zz__tvectorz00, BGl_string2452z00zz__tvectorz00, BgL_objz00_833, BGl_string2453z00zz__tvectorz00, 
BINT(((long)3381))); 
exit( -1 );} 
{ /* Llib/tvector.scm 90 */
obj_t BgL_symbol1766z00_966;
BgL_symbol1766z00_966 = BGl_symbol2450z00zz__tvectorz00; 
{ /* Llib/tvector.scm 90 */

PUSH_TRACE(BgL_symbol1766z00_966); BUNSPEC; 
{ /* Llib/tvector.scm 90 */
int BgL_aux1765z00_967;
BgL_aux1765z00_967 = 
TVECTOR_LENGTH(BgL_objz00_965); 
POP_TRACE(); 
BgL_res2509z00_968 = BgL_aux1765z00_967; } } } } 
BgL_auxz00_1066 = BgL_res2509z00_968; } 
return 
BINT(BgL_auxz00_1066);} } 
}



/* tvector-id */
obj_t BGl_tvectorzd2idzd2zz__tvectorz00(obj_t BgL_tvectz00_3)
{ AN_OBJECT;
{ /* Llib/tvector.scm 95 */
{ /* Llib/tvector.scm 96 */
obj_t BgL_symbol1770z00_814;
BgL_symbol1770z00_814 = BGl_symbol2454z00zz__tvectorz00; 
{ /* Llib/tvector.scm 96 */

PUSH_TRACE(BgL_symbol1770z00_814); BUNSPEC; 
{ /* Llib/tvector.scm 96 */
obj_t BgL_aux1769z00_815;
{ /* Llib/tvector.scm 96 */
obj_t BgL_arg1014z00_487;
BgL_arg1014z00_487 = 
TVECTOR_DESCR(BgL_tvectz00_3); 
{ /* Llib/tvector.scm 96 */
bool_t BgL_test1095z00_489;
{ /* Llib/tvector.scm 96 */
obj_t BgL_arg1099z00_490;obj_t BgL_arg1100z00_491;
{ /* Llib/tvector.scm 96 */
obj_t BgL_res1730z00_493;
{ /* Llib/tvector.scm 96 */
obj_t BgL_sz00_492;
if(
STRUCTP(BgL_arg1014z00_487))
{ /* Llib/tvector.scm 96 */
BgL_sz00_492 = BgL_arg1014z00_487; }  else 
{ /* Llib/tvector.scm 96 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2454z00zz__tvectorz00, BGl_string2455z00zz__tvectorz00, BgL_arg1014z00_487, BGl_string2453z00zz__tvectorz00, 
BINT(((long)3674))); 
exit( -1 );} 
{ /* Llib/tvector.scm 96 */
obj_t BgL_aux1860z00_858;
BgL_aux1860z00_858 = 
STRUCT_KEY(BgL_sz00_492); 
if(
SYMBOLP(BgL_aux1860z00_858))
{ /* Llib/tvector.scm 96 */
BgL_res1730z00_493 = BgL_aux1860z00_858; }  else 
{ /* Llib/tvector.scm 96 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2454z00zz__tvectorz00, BGl_string2456z00zz__tvectorz00, BgL_aux1860z00_858, BGl_string2453z00zz__tvectorz00, 
BINT(((long)3674))); 
exit( -1 );} } } 
BgL_arg1099z00_490 = BgL_res1730z00_493; } 
BgL_arg1100z00_491 = BGl_symbol2457z00zz__tvectorz00; 
BgL_test1095z00_489 = 
(BgL_arg1099z00_490==BgL_arg1100z00_491); } 
if(BgL_test1095z00_489)
{ /* Llib/tvector.scm 96 */
int BgL_auxz00_1091;
BgL_auxz00_1091 = 
(int)(((long)0)); 
BgL_aux1769z00_815 = 
STRUCT_REF(BgL_arg1014z00_487, BgL_auxz00_1091); }  else 
{ /* Llib/tvector.scm 96 */
BgL_aux1769z00_815 = 
BGl_debugzd2errorzf2locationz20zz__errorz00(BGl_string2458z00zz__tvectorz00, BGl_string2459z00zz__tvectorz00, BgL_arg1014z00_487, BGl_string2453z00zz__tvectorz00, 
BINT(((long)3674))); } } } 
POP_TRACE(); 
return BgL_aux1769z00_815;} } } } 
}



/* _tvector-id1824 */
obj_t BGl__tvectorzd2id1824zd2zz__tvectorz00(obj_t BgL_envz00_834, obj_t BgL_tvectz00_835)
{ AN_OBJECT;
{ /* Llib/tvector.scm 95 */
{ /* Llib/tvector.scm 96 */
obj_t BgL_auxz00_1097;
if(
TVECTORP(BgL_tvectz00_835))
{ /* Llib/tvector.scm 96 */
BgL_auxz00_1097 = BgL_tvectz00_835
; }  else 
{ /* Llib/tvector.scm 96 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2460z00zz__tvectorz00, BGl_string2452z00zz__tvectorz00, BgL_tvectz00_835, BGl_string2453z00zz__tvectorz00, 
BINT(((long)3674))); 
exit( -1 );} 
return 
BGl_tvectorzd2idzd2zz__tvectorz00(BgL_auxz00_1097);} } 
}



/* get-tvector-descriptor */
obj_t get_tvector_descriptor(obj_t BgL_idz00_22)
{ AN_OBJECT;
{ /* Llib/tvector.scm 118 */
{ /* Llib/tvector.scm 119 */
obj_t BgL_symbol1774z00_816;
BgL_symbol1774z00_816 = BGl_symbol2461z00zz__tvectorz00; 
{ /* Llib/tvector.scm 119 */

PUSH_TRACE(BgL_symbol1774z00_816); BUNSPEC; 
{ /* Llib/tvector.scm 119 */
obj_t BgL_aux1773z00_817;
if(
PAIRP(BGl_za2tvectorzd2tableza2zd2zz__tvectorz00))
{ /* Llib/tvector.scm 120 */
obj_t BgL_cellz00_307;
{ /* Llib/tvector.scm 120 */
obj_t BgL_auxz00_1107;
{ /* Llib/tvector.scm 120 */
obj_t BgL_aux1885z00_862;
BgL_aux1885z00_862 = BGl_za2tvectorzd2tableza2zd2zz__tvectorz00; 
{ /* Llib/tvector.scm 120 */
bool_t BgL_testz00_1108;
if(
PAIRP(BgL_aux1885z00_862))
{ /* Llib/tvector.scm 120 */
BgL_testz00_1108 = ((bool_t)1)
; }  else 
{ /* Llib/tvector.scm 120 */
BgL_testz00_1108 = 
NULLP(BgL_aux1885z00_862)
; } 
if(BgL_testz00_1108)
{ /* Llib/tvector.scm 120 */
BgL_auxz00_1107 = BgL_aux1885z00_862
; }  else 
{ /* Llib/tvector.scm 120 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2461z00zz__tvectorz00, BGl_string2462z00zz__tvectorz00, BgL_aux1885z00_862, BGl_string2453z00zz__tvectorz00, 
BINT(((long)4984))); 
exit( -1 );} } } 
BgL_cellz00_307 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_idz00_22, BgL_auxz00_1107); } 
{ /* Llib/tvector.scm 121 */
bool_t BgL_test1112z00_308;
BgL_test1112z00_308 = 
PAIRP(BgL_cellz00_307); 
if(BgL_test1112z00_308)
{ /* Llib/tvector.scm 122 */
obj_t BgL_pairz00_610;
if(BgL_test1112z00_308)
{ /* Llib/tvector.scm 122 */
BgL_pairz00_610 = BgL_cellz00_307; }  else 
{ /* Llib/tvector.scm 122 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2461z00zz__tvectorz00, BGl_string2463z00zz__tvectorz00, BgL_cellz00_307, BGl_string2453z00zz__tvectorz00, 
BINT(((long)5026))); 
exit( -1 );} 
BgL_aux1773z00_817 = 
CDR(BgL_pairz00_610); }  else 
{ /* Llib/tvector.scm 121 */
BgL_aux1773z00_817 = BFALSE; } } }  else 
{ /* Llib/tvector.scm 119 */
BgL_aux1773z00_817 = BFALSE; } 
POP_TRACE(); 
return BgL_aux1773z00_817;} } } } 
}



/* _get-tvector-descriptor1826 */
obj_t BGl__getzd2tvectorzd2descriptor1826z00zz__tvectorz00(obj_t BgL_envz00_836, obj_t BgL_idz00_837)
{ AN_OBJECT;
{ /* Llib/tvector.scm 118 */
{ /* Llib/tvector.scm 119 */
obj_t BgL_auxz00_1124;
if(
SYMBOLP(BgL_idz00_837))
{ /* Llib/tvector.scm 119 */
BgL_auxz00_1124 = BgL_idz00_837
; }  else 
{ /* Llib/tvector.scm 119 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2464z00zz__tvectorz00, BGl_string2456z00zz__tvectorz00, BgL_idz00_837, BGl_string2453z00zz__tvectorz00, 
BINT(((long)4924))); 
exit( -1 );} 
return 
get_tvector_descriptor(BgL_auxz00_1124);} } 
}



/* declare-tvector! */
obj_t BGl_declarezd2tvectorz12zc0zz__tvectorz00(char * BgL_idz00_23, obj_t BgL_allocatez00_24, obj_t BgL_refz00_25, obj_t BgL_setz00_26)
{ AN_OBJECT;
{ /* Llib/tvector.scm 132 */
{ /* Llib/tvector.scm 133 */
obj_t BgL_symbol1778z00_818;
BgL_symbol1778z00_818 = BGl_symbol2465z00zz__tvectorz00; 
{ /* Llib/tvector.scm 133 */

PUSH_TRACE(BgL_symbol1778z00_818); BUNSPEC; 
{ /* Llib/tvector.scm 133 */
obj_t BgL_aux1777z00_819;
{ /* Llib/tvector.scm 133 */
obj_t BgL_idz00_309;
{ /* Llib/tvector.scm 133 */
obj_t BgL_arg1126z00_314;
{ /* Llib/tvector.scm 133 */
obj_t BgL_casezd2valuezd2_315;
BgL_casezd2valuezd2_315 = 
BGl_bigloozd2casezd2sensitivityz00zz__readerz00(); 
if(
(BgL_casezd2valuezd2_315==BGl_symbol2466z00zz__tvectorz00))
{ /* Llib/tvector.scm 133 */
BgL_arg1126z00_314 = 
BGl_stringzd2upcasezd2zz__r4_strings_6_7z00(
string_to_bstring(BgL_idz00_23)); }  else 
{ /* Llib/tvector.scm 133 */
if(
(BgL_casezd2valuezd2_315==BGl_symbol2467z00zz__tvectorz00))
{ /* Llib/tvector.scm 133 */
BgL_arg1126z00_314 = 
BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(
string_to_bstring(BgL_idz00_23)); }  else 
{ /* Llib/tvector.scm 133 */
BgL_arg1126z00_314 = 
string_to_bstring(BgL_idz00_23); } } } 
{ /* Llib/tvector.scm 133 */
char * BgL_auxz00_1142;
BgL_auxz00_1142 = 
BSTRING_TO_STRING(BgL_arg1126z00_314); 
BgL_idz00_309 = 
string_to_symbol(BgL_auxz00_1142); } } 
{ /* Llib/tvector.scm 133 */
obj_t BgL_oldz00_310;
BgL_oldz00_310 = 
get_tvector_descriptor(BgL_idz00_309); 
{ /* Llib/tvector.scm 140 */

{ /* Llib/tvector.scm 141 */
bool_t BgL_test1117z00_311;
{ /* Llib/tvector.scm 141 */
bool_t BgL_test1037z00_613;
BgL_test1037z00_613 = 
STRUCTP(BgL_oldz00_310); 
if(BgL_test1037z00_613)
{ /* Llib/tvector.scm 141 */
obj_t BgL_arg1039z00_614;obj_t BgL_arg1040z00_615;
{ /* Llib/tvector.scm 141 */
obj_t BgL_res1744z00_618;
{ /* Llib/tvector.scm 141 */
obj_t BgL_sz00_617;
if(BgL_test1037z00_613)
{ /* Llib/tvector.scm 141 */
BgL_sz00_617 = BgL_oldz00_310; }  else 
{ /* Llib/tvector.scm 141 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2465z00zz__tvectorz00, BGl_string2455z00zz__tvectorz00, BgL_oldz00_310, BGl_string2453z00zz__tvectorz00, 
BINT(((long)5896))); 
exit( -1 );} 
{ /* Llib/tvector.scm 141 */
obj_t BgL_aux1929z00_870;
BgL_aux1929z00_870 = 
STRUCT_KEY(BgL_sz00_617); 
if(
SYMBOLP(BgL_aux1929z00_870))
{ /* Llib/tvector.scm 141 */
BgL_res1744z00_618 = BgL_aux1929z00_870; }  else 
{ /* Llib/tvector.scm 141 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2465z00zz__tvectorz00, BGl_string2456z00zz__tvectorz00, BgL_aux1929z00_870, BGl_string2453z00zz__tvectorz00, 
BINT(((long)5896))); 
exit( -1 );} } } 
BgL_arg1039z00_614 = BgL_res1744z00_618; } 
BgL_arg1040z00_615 = BGl_symbol2457z00zz__tvectorz00; 
BgL_test1117z00_311 = 
(BgL_arg1039z00_614==BgL_arg1040z00_615); }  else 
{ /* Llib/tvector.scm 141 */
BgL_test1117z00_311 = ((bool_t)0); } } 
if(BgL_test1117z00_311)
{ /* Llib/tvector.scm 141 */
BgL_aux1777z00_819 = BgL_oldz00_310; }  else 
{ /* Llib/tvector.scm 142 */
obj_t BgL_newz00_312;
{ /* Llib/tvector.scm 142 */
obj_t BgL_newz00_623;
{ /* Llib/tvector.scm 142 */
int BgL_auxz00_1160;
BgL_auxz00_1160 = 
(int)(((long)4)); 
BgL_newz00_623 = 
create_struct(BGl_symbol2457z00zz__tvectorz00, BgL_auxz00_1160); } 
{ /* Llib/tvector.scm 142 */
bool_t BgL_test1052z00_626;
{ /* Llib/tvector.scm 142 */
obj_t BgL_arg1056z00_627;obj_t BgL_arg1058z00_628;
{ /* Llib/tvector.scm 142 */
obj_t BgL_res1745z00_630;
{ /* Llib/tvector.scm 142 */
obj_t BgL_aux1940z00_872;
BgL_aux1940z00_872 = 
STRUCT_KEY(BgL_newz00_623); 
if(
SYMBOLP(BgL_aux1940z00_872))
{ /* Llib/tvector.scm 142 */
BgL_res1745z00_630 = BgL_aux1940z00_872; }  else 
{ /* Llib/tvector.scm 142 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2465z00zz__tvectorz00, BGl_string2456z00zz__tvectorz00, BgL_aux1940z00_872, BGl_string2453z00zz__tvectorz00, 
BINT(((long)5930))); 
exit( -1 );} } 
BgL_arg1056z00_627 = BgL_res1745z00_630; } 
BgL_arg1058z00_628 = BGl_symbol2457z00zz__tvectorz00; 
BgL_test1052z00_626 = 
(BgL_arg1056z00_627==BgL_arg1058z00_628); } 
if(BgL_test1052z00_626)
{ /* Llib/tvector.scm 142 */
int BgL_auxz00_1171;
BgL_auxz00_1171 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_623, BgL_auxz00_1171, BgL_setz00_26); }  else 
{ /* Llib/tvector.scm 142 */
BGl_debugzd2errorzf2locationz20zz__errorz00(BGl_string2468z00zz__tvectorz00, BGl_string2459z00zz__tvectorz00, BgL_newz00_623, BGl_string2453z00zz__tvectorz00, 
BINT(((long)5930))); } } 
{ /* Llib/tvector.scm 142 */
bool_t BgL_test1070z00_636;
{ /* Llib/tvector.scm 142 */
obj_t BgL_arg1074z00_637;obj_t BgL_arg1075z00_638;
{ /* Llib/tvector.scm 142 */
obj_t BgL_res1746z00_640;
{ /* Llib/tvector.scm 142 */
obj_t BgL_aux1955z00_874;
BgL_aux1955z00_874 = 
STRUCT_KEY(BgL_newz00_623); 
if(
SYMBOLP(BgL_aux1955z00_874))
{ /* Llib/tvector.scm 142 */
BgL_res1746z00_640 = BgL_aux1955z00_874; }  else 
{ /* Llib/tvector.scm 142 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2465z00zz__tvectorz00, BGl_string2456z00zz__tvectorz00, BgL_aux1955z00_874, BGl_string2453z00zz__tvectorz00, 
BINT(((long)5930))); 
exit( -1 );} } 
BgL_arg1074z00_637 = BgL_res1746z00_640; } 
BgL_arg1075z00_638 = BGl_symbol2457z00zz__tvectorz00; 
BgL_test1070z00_636 = 
(BgL_arg1074z00_637==BgL_arg1075z00_638); } 
if(BgL_test1070z00_636)
{ /* Llib/tvector.scm 142 */
int BgL_auxz00_1184;
BgL_auxz00_1184 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_623, BgL_auxz00_1184, BgL_refz00_25); }  else 
{ /* Llib/tvector.scm 142 */
BGl_debugzd2errorzf2locationz20zz__errorz00(BGl_string2468z00zz__tvectorz00, BGl_string2459z00zz__tvectorz00, BgL_newz00_623, BGl_string2453z00zz__tvectorz00, 
BINT(((long)5930))); } } 
{ /* Llib/tvector.scm 142 */
bool_t BgL_test1087z00_646;
{ /* Llib/tvector.scm 142 */
obj_t BgL_arg1091z00_647;obj_t BgL_arg1092z00_648;
{ /* Llib/tvector.scm 142 */
obj_t BgL_res1747z00_650;
{ /* Llib/tvector.scm 142 */
obj_t BgL_aux1970z00_876;
BgL_aux1970z00_876 = 
STRUCT_KEY(BgL_newz00_623); 
if(
SYMBOLP(BgL_aux1970z00_876))
{ /* Llib/tvector.scm 142 */
BgL_res1747z00_650 = BgL_aux1970z00_876; }  else 
{ /* Llib/tvector.scm 142 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2465z00zz__tvectorz00, BGl_string2456z00zz__tvectorz00, BgL_aux1970z00_876, BGl_string2453z00zz__tvectorz00, 
BINT(((long)5930))); 
exit( -1 );} } 
BgL_arg1091z00_647 = BgL_res1747z00_650; } 
BgL_arg1092z00_648 = BGl_symbol2457z00zz__tvectorz00; 
BgL_test1087z00_646 = 
(BgL_arg1091z00_647==BgL_arg1092z00_648); } 
if(BgL_test1087z00_646)
{ /* Llib/tvector.scm 142 */
int BgL_auxz00_1197;
BgL_auxz00_1197 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_623, BgL_auxz00_1197, BgL_allocatez00_24); }  else 
{ /* Llib/tvector.scm 142 */
BGl_debugzd2errorzf2locationz20zz__errorz00(BGl_string2468z00zz__tvectorz00, BGl_string2459z00zz__tvectorz00, BgL_newz00_623, BGl_string2453z00zz__tvectorz00, 
BINT(((long)5930))); } } 
{ /* Llib/tvector.scm 142 */
bool_t BgL_test1104z00_656;
{ /* Llib/tvector.scm 142 */
obj_t BgL_arg1108z00_657;obj_t BgL_arg1109z00_658;
{ /* Llib/tvector.scm 142 */
obj_t BgL_res1748z00_660;
{ /* Llib/tvector.scm 142 */
obj_t BgL_aux1985z00_878;
BgL_aux1985z00_878 = 
STRUCT_KEY(BgL_newz00_623); 
if(
SYMBOLP(BgL_aux1985z00_878))
{ /* Llib/tvector.scm 142 */
BgL_res1748z00_660 = BgL_aux1985z00_878; }  else 
{ /* Llib/tvector.scm 142 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2465z00zz__tvectorz00, BGl_string2456z00zz__tvectorz00, BgL_aux1985z00_878, BGl_string2453z00zz__tvectorz00, 
BINT(((long)5930))); 
exit( -1 );} } 
BgL_arg1108z00_657 = BgL_res1748z00_660; } 
BgL_arg1109z00_658 = BGl_symbol2457z00zz__tvectorz00; 
BgL_test1104z00_656 = 
(BgL_arg1108z00_657==BgL_arg1109z00_658); } 
if(BgL_test1104z00_656)
{ /* Llib/tvector.scm 142 */
int BgL_auxz00_1210;
BgL_auxz00_1210 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_623, BgL_auxz00_1210, BgL_idz00_309); }  else 
{ /* Llib/tvector.scm 142 */
BGl_debugzd2errorzf2locationz20zz__errorz00(BGl_string2468z00zz__tvectorz00, BGl_string2459z00zz__tvectorz00, BgL_newz00_623, BGl_string2453z00zz__tvectorz00, 
BINT(((long)5930))); } } 
BgL_newz00_312 = BgL_newz00_623; } 
{ /* Llib/tvector.scm 143 */
obj_t BgL_arg1119z00_313;
BgL_arg1119z00_313 = 
MAKE_PAIR(BgL_idz00_309, BgL_newz00_312); 
BGl_za2tvectorzd2tableza2zd2zz__tvectorz00 = 
MAKE_PAIR(BgL_arg1119z00_313, BGl_za2tvectorzd2tableza2zd2zz__tvectorz00); } 
BgL_aux1777z00_819 = BgL_newz00_312; } } } } } 
POP_TRACE(); 
return BgL_aux1777z00_819;} } } } 
}



/* _declare-tvector!1828 */
obj_t BGl__declarezd2tvectorz121828zc0zz__tvectorz00(obj_t BgL_envz00_838, obj_t BgL_idz00_839, obj_t BgL_allocatez00_840, obj_t BgL_refz00_841, obj_t BgL_setz00_842)
{ AN_OBJECT;
{ /* Llib/tvector.scm 132 */
{ /* Llib/tvector.scm 133 */
obj_t BgL_auxz00_1226;char * BgL_auxz00_1218;
if(
PROCEDUREP(BgL_allocatez00_840))
{ /* Llib/tvector.scm 133 */
BgL_auxz00_1226 = BgL_allocatez00_840
; }  else 
{ /* Llib/tvector.scm 133 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2469z00zz__tvectorz00, BGl_string2471z00zz__tvectorz00, BgL_allocatez00_840, BGl_string2453z00zz__tvectorz00, 
BINT(((long)5613))); 
exit( -1 );} 
{ /* Llib/tvector.scm 133 */
obj_t BgL_auxz00_1219;
if(
STRINGP(BgL_idz00_839))
{ /* Llib/tvector.scm 133 */
BgL_auxz00_1219 = BgL_idz00_839
; }  else 
{ /* Llib/tvector.scm 133 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2469z00zz__tvectorz00, BGl_string2470z00zz__tvectorz00, BgL_idz00_839, BGl_string2453z00zz__tvectorz00, 
BINT(((long)5613))); 
exit( -1 );} 
BgL_auxz00_1218 = 
BSTRING_TO_STRING(BgL_auxz00_1219); } 
return 
BGl_declarezd2tvectorz12zc0zz__tvectorz00(BgL_auxz00_1218, BgL_auxz00_1226, BgL_refz00_841, BgL_setz00_842);} } 
}



/* tvector-ref */
obj_t BGl_tvectorzd2refzd2zz__tvectorz00(obj_t BgL_tvectorz00_27)
{ AN_OBJECT;
{ /* Llib/tvector.scm 150 */
{ /* Llib/tvector.scm 151 */
obj_t BgL_symbol1782z00_820;
BgL_symbol1782z00_820 = BGl_symbol2472z00zz__tvectorz00; 
{ /* Llib/tvector.scm 151 */

PUSH_TRACE(BgL_symbol1782z00_820); BUNSPEC; 
{ /* Llib/tvector.scm 151 */
obj_t BgL_aux1781z00_821;
{ /* Llib/tvector.scm 151 */
obj_t BgL_arg1144z00_664;
BgL_arg1144z00_664 = 
TVECTOR_DESCR(BgL_tvectorz00_27); 
{ /* Llib/tvector.scm 151 */
bool_t BgL_test1061z00_666;
{ /* Llib/tvector.scm 151 */
obj_t BgL_arg1066z00_667;obj_t BgL_arg1067z00_668;
{ /* Llib/tvector.scm 151 */
obj_t BgL_res1749z00_670;
{ /* Llib/tvector.scm 151 */
obj_t BgL_sz00_669;
if(
STRUCTP(BgL_arg1144z00_664))
{ /* Llib/tvector.scm 151 */
BgL_sz00_669 = BgL_arg1144z00_664; }  else 
{ /* Llib/tvector.scm 151 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2472z00zz__tvectorz00, BGl_string2455z00zz__tvectorz00, BgL_arg1144z00_664, BGl_string2453z00zz__tvectorz00, 
BINT(((long)6331))); 
exit( -1 );} 
{ /* Llib/tvector.scm 151 */
obj_t BgL_aux2031z00_886;
BgL_aux2031z00_886 = 
STRUCT_KEY(BgL_sz00_669); 
if(
SYMBOLP(BgL_aux2031z00_886))
{ /* Llib/tvector.scm 151 */
BgL_res1749z00_670 = BgL_aux2031z00_886; }  else 
{ /* Llib/tvector.scm 151 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2472z00zz__tvectorz00, BGl_string2456z00zz__tvectorz00, BgL_aux2031z00_886, BGl_string2453z00zz__tvectorz00, 
BINT(((long)6331))); 
exit( -1 );} } } 
BgL_arg1066z00_667 = BgL_res1749z00_670; } 
BgL_arg1067z00_668 = BGl_symbol2457z00zz__tvectorz00; 
BgL_test1061z00_666 = 
(BgL_arg1066z00_667==BgL_arg1067z00_668); } 
if(BgL_test1061z00_666)
{ /* Llib/tvector.scm 151 */
int BgL_auxz00_1248;
BgL_auxz00_1248 = 
(int)(((long)2)); 
BgL_aux1781z00_821 = 
STRUCT_REF(BgL_arg1144z00_664, BgL_auxz00_1248); }  else 
{ /* Llib/tvector.scm 151 */
BgL_aux1781z00_821 = 
BGl_debugzd2errorzf2locationz20zz__errorz00(BGl_string2458z00zz__tvectorz00, BGl_string2459z00zz__tvectorz00, BgL_arg1144z00_664, BGl_string2453z00zz__tvectorz00, 
BINT(((long)6331))); } } } 
POP_TRACE(); 
return BgL_aux1781z00_821;} } } } 
}



/* _tvector-ref1830 */
obj_t BGl__tvectorzd2ref1830zd2zz__tvectorz00(obj_t BgL_envz00_843, obj_t BgL_tvectorz00_844)
{ AN_OBJECT;
{ /* Llib/tvector.scm 150 */
{ /* Llib/tvector.scm 151 */
obj_t BgL_auxz00_1254;
if(
TVECTORP(BgL_tvectorz00_844))
{ /* Llib/tvector.scm 151 */
BgL_auxz00_1254 = BgL_tvectorz00_844
; }  else 
{ /* Llib/tvector.scm 151 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2473z00zz__tvectorz00, BGl_string2452z00zz__tvectorz00, BgL_tvectorz00_844, BGl_string2453z00zz__tvectorz00, 
BINT(((long)6331))); 
exit( -1 );} 
return 
BGl_tvectorzd2refzd2zz__tvectorz00(BgL_auxz00_1254);} } 
}



/* list->tvector */
obj_t BGl_listzd2ze3tvectorz31zz__tvectorz00(obj_t BgL_idz00_28, obj_t BgL_lz00_29)
{ AN_OBJECT;
{ /* Llib/tvector.scm 156 */
{ /* Llib/tvector.scm 157 */
obj_t BgL_symbol1786z00_822;
BgL_symbol1786z00_822 = BGl_symbol2474z00zz__tvectorz00; 
{ /* Llib/tvector.scm 157 */

PUSH_TRACE(BgL_symbol1786z00_822); BUNSPEC; 
{ /* Llib/tvector.scm 157 */
obj_t BgL_aux1785z00_823;
{ /* Llib/tvector.scm 157 */
obj_t BgL_descrz00_321;
BgL_descrz00_321 = 
get_tvector_descriptor(BgL_idz00_28); 
if(
CBOOL(BgL_descrz00_321))
{ /* Llib/tvector.scm 160 */
obj_t BgL_allocatez00_322;obj_t BgL_setz00_323;
{ /* Llib/tvector.scm 160 */
bool_t BgL_test1078z00_675;
{ /* Llib/tvector.scm 160 */
obj_t BgL_arg1083z00_676;obj_t BgL_arg1084z00_677;
{ /* Llib/tvector.scm 160 */
obj_t BgL_res1750z00_679;
{ /* Llib/tvector.scm 160 */
obj_t BgL_sz00_678;
if(
STRUCTP(BgL_descrz00_321))
{ /* Llib/tvector.scm 160 */
BgL_sz00_678 = BgL_descrz00_321; }  else 
{ /* Llib/tvector.scm 160 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2474z00zz__tvectorz00, BGl_string2455z00zz__tvectorz00, BgL_descrz00_321, BGl_string2453z00zz__tvectorz00, 
BINT(((long)6762))); 
exit( -1 );} 
{ /* Llib/tvector.scm 160 */
obj_t BgL_aux2067z00_892;
BgL_aux2067z00_892 = 
STRUCT_KEY(BgL_sz00_678); 
if(
SYMBOLP(BgL_aux2067z00_892))
{ /* Llib/tvector.scm 160 */
BgL_res1750z00_679 = BgL_aux2067z00_892; }  else 
{ /* Llib/tvector.scm 160 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2474z00zz__tvectorz00, BGl_string2456z00zz__tvectorz00, BgL_aux2067z00_892, BGl_string2453z00zz__tvectorz00, 
BINT(((long)6762))); 
exit( -1 );} } } 
BgL_arg1083z00_676 = BgL_res1750z00_679; } 
BgL_arg1084z00_677 = BGl_symbol2457z00zz__tvectorz00; 
BgL_test1078z00_675 = 
(BgL_arg1083z00_676==BgL_arg1084z00_677); } 
if(BgL_test1078z00_675)
{ /* Llib/tvector.scm 160 */
int BgL_auxz00_1278;
BgL_auxz00_1278 = 
(int)(((long)1)); 
BgL_allocatez00_322 = 
STRUCT_REF(BgL_descrz00_321, BgL_auxz00_1278); }  else 
{ /* Llib/tvector.scm 160 */
BgL_allocatez00_322 = 
BGl_debugzd2errorzf2locationz20zz__errorz00(BGl_string2458z00zz__tvectorz00, BGl_string2459z00zz__tvectorz00, BgL_descrz00_321, BGl_string2453z00zz__tvectorz00, 
BINT(((long)6762))); } } 
{ /* Llib/tvector.scm 161 */
bool_t BgL_test1044z00_684;
{ /* Llib/tvector.scm 161 */
obj_t BgL_arg1048z00_685;obj_t BgL_arg1049z00_686;
{ /* Llib/tvector.scm 161 */
obj_t BgL_res1751z00_688;
{ /* Llib/tvector.scm 161 */
obj_t BgL_sz00_687;
if(
STRUCTP(BgL_descrz00_321))
{ /* Llib/tvector.scm 161 */
BgL_sz00_687 = BgL_descrz00_321; }  else 
{ /* Llib/tvector.scm 161 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2474z00zz__tvectorz00, BGl_string2455z00zz__tvectorz00, BgL_descrz00_321, BGl_string2453z00zz__tvectorz00, 
BINT(((long)6804))); 
exit( -1 );} 
{ /* Llib/tvector.scm 161 */
obj_t BgL_aux2092z00_896;
BgL_aux2092z00_896 = 
STRUCT_KEY(BgL_sz00_687); 
if(
SYMBOLP(BgL_aux2092z00_896))
{ /* Llib/tvector.scm 161 */
BgL_res1751z00_688 = BgL_aux2092z00_896; }  else 
{ /* Llib/tvector.scm 161 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2474z00zz__tvectorz00, BGl_string2456z00zz__tvectorz00, BgL_aux2092z00_896, BGl_string2453z00zz__tvectorz00, 
BINT(((long)6804))); 
exit( -1 );} } } 
BgL_arg1048z00_685 = BgL_res1751z00_688; } 
BgL_arg1049z00_686 = BGl_symbol2457z00zz__tvectorz00; 
BgL_test1044z00_684 = 
(BgL_arg1048z00_685==BgL_arg1049z00_686); } 
if(BgL_test1044z00_684)
{ /* Llib/tvector.scm 161 */
int BgL_auxz00_1296;
BgL_auxz00_1296 = 
(int)(((long)3)); 
BgL_setz00_323 = 
STRUCT_REF(BgL_descrz00_321, BgL_auxz00_1296); }  else 
{ /* Llib/tvector.scm 161 */
BgL_setz00_323 = 
BGl_debugzd2errorzf2locationz20zz__errorz00(BGl_string2458z00zz__tvectorz00, BGl_string2459z00zz__tvectorz00, BgL_descrz00_321, BGl_string2453z00zz__tvectorz00, 
BINT(((long)6804))); } } 
if(
PROCEDUREP(BgL_setz00_323))
{ /* Llib/tvector.scm 166 */
long BgL_lenz00_325;
BgL_lenz00_325 = 
bgl_list_length(BgL_lz00_29); 
{ /* Llib/tvector.scm 166 */
obj_t BgL_tvecz00_326;
{ /* Llib/tvector.scm 167 */
obj_t BgL_funz00_900;
if(
PROCEDUREP(BgL_allocatez00_322))
{ /* Llib/tvector.scm 167 */
BgL_funz00_900 = BgL_allocatez00_322; }  else 
{ /* Llib/tvector.scm 167 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2474z00zz__tvectorz00, BGl_string2471z00zz__tvectorz00, BgL_allocatez00_322, BGl_string2453z00zz__tvectorz00, 
BINT(((long)6972))); 
exit( -1 );} 
if(
PROCEDURE_CORRECT_ARITYP(BgL_funz00_900, ((long)1)))
{ /* Llib/tvector.scm 167 */
BgL_tvecz00_326 = 
PROCEDURE_ENTRY(BgL_funz00_900)(BgL_allocatez00_322, 
BINT(BgL_lenz00_325), BEOA); }  else 
{ /* Llib/tvector.scm 167 */
BGl_errorzf2locationzf2zz__errorz00(BGl_string2475z00zz__tvectorz00, BGl_list2476z00zz__tvectorz00, BgL_funz00_900, BGl_string2453z00zz__tvectorz00, 
BINT(((long)6972))); 
FAILURE(BGl_symbol2480z00zz__tvectorz00,BGl_symbol2480z00zz__tvectorz00,BGl_symbol2480z00zz__tvectorz00);} } 
{ /* Llib/tvector.scm 167 */

{ 
obj_t BgL_lz00_327;long BgL_iz00_328;
BgL_lz00_327 = BgL_lz00_29; 
BgL_iz00_328 = ((long)0); 
BgL_loopz00_329:
if(
NULLP(BgL_lz00_327))
{ /* Llib/tvector.scm 170 */
BgL_aux1785z00_823 = BgL_tvecz00_326; }  else 
{ /* Llib/tvector.scm 170 */
{ /* Llib/tvector.scm 173 */
obj_t BgL_arg1151z00_331;
{ /* Llib/tvector.scm 173 */
obj_t BgL_pairz00_694;
if(
PAIRP(BgL_lz00_327))
{ /* Llib/tvector.scm 173 */
BgL_pairz00_694 = BgL_lz00_327; }  else 
{ /* Llib/tvector.scm 173 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2474z00zz__tvectorz00, BGl_string2463z00zz__tvectorz00, BgL_lz00_327, BGl_string2453z00zz__tvectorz00, 
BINT(((long)7102))); 
exit( -1 );} 
BgL_arg1151z00_331 = 
CAR(BgL_pairz00_694); } 
{ /* Llib/tvector.scm 173 */
obj_t BgL_funz00_907;
if(
PROCEDUREP(BgL_setz00_323))
{ /* Llib/tvector.scm 173 */
BgL_funz00_907 = BgL_setz00_323; }  else 
{ /* Llib/tvector.scm 173 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2474z00zz__tvectorz00, BGl_string2471z00zz__tvectorz00, BgL_setz00_323, BGl_string2453z00zz__tvectorz00, 
BINT(((long)7085))); 
exit( -1 );} 
if(
PROCEDURE_CORRECT_ARITYP(BgL_funz00_907, ((long)3)))
{ /* Llib/tvector.scm 173 */
PROCEDURE_ENTRY(BgL_funz00_907)(BgL_setz00_323, BgL_tvecz00_326, 
BINT(BgL_iz00_328), BgL_arg1151z00_331, BEOA); }  else 
{ /* Llib/tvector.scm 173 */
BGl_errorzf2locationzf2zz__errorz00(BGl_string2475z00zz__tvectorz00, BGl_list2481z00zz__tvectorz00, BgL_funz00_907, BGl_string2453z00zz__tvectorz00, 
BINT(((long)7085))); 
FAILURE(BGl_symbol2480z00zz__tvectorz00,BGl_symbol2480z00zz__tvectorz00,BGl_symbol2480z00zz__tvectorz00);} } } 
{ /* Llib/tvector.scm 174 */
obj_t BgL_arg1155z00_332;long BgL_arg1156z00_333;
{ /* Llib/tvector.scm 174 */
obj_t BgL_pairz00_695;
if(
PAIRP(BgL_lz00_327))
{ /* Llib/tvector.scm 174 */
BgL_pairz00_695 = BgL_lz00_327; }  else 
{ /* Llib/tvector.scm 174 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2474z00zz__tvectorz00, BGl_string2463z00zz__tvectorz00, BgL_lz00_327, BGl_string2453z00zz__tvectorz00, 
BINT(((long)7126))); 
exit( -1 );} 
BgL_arg1155z00_332 = 
CDR(BgL_pairz00_695); } 
BgL_arg1156z00_333 = 
(BgL_iz00_328+((long)1)); 
{ 
long BgL_iz00_1346;obj_t BgL_lz00_1345;
BgL_lz00_1345 = BgL_arg1155z00_332; 
BgL_iz00_1346 = BgL_arg1156z00_333; 
BgL_iz00_328 = BgL_iz00_1346; 
BgL_lz00_327 = BgL_lz00_1345; 
goto BgL_loopz00_329;} } } } } } }  else 
{ /* Llib/tvector.scm 162 */
BGl_errorzf2czd2locationz20zz__errorz00(BGl_string2486z00zz__tvectorz00, BGl_string2487z00zz__tvectorz00, BgL_idz00_28, "Llib/tvector.scm", ((long)6866)); 
BgL_aux1785z00_823 = 
BGl_debugzd2errorzf2locationz20zz__errorz00(BFALSE, BFALSE, BFALSE, BGl_string2453z00zz__tvectorz00, 
BINT(((long)6926))); } }  else 
{ /* Llib/tvector.scm 158 */
BGl_errorzf2czd2locationz20zz__errorz00(BGl_string2486z00zz__tvectorz00, BGl_string2488z00zz__tvectorz00, BgL_idz00_28, "Llib/tvector.scm", ((long)6695)); 
BgL_aux1785z00_823 = 
BGl_debugzd2errorzf2locationz20zz__errorz00(BFALSE, BFALSE, BFALSE, BGl_string2453z00zz__tvectorz00, 
BINT(((long)6737))); } } 
POP_TRACE(); 
return BgL_aux1785z00_823;} } } } 
}



/* _list->tvector1832 */
obj_t BGl__listzd2ze3tvector1832z31zz__tvectorz00(obj_t BgL_envz00_845, obj_t BgL_idz00_846, obj_t BgL_lz00_847)
{ AN_OBJECT;
{ /* Llib/tvector.scm 156 */
{ /* Llib/tvector.scm 157 */
obj_t BgL_auxz00_1360;obj_t BgL_auxz00_1354;
if(
PAIRP(BgL_lz00_847))
{ /* Llib/tvector.scm 157 */
BgL_auxz00_1360 = BgL_lz00_847
; }  else 
{ /* Llib/tvector.scm 157 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2489z00zz__tvectorz00, BGl_string2463z00zz__tvectorz00, BgL_lz00_847, BGl_string2453z00zz__tvectorz00, 
BINT(((long)6627))); 
exit( -1 );} 
if(
SYMBOLP(BgL_idz00_846))
{ /* Llib/tvector.scm 157 */
BgL_auxz00_1354 = BgL_idz00_846
; }  else 
{ /* Llib/tvector.scm 157 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2489z00zz__tvectorz00, BGl_string2456z00zz__tvectorz00, BgL_idz00_846, BGl_string2453z00zz__tvectorz00, 
BINT(((long)6627))); 
exit( -1 );} 
return 
BGl_listzd2ze3tvectorz31zz__tvectorz00(BgL_auxz00_1354, BgL_auxz00_1360);} } 
}



/* vector->tvector */
obj_t BGl_vectorzd2ze3tvectorz31zz__tvectorz00(obj_t BgL_idz00_30, obj_t BgL_vz00_31)
{ AN_OBJECT;
{ /* Llib/tvector.scm 179 */
{ /* Llib/tvector.scm 180 */
obj_t BgL_symbol1790z00_824;
BgL_symbol1790z00_824 = BGl_symbol2490z00zz__tvectorz00; 
{ /* Llib/tvector.scm 180 */

PUSH_TRACE(BgL_symbol1790z00_824); BUNSPEC; 
{ /* Llib/tvector.scm 180 */
obj_t BgL_aux1789z00_825;
{ /* Llib/tvector.scm 180 */
obj_t BgL_descrz00_334;
BgL_descrz00_334 = 
get_tvector_descriptor(BgL_idz00_30); 
if(
CBOOL(BgL_descrz00_334))
{ /* Llib/tvector.scm 183 */
obj_t BgL_allocatez00_335;obj_t BgL_setz00_336;
{ /* Llib/tvector.scm 183 */
bool_t BgL_test1078z00_705;
{ /* Llib/tvector.scm 183 */
obj_t BgL_arg1083z00_706;obj_t BgL_arg1084z00_707;
{ /* Llib/tvector.scm 183 */
obj_t BgL_res1752z00_709;
{ /* Llib/tvector.scm 183 */
obj_t BgL_sz00_708;
if(
STRUCTP(BgL_descrz00_334))
{ /* Llib/tvector.scm 183 */
BgL_sz00_708 = BgL_descrz00_334; }  else 
{ /* Llib/tvector.scm 183 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2490z00zz__tvectorz00, BGl_string2455z00zz__tvectorz00, BgL_descrz00_334, BGl_string2453z00zz__tvectorz00, 
BINT(((long)7559))); 
exit( -1 );} 
{ /* Llib/tvector.scm 183 */
obj_t BgL_aux2208z00_918;
BgL_aux2208z00_918 = 
STRUCT_KEY(BgL_sz00_708); 
if(
SYMBOLP(BgL_aux2208z00_918))
{ /* Llib/tvector.scm 183 */
BgL_res1752z00_709 = BgL_aux2208z00_918; }  else 
{ /* Llib/tvector.scm 183 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2490z00zz__tvectorz00, BGl_string2456z00zz__tvectorz00, BgL_aux2208z00_918, BGl_string2453z00zz__tvectorz00, 
BINT(((long)7559))); 
exit( -1 );} } } 
BgL_arg1083z00_706 = BgL_res1752z00_709; } 
BgL_arg1084z00_707 = BGl_symbol2457z00zz__tvectorz00; 
BgL_test1078z00_705 = 
(BgL_arg1083z00_706==BgL_arg1084z00_707); } 
if(BgL_test1078z00_705)
{ /* Llib/tvector.scm 183 */
int BgL_auxz00_1384;
BgL_auxz00_1384 = 
(int)(((long)1)); 
BgL_allocatez00_335 = 
STRUCT_REF(BgL_descrz00_334, BgL_auxz00_1384); }  else 
{ /* Llib/tvector.scm 183 */
BgL_allocatez00_335 = 
BGl_debugzd2errorzf2locationz20zz__errorz00(BGl_string2458z00zz__tvectorz00, BGl_string2459z00zz__tvectorz00, BgL_descrz00_334, BGl_string2453z00zz__tvectorz00, 
BINT(((long)7559))); } } 
{ /* Llib/tvector.scm 184 */
bool_t BgL_test1044z00_714;
{ /* Llib/tvector.scm 184 */
obj_t BgL_arg1048z00_715;obj_t BgL_arg1049z00_716;
{ /* Llib/tvector.scm 184 */
obj_t BgL_res1753z00_718;
{ /* Llib/tvector.scm 184 */
obj_t BgL_sz00_717;
if(
STRUCTP(BgL_descrz00_334))
{ /* Llib/tvector.scm 184 */
BgL_sz00_717 = BgL_descrz00_334; }  else 
{ /* Llib/tvector.scm 184 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2490z00zz__tvectorz00, BGl_string2455z00zz__tvectorz00, BgL_descrz00_334, BGl_string2453z00zz__tvectorz00, 
BINT(((long)7601))); 
exit( -1 );} 
{ /* Llib/tvector.scm 184 */
obj_t BgL_aux2233z00_922;
BgL_aux2233z00_922 = 
STRUCT_KEY(BgL_sz00_717); 
if(
SYMBOLP(BgL_aux2233z00_922))
{ /* Llib/tvector.scm 184 */
BgL_res1753z00_718 = BgL_aux2233z00_922; }  else 
{ /* Llib/tvector.scm 184 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2490z00zz__tvectorz00, BGl_string2456z00zz__tvectorz00, BgL_aux2233z00_922, BGl_string2453z00zz__tvectorz00, 
BINT(((long)7601))); 
exit( -1 );} } } 
BgL_arg1048z00_715 = BgL_res1753z00_718; } 
BgL_arg1049z00_716 = BGl_symbol2457z00zz__tvectorz00; 
BgL_test1044z00_714 = 
(BgL_arg1048z00_715==BgL_arg1049z00_716); } 
if(BgL_test1044z00_714)
{ /* Llib/tvector.scm 184 */
int BgL_auxz00_1402;
BgL_auxz00_1402 = 
(int)(((long)3)); 
BgL_setz00_336 = 
STRUCT_REF(BgL_descrz00_334, BgL_auxz00_1402); }  else 
{ /* Llib/tvector.scm 184 */
BgL_setz00_336 = 
BGl_debugzd2errorzf2locationz20zz__errorz00(BGl_string2458z00zz__tvectorz00, BGl_string2459z00zz__tvectorz00, BgL_descrz00_334, BGl_string2453z00zz__tvectorz00, 
BINT(((long)7601))); } } 
if(
PROCEDUREP(BgL_setz00_336))
{ /* Llib/tvector.scm 189 */
int BgL_lenz00_338;
BgL_lenz00_338 = 
VECTOR_LENGTH(BgL_vz00_31); 
{ /* Llib/tvector.scm 189 */
obj_t BgL_tvecz00_339;
{ /* Llib/tvector.scm 190 */
obj_t BgL_funz00_926;
if(
PROCEDUREP(BgL_allocatez00_335))
{ /* Llib/tvector.scm 190 */
BgL_funz00_926 = BgL_allocatez00_335; }  else 
{ /* Llib/tvector.scm 190 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2490z00zz__tvectorz00, BGl_string2471z00zz__tvectorz00, BgL_allocatez00_335, BGl_string2453z00zz__tvectorz00, 
BINT(((long)7778))); 
exit( -1 );} 
if(
PROCEDURE_CORRECT_ARITYP(BgL_funz00_926, ((long)1)))
{ /* Llib/tvector.scm 190 */
BgL_tvecz00_339 = 
PROCEDURE_ENTRY(BgL_funz00_926)(BgL_allocatez00_335, 
BINT(BgL_lenz00_338), BEOA); }  else 
{ /* Llib/tvector.scm 190 */
BGl_errorzf2locationzf2zz__errorz00(BGl_string2491z00zz__tvectorz00, BGl_list2476z00zz__tvectorz00, BgL_funz00_926, BGl_string2453z00zz__tvectorz00, 
BINT(((long)7778))); 
FAILURE(BGl_symbol2480z00zz__tvectorz00,BGl_symbol2480z00zz__tvectorz00,BGl_symbol2480z00zz__tvectorz00);} } 
{ /* Llib/tvector.scm 190 */

{ 
long BgL_iz00_340;
{ /* Llib/tvector.scm 191 */
long BgL_auxz00_1449;
BgL_auxz00_1449 = 
(long)(BgL_lenz00_338); 
BgL_iz00_340 = 
(BgL_auxz00_1449-((long)1)); } 
BgL_loopz00_341:
if(
(BgL_iz00_340==((long)-1)))
{ /* Llib/tvector.scm 192 */
BgL_aux1789z00_825 = BgL_tvecz00_339; }  else 
{ /* Llib/tvector.scm 192 */
{ /* Llib/tvector.scm 195 */
obj_t BgL_arg1178z00_344;
{ /* Llib/tvector.scm 195 */
int BgL_kz00_729;
BgL_kz00_729 = 
(int)(BgL_iz00_340); 
{ /* Llib/tvector.scm 195 */
bool_t BgL_test1605z00_730;
{ /* Llib/tvector.scm 195 */
int BgL_arg1610z00_731;
BgL_arg1610z00_731 = 
VECTOR_LENGTH(BgL_vz00_31); 
BgL_test1605z00_730 = 
BOUND_CHECK(BgL_kz00_729, BgL_arg1610z00_731); } 
if(BgL_test1605z00_730)
{ /* Llib/tvector.scm 195 */
BgL_arg1178z00_344 = 
VECTOR_REF(BgL_vz00_31,BgL_kz00_729); }  else 
{ /* Llib/tvector.scm 195 */
BGl_errorzf2czd2locationz20zz__errorz00(BGl_string2492z00zz__tvectorz00, BGl_string2493z00zz__tvectorz00, 
BINT(BgL_kz00_729), "./Ieee/vector.scm", ((long)5816)); 
BgL_arg1178z00_344 = 
BGl_debugzd2errorzf2locationz20zz__errorz00(BFALSE, BFALSE, BFALSE, BGl_string2453z00zz__tvectorz00, 
BINT(((long)7898))); } } } 
{ /* Llib/tvector.scm 195 */
obj_t BgL_funz00_931;
if(
PROCEDUREP(BgL_setz00_336))
{ /* Llib/tvector.scm 195 */
BgL_funz00_931 = BgL_setz00_336; }  else 
{ /* Llib/tvector.scm 195 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2490z00zz__tvectorz00, BGl_string2471z00zz__tvectorz00, BgL_setz00_336, BGl_string2453z00zz__tvectorz00, 
BINT(((long)7886))); 
exit( -1 );} 
if(
PROCEDURE_CORRECT_ARITYP(BgL_funz00_931, ((long)3)))
{ /* Llib/tvector.scm 195 */
PROCEDURE_ENTRY(BgL_funz00_931)(BgL_setz00_336, BgL_tvecz00_339, 
BINT(BgL_iz00_340), BgL_arg1178z00_344, BEOA); }  else 
{ /* Llib/tvector.scm 195 */
BGl_errorzf2locationzf2zz__errorz00(BGl_string2491z00zz__tvectorz00, BGl_list2494z00zz__tvectorz00, BgL_funz00_931, BGl_string2453z00zz__tvectorz00, 
BINT(((long)7886))); 
FAILURE(BGl_symbol2480z00zz__tvectorz00,BGl_symbol2480z00zz__tvectorz00,BGl_symbol2480z00zz__tvectorz00);} } } 
{ 
long BgL_iz00_1447;
BgL_iz00_1447 = 
(BgL_iz00_340-((long)1)); 
BgL_iz00_340 = BgL_iz00_1447; 
goto BgL_loopz00_341;} } } } } }  else 
{ /* Llib/tvector.scm 185 */
BGl_errorzf2czd2locationz20zz__errorz00(BGl_string2496z00zz__tvectorz00, BGl_string2487z00zz__tvectorz00, BgL_idz00_30, "Llib/tvector.scm", ((long)7663)); 
BgL_aux1789z00_825 = 
BGl_debugzd2errorzf2locationz20zz__errorz00(BFALSE, BFALSE, BFALSE, BGl_string2453z00zz__tvectorz00, 
BINT(((long)7725))); } }  else 
{ /* Llib/tvector.scm 181 */
BGl_errorzf2czd2locationz20zz__errorz00(BGl_string2496z00zz__tvectorz00, BGl_string2488z00zz__tvectorz00, BgL_idz00_30, "Llib/tvector.scm", ((long)7490)); 
BgL_aux1789z00_825 = 
BGl_debugzd2errorzf2locationz20zz__errorz00(BFALSE, BFALSE, BFALSE, BGl_string2453z00zz__tvectorz00, 
BINT(((long)7534))); } } 
POP_TRACE(); 
return BgL_aux1789z00_825;} } } } 
}



/* _vector->tvector1834 */
obj_t BGl__vectorzd2ze3tvector1834z31zz__tvectorz00(obj_t BgL_envz00_848, obj_t BgL_idz00_849, obj_t BgL_vz00_850)
{ AN_OBJECT;
{ /* Llib/tvector.scm 179 */
{ /* Llib/tvector.scm 180 */
obj_t BgL_auxz00_1465;obj_t BgL_auxz00_1459;
if(
VECTORP(BgL_vz00_850))
{ /* Llib/tvector.scm 180 */
BgL_auxz00_1465 = BgL_vz00_850
; }  else 
{ /* Llib/tvector.scm 180 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2497z00zz__tvectorz00, BGl_string2498z00zz__tvectorz00, BgL_vz00_850, BGl_string2453z00zz__tvectorz00, 
BINT(((long)7422))); 
exit( -1 );} 
if(
SYMBOLP(BgL_idz00_849))
{ /* Llib/tvector.scm 180 */
BgL_auxz00_1459 = BgL_idz00_849
; }  else 
{ /* Llib/tvector.scm 180 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2497z00zz__tvectorz00, BGl_string2456z00zz__tvectorz00, BgL_idz00_849, BGl_string2453z00zz__tvectorz00, 
BINT(((long)7422))); 
exit( -1 );} 
return 
BGl_vectorzd2ze3tvectorz31zz__tvectorz00(BgL_auxz00_1459, BgL_auxz00_1465);} } 
}



/* tvector->vector */
obj_t BGl_tvectorzd2ze3vectorz31zz__tvectorz00(obj_t BgL_tvz00_32)
{ AN_OBJECT;
{ /* Llib/tvector.scm 201 */
{ /* Llib/tvector.scm 202 */
obj_t BgL_symbol1794z00_826;
BgL_symbol1794z00_826 = BGl_symbol2499z00zz__tvectorz00; 
{ /* Llib/tvector.scm 202 */

PUSH_TRACE(BgL_symbol1794z00_826); BUNSPEC; 
{ /* Llib/tvector.scm 202 */
obj_t BgL_aux1793z00_827;
{ /* Llib/tvector.scm 202 */
obj_t BgL_descrz00_346;
BgL_descrz00_346 = 
TVECTOR_DESCR(BgL_tvz00_32); 
{ /* Llib/tvector.scm 203 */
obj_t BgL_allocatez00_347;obj_t BgL_refz00_348;
{ /* Llib/tvector.scm 203 */
bool_t BgL_test1078z00_745;
{ /* Llib/tvector.scm 203 */
obj_t BgL_arg1083z00_746;obj_t BgL_arg1084z00_747;
{ /* Llib/tvector.scm 203 */
obj_t BgL_res1754z00_749;
{ /* Llib/tvector.scm 203 */
obj_t BgL_sz00_748;
if(
STRUCTP(BgL_descrz00_346))
{ /* Llib/tvector.scm 203 */
BgL_sz00_748 = BgL_descrz00_346; }  else 
{ /* Llib/tvector.scm 203 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2499z00zz__tvectorz00, BGl_string2455z00zz__tvectorz00, BgL_descrz00_346, BGl_string2453z00zz__tvectorz00, 
BINT(((long)8271))); 
exit( -1 );} 
{ /* Llib/tvector.scm 203 */
obj_t BgL_aux2338z00_940;
BgL_aux2338z00_940 = 
STRUCT_KEY(BgL_sz00_748); 
if(
SYMBOLP(BgL_aux2338z00_940))
{ /* Llib/tvector.scm 203 */
BgL_res1754z00_749 = BgL_aux2338z00_940; }  else 
{ /* Llib/tvector.scm 203 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2499z00zz__tvectorz00, BGl_string2456z00zz__tvectorz00, BgL_aux2338z00_940, BGl_string2453z00zz__tvectorz00, 
BINT(((long)8271))); 
exit( -1 );} } } 
BgL_arg1083z00_746 = BgL_res1754z00_749; } 
BgL_arg1084z00_747 = BGl_symbol2457z00zz__tvectorz00; 
BgL_test1078z00_745 = 
(BgL_arg1083z00_746==BgL_arg1084z00_747); } 
if(BgL_test1078z00_745)
{ /* Llib/tvector.scm 203 */
int BgL_auxz00_1487;
BgL_auxz00_1487 = 
(int)(((long)1)); 
BgL_allocatez00_347 = 
STRUCT_REF(BgL_descrz00_346, BgL_auxz00_1487); }  else 
{ /* Llib/tvector.scm 203 */
BgL_allocatez00_347 = 
BGl_debugzd2errorzf2locationz20zz__errorz00(BGl_string2458z00zz__tvectorz00, BGl_string2459z00zz__tvectorz00, BgL_descrz00_346, BGl_string2453z00zz__tvectorz00, 
BINT(((long)8271))); } } 
{ /* Llib/tvector.scm 204 */
bool_t BgL_test1061z00_754;
{ /* Llib/tvector.scm 204 */
obj_t BgL_arg1066z00_755;obj_t BgL_arg1067z00_756;
{ /* Llib/tvector.scm 204 */
obj_t BgL_res1755z00_758;
{ /* Llib/tvector.scm 204 */
obj_t BgL_sz00_757;
if(
STRUCTP(BgL_descrz00_346))
{ /* Llib/tvector.scm 204 */
BgL_sz00_757 = BgL_descrz00_346; }  else 
{ /* Llib/tvector.scm 204 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2499z00zz__tvectorz00, BGl_string2455z00zz__tvectorz00, BgL_descrz00_346, BGl_string2453z00zz__tvectorz00, 
BINT(((long)8316))); 
exit( -1 );} 
{ /* Llib/tvector.scm 204 */
obj_t BgL_aux2363z00_944;
BgL_aux2363z00_944 = 
STRUCT_KEY(BgL_sz00_757); 
if(
SYMBOLP(BgL_aux2363z00_944))
{ /* Llib/tvector.scm 204 */
BgL_res1755z00_758 = BgL_aux2363z00_944; }  else 
{ /* Llib/tvector.scm 204 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2499z00zz__tvectorz00, BGl_string2456z00zz__tvectorz00, BgL_aux2363z00_944, BGl_string2453z00zz__tvectorz00, 
BINT(((long)8316))); 
exit( -1 );} } } 
BgL_arg1066z00_755 = BgL_res1755z00_758; } 
BgL_arg1067z00_756 = BGl_symbol2457z00zz__tvectorz00; 
BgL_test1061z00_754 = 
(BgL_arg1066z00_755==BgL_arg1067z00_756); } 
if(BgL_test1061z00_754)
{ /* Llib/tvector.scm 204 */
int BgL_auxz00_1505;
BgL_auxz00_1505 = 
(int)(((long)2)); 
BgL_refz00_348 = 
STRUCT_REF(BgL_descrz00_346, BgL_auxz00_1505); }  else 
{ /* Llib/tvector.scm 204 */
BgL_refz00_348 = 
BGl_debugzd2errorzf2locationz20zz__errorz00(BGl_string2458z00zz__tvectorz00, BGl_string2459z00zz__tvectorz00, BgL_descrz00_346, BGl_string2453z00zz__tvectorz00, 
BINT(((long)8316))); } } 
if(
PROCEDUREP(BgL_refz00_348))
{ /* Llib/tvector.scm 209 */
int BgL_lenz00_350;
BgL_lenz00_350 = 
TVECTOR_LENGTH(BgL_tvz00_32); 
{ /* Llib/tvector.scm 209 */
obj_t BgL_vecz00_351;
BgL_vecz00_351 = 
create_vector(BgL_lenz00_350); 
{ /* Llib/tvector.scm 210 */

{ 
long BgL_iz00_352;
{ /* Llib/tvector.scm 211 */
long BgL_auxz00_1540;
BgL_auxz00_1540 = 
(long)(BgL_lenz00_350); 
BgL_iz00_352 = 
(BgL_auxz00_1540-((long)1)); } 
BgL_loopz00_353:
if(
(BgL_iz00_352==((long)-1)))
{ /* Llib/tvector.scm 212 */
BgL_aux1793z00_827 = BgL_vecz00_351; }  else 
{ /* Llib/tvector.scm 212 */
{ /* Llib/tvector.scm 215 */
obj_t BgL_arg1203z00_356;
{ /* Llib/tvector.scm 215 */
obj_t BgL_funz00_948;
if(
PROCEDUREP(BgL_refz00_348))
{ /* Llib/tvector.scm 215 */
BgL_funz00_948 = BgL_refz00_348; }  else 
{ /* Llib/tvector.scm 215 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2499z00zz__tvectorz00, BGl_string2471z00zz__tvectorz00, BgL_refz00_348, BGl_string2453z00zz__tvectorz00, 
BINT(((long)8646))); 
exit( -1 );} 
if(
PROCEDURE_CORRECT_ARITYP(BgL_funz00_948, ((long)2)))
{ /* Llib/tvector.scm 215 */
BgL_arg1203z00_356 = 
PROCEDURE_ENTRY(BgL_funz00_948)(BgL_refz00_348, BgL_tvz00_32, 
BINT(BgL_iz00_352), BEOA); }  else 
{ /* Llib/tvector.scm 215 */
BGl_errorzf2locationzf2zz__errorz00(BGl_string2500z00zz__tvectorz00, BGl_list2501z00zz__tvectorz00, BgL_funz00_948, BGl_string2453z00zz__tvectorz00, 
BINT(((long)8646))); 
FAILURE(BGl_symbol2480z00zz__tvectorz00,BGl_symbol2480z00zz__tvectorz00,BGl_symbol2480z00zz__tvectorz00);} } 
{ /* Llib/tvector.scm 215 */
int BgL_kz00_769;
BgL_kz00_769 = 
(int)(BgL_iz00_352); 
{ /* Llib/tvector.scm 215 */
bool_t BgL_test1597z00_771;
{ /* Llib/tvector.scm 215 */
int BgL_arg1602z00_772;
BgL_arg1602z00_772 = 
VECTOR_LENGTH(BgL_vecz00_351); 
BgL_test1597z00_771 = 
BOUND_CHECK(BgL_kz00_769, BgL_arg1602z00_772); } 
if(BgL_test1597z00_771)
{ /* Llib/tvector.scm 215 */
VECTOR_SET(BgL_vecz00_351,BgL_kz00_769,BgL_arg1203z00_356); }  else 
{ /* Llib/tvector.scm 215 */
BGl_errorzf2czd2locationz20zz__errorz00(BGl_string2504z00zz__tvectorz00, BGl_string2493z00zz__tvectorz00, 
BINT(BgL_kz00_769), "./Ieee/vector.scm", ((long)6224)); 
BGl_debugzd2errorzf2locationz20zz__errorz00(BFALSE, BFALSE, BFALSE, BGl_string2453z00zz__tvectorz00, 
BINT(((long)8627))); } } } } 
{ 
long BgL_iz00_1538;
BgL_iz00_1538 = 
(BgL_iz00_352-((long)1)); 
BgL_iz00_352 = BgL_iz00_1538; 
goto BgL_loopz00_353;} } } } } }  else 
{ /* Llib/tvector.scm 205 */
{ /* Llib/tvector.scm 206 */
obj_t BgL_arg1216z00_360;
{ /* Llib/tvector.scm 208 */
obj_t BgL_arg1014z00_780;
BgL_arg1014z00_780 = 
TVECTOR_DESCR(BgL_tvz00_32); 
{ /* Llib/tvector.scm 208 */
bool_t BgL_test1095z00_782;
{ /* Llib/tvector.scm 208 */
obj_t BgL_arg1099z00_783;obj_t BgL_arg1100z00_784;
{ /* Llib/tvector.scm 208 */
obj_t BgL_res1756z00_786;
{ /* Llib/tvector.scm 208 */
obj_t BgL_sz00_785;
if(
STRUCTP(BgL_arg1014z00_780))
{ /* Llib/tvector.scm 208 */
BgL_sz00_785 = BgL_arg1014z00_780; }  else 
{ /* Llib/tvector.scm 208 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2499z00zz__tvectorz00, BGl_string2455z00zz__tvectorz00, BgL_arg1014z00_780, BGl_string2453z00zz__tvectorz00, 
BINT(((long)8450))); 
exit( -1 );} 
{ /* Llib/tvector.scm 208 */
obj_t BgL_aux2416z00_953;
BgL_aux2416z00_953 = 
STRUCT_KEY(BgL_sz00_785); 
if(
SYMBOLP(BgL_aux2416z00_953))
{ /* Llib/tvector.scm 208 */
BgL_res1756z00_786 = BgL_aux2416z00_953; }  else 
{ /* Llib/tvector.scm 208 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2499z00zz__tvectorz00, BGl_string2456z00zz__tvectorz00, BgL_aux2416z00_953, BGl_string2453z00zz__tvectorz00, 
BINT(((long)8450))); 
exit( -1 );} } } 
BgL_arg1099z00_783 = BgL_res1756z00_786; } 
BgL_arg1100z00_784 = BGl_symbol2457z00zz__tvectorz00; 
BgL_test1095z00_782 = 
(BgL_arg1099z00_783==BgL_arg1100z00_784); } 
if(BgL_test1095z00_782)
{ /* Llib/tvector.scm 208 */
int BgL_auxz00_1557;
BgL_auxz00_1557 = 
(int)(((long)0)); 
BgL_arg1216z00_360 = 
STRUCT_REF(BgL_arg1014z00_780, BgL_auxz00_1557); }  else 
{ /* Llib/tvector.scm 208 */
BgL_arg1216z00_360 = 
BGl_debugzd2errorzf2locationz20zz__errorz00(BGl_string2458z00zz__tvectorz00, BGl_string2459z00zz__tvectorz00, BgL_arg1014z00_780, BGl_string2453z00zz__tvectorz00, 
BINT(((long)8450))); } } } 
BGl_errorzf2czd2locationz20zz__errorz00(BGl_string2505z00zz__tvectorz00, BGl_string2487z00zz__tvectorz00, BgL_arg1216z00_360, "Llib/tvector.scm", ((long)8377)); } 
BgL_aux1793z00_827 = 
BGl_debugzd2errorzf2locationz20zz__errorz00(BFALSE, BFALSE, BFALSE, BGl_string2453z00zz__tvectorz00, 
BINT(((long)8442))); } } } 
POP_TRACE(); 
return BgL_aux1793z00_827;} } } } 
}



/* _tvector->vector1836 */
obj_t BGl__tvectorzd2ze3vector1836z31zz__tvectorz00(obj_t BgL_envz00_851, obj_t BgL_tvz00_852)
{ AN_OBJECT;
{ /* Llib/tvector.scm 201 */
{ /* Llib/tvector.scm 202 */
obj_t BgL_auxz00_1566;
if(
TVECTORP(BgL_tvz00_852))
{ /* Llib/tvector.scm 202 */
BgL_auxz00_1566 = BgL_tvz00_852
; }  else 
{ /* Llib/tvector.scm 202 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol2506z00zz__tvectorz00, BGl_string2452z00zz__tvectorz00, BgL_tvz00_852, BGl_string2453z00zz__tvectorz00, 
BINT(((long)8215))); 
exit( -1 );} 
return 
BGl_tvectorzd2ze3vectorz31zz__tvectorz00(BgL_auxz00_1566);} } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__tvectorz00()
{ AN_OBJECT;
{ /* Llib/tvector.scm 14 */
{ /* Llib/tvector.scm 14 */
obj_t BgL_symbol1798z00_828;
BgL_symbol1798z00_828 = BGl_symbol2507z00zz__tvectorz00; 
{ /* Llib/tvector.scm 14 */

PUSH_TRACE(BgL_symbol1798z00_828); BUNSPEC; 
{ /* Llib/tvector.scm 14 */
obj_t BgL_aux1797z00_829;
BGl_modulezd2initializa7ationz75zz__errorz00(((long)62184), "__tvector"); 
BgL_aux1797z00_829 = 
BGl_modulezd2initializa7ationz75zz__hashz00(((long)29417), "__tvector"); 
POP_TRACE(); 
return BgL_aux1797z00_829;} } } } 
}

