/*===========================================================================*/
/*   (Llib/error.scm)                                                        */
/*   Bigloo (2.5b)                                                           */
/*   Manuel Serrano (c)       Fri Sep 6 09:43:28 CEST 2002                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>
#include <signal.h>


/* Object type definitions */

extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long, char *);
extern obj_t BGl_pwdz00zz__osz00();
static obj_t BGl__the_c_failurez00zz__errorz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t dump_trace_stack(obj_t, int);
extern obj_t the_failure(obj_t, obj_t, obj_t);
extern obj_t BGl_debugzd2errorzf2locationz20zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__defaultzd2errorzd2handlerz00zz__errorz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__sigillzd2errorzd2handlerz00zz__errorz00(obj_t, obj_t);
static obj_t BGl__warningzf2czd2locationz20zz__errorz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__notifyzd2interruptzd2zz__errorz00(obj_t, obj_t);
extern obj_t make_string(int, unsigned char);
static obj_t BGl_methodzd2initzd2zz__errorz00();
static obj_t BGl_printzd2cursorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__findzd2runtimezd2typez00zz__errorz00(obj_t, obj_t);
static obj_t BGl__modulezd2initzd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
extern long bgl_list_length(obj_t);
extern obj_t BGl_classzd2namezd2zz__objectz00(obj_t);
static obj_t BGl__bigloozd2typezd2errorzf2locationzf2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern bool_t BGl_classzf3zf3zz__objectz00(obj_t);
static obj_t BGl_makezd2locationzd2notifierz00zz__errorz00(obj_t, long, obj_t, obj_t, long);
static obj_t BGl_warningzf2locationzd2filez20zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_pathzd2ze3listz31zz__errorz00(obj_t);
static obj_t BGl_fixzd2tabulationz12zc0zz__errorz00(obj_t, obj_t, obj_t);
extern obj_t string_to_symbol(char *);
static obj_t BGl__errorz00zz__errorz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__currentzd2errorzd2handlerz00zz__errorz00(obj_t);
extern obj_t bgl_reverse(obj_t);
extern obj_t BGl_readzd2linezd2zz__r4_input_6_10_2z00(obj_t);
extern obj_t BGl_warningzf2czd2locationz20zz__errorz00(char *, long, obj_t);
static obj_t BGl__errorzf2locationzd2filez20zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl__defaultzd2interruptzd2notifierz00zz__errorz00(obj_t, obj_t);
extern obj_t BGl_errorzf2locationzd2filez20zz__errorz00(obj_t, obj_t);
static obj_t BGl_zc3anonymousza31298ze3z83zz__errorz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__sigsegvzd2errorzd2handlerz00zz__errorz00(obj_t, obj_t);
extern obj_t BGl_forzd2eachzd2zz__r4_control_features_6_9z00(obj_t, obj_t);
static obj_t BGl__exitz00zz__errorz00(obj_t, obj_t);
extern obj_t BGl_displayzd2circlezd2zz__pp_circlez00(obj_t, obj_t);
static obj_t BGl__errorzf2locationzf2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_currentzd2errorzd2handlerz00zz__errorz00();
static obj_t BGl_zc3anonymousza31448ze3z83zz__errorz00(obj_t, obj_t);
extern obj_t BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_errorzf2locationzf2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_defaultzd2interruptzd2notifierz00zz__errorz00(obj_t);
extern obj_t string_to_bstring(char *);
static obj_t BGl__notifyzd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__the_failurez00zz__errorz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__removezd2errorzd2handlerz12z12zz__errorz00(obj_t);
static obj_t BGl_notifyzd2dumpzd2tracezd2stackzd2zz__errorz00();
extern obj_t BGl_za2classesza2z00zz__objectz00;
static obj_t BGl_sigbuszd2errorzd2handlerz00zz__errorz00(obj_t);
extern obj_t BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(obj_t, obj_t);
static obj_t BGl__bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_zc3anonymousza31323ze3z83zz__errorz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_signalz00zz__osz00(int, obj_t);
static obj_t BGl__sigfpezd2errorzd2handlerz00zz__errorz00(obj_t, obj_t);
static obj_t BGl_nicezd2fnamezd2zz__errorz00(obj_t);
obj_t BGl_za2errorzd2notifierza2zd2zz__errorz00 = BUNSPEC;
extern obj_t BGl_modulezd2initzd2errorz00zz__errorz00(char *, char *);
obj_t BGl_za2tracezd2stackzd2depthza2z00zz__errorz00 = BUNSPEC;
static obj_t BGl_zc3anonymousza31117ze3z83zz__errorz00(obj_t, obj_t);
extern obj_t BGl_removezd2errorzd2handlerz12z12zz__errorz00();
extern long BGl_stringzd2ze3integerz31zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t);
extern obj_t BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(obj_t);
extern obj_t BGl_newlinez00zz__r4_output_6_10_3z00(obj_t);
static obj_t BGl_sigfpezd2errorzd2handlerz00zz__errorz00(obj_t);
static obj_t BGl_dozd2warnzf2locationz20zz__errorz00(obj_t, long, obj_t, obj_t, long, obj_t);
static obj_t BGl__bigloozd2typezd2errorzd2msgzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__errorz00();
extern obj_t BGl_basenamez00zz__osz00(obj_t);
extern bool_t bigloo_strcmp(obj_t, obj_t);
extern long BGl_getzd2writezd2lengthz00zz__r4_output_6_10_3z00();
obj_t BGl_za2interruptzd2notifierza2zd2zz__errorz00 = BUNSPEC;
extern obj_t BGl_findzd2runtimezd2typez00zz__errorz00(obj_t);
extern obj_t BGl_dirnamez00zz__osz00(obj_t);
extern obj_t close_input_port(obj_t);
extern obj_t c_substring(obj_t, int, int);
static obj_t BGl__sigbuszd2errorzd2handlerz00zz__errorz00(obj_t, obj_t);
static obj_t BGl__warningz00zz__errorz00(obj_t, obj_t);
static obj_t BGl__addzd2errorzd2handlerz12z12zz__errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__errorz00();
extern obj_t the_c_failure(char *, char *, obj_t);
extern obj_t BGl_warningz00zz__errorz00(obj_t);
static obj_t BGl__warningzf2locationzf2zz__errorz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__errorz00 = BUNSPEC;
extern obj_t BGl_warningzf2locationzf2zz__errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_errorzf2czd2locationz20zz__errorz00(obj_t, obj_t, obj_t, char *, long);
static obj_t BGl__debugzd2errorzf2locationz20zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_exitz00zz__errorz00(obj_t);
extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
obj_t BGl_za2warningza2z00zz__errorz00 = BUNSPEC;
static long BGl_defaultzd2errorzd2handlerz00zz__errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_notifyzd2errorzd2zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_sigsegvzd2errorzd2handlerz00zz__errorz00(obj_t);
extern obj_t BGl_displayz00zz__r4_output_6_10_3z00(obj_t, obj_t);
extern obj_t BGl_notifyzd2interruptzd2zz__errorz00(int);
static obj_t BGl__errorzf2czd2locationz20zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_sigillzd2errorzd2handlerz00zz__errorz00(obj_t);
extern obj_t BGl_readerzd2resetz12zc0zz__readerz00();
extern obj_t BGl_addzd2errorzd2handlerz12z12zz__errorz00(obj_t, obj_t);
static obj_t BGl_symbol3091z00zz__errorz00 = BUNSPEC;
static obj_t BGl_toplevelzd2initzd2zz__errorz00();
extern obj_t BGl_fprintz00zz__r4_output_6_10_3z00(obj_t, obj_t);
obj_t BGl_za2debugza2z00zz__errorz00 = BUNSPEC;
static obj_t *__cnst;

DEFINE_STRING( BGl_string3104z00zz__errorz00, BgL_bgl_string3104za700za7za7__errorza7003144z00, "substring", 9 );
DEFINE_STRING( BGl_string3094z00zz__errorz00, BgL_bgl_string3094za700za7za7__errorza7003145z00, "string-set!", 11 );
DEFINE_STRING( BGl_string3103z00zz__errorz00, BgL_bgl_string3103za700za7za7__errorza7003146z00, "/", 1 );
DEFINE_STRING( BGl_string3093z00zz__errorz00, BgL_bgl_string3093za700za7za7__errorza7003147z00, "index out of range", 18 );
DEFINE_STRING( BGl_string3102z00zz__errorz00, BgL_bgl_string3102za700za7za7__errorza7003148z00, "../", 3 );
DEFINE_STRING( BGl_string3092z00zz__errorz00, BgL_bgl_string3092za700za7za7__errorza7003149z00, "string-ref", 10 );
DEFINE_STRING( BGl_string3101z00zz__errorz00, BgL_bgl_string3101za700za7za7__errorza7003150z00, ".", 1 );
DEFINE_STRING( BGl_string3100z00zz__errorz00, BgL_bgl_string3100za700za7za7__errorza7003151z00, "File \"", 6 );
DEFINE_STRING( BGl_string3089z00zz__errorz00, BgL_bgl_string3089za700za7za7__errorza7003152z00, "# *** WARNING:bigloo:", 21 );
DEFINE_EXPORT_PROCEDURE( BGl_currentzd2errorzd2handlerzd2envzd2zz__errorz00, BgL_bgl__currentza7d2errorza7d2handlerza700za7za7__errorza7003153z00, BGl__currentzd2errorzd2handlerz00zz__errorz00, 0L, 0 );
DEFINE_STRING( BGl_string3088z00zz__errorz00, BgL_bgl_string3088za700za7za7__errorza7003154z00, "# ", 2 );
DEFINE_STRING( BGl_string3087z00zz__errorz00, BgL_bgl_string3087za700za7za7__errorza7003155z00, "# *** ERROR:bigloo:", 19 );
DEFINE_STRING( BGl_string3086z00zz__errorz00, BgL_bgl_string3086za700za7za7__errorza7003156z00, "", 0 );
DEFINE_STRING( BGl_string3084z00zz__errorz00, BgL_bgl_string3084za700za7za7__errorza7003157z00, "`segmentation violation' exception", 34 );
DEFINE_EXPORT_PROCEDURE( BGl_errorzf2locationzd2envz20zz__errorz00, BgL_bgl__errorza7f2locationza7f2za7za7__errorza7003158za7, BGl__errorzf2locationzf2zz__errorz00, 0L, 5 );
DEFINE_STRING( BGl_string3083z00zz__errorz00, BgL_bgl_string3083za700za7za7__errorza7003159z00, "`bus error' exception", 21 );
DEFINE_STRING( BGl_string3082z00zz__errorz00, BgL_bgl_string3082za700za7za7__errorza7003160z00, "`illegal instruction' exception", 31 );
DEFINE_STRING( BGl_string3081z00zz__errorz00, BgL_bgl_string3081za700za7za7__errorza7003161z00, "bigloo", 6 );
DEFINE_STRING( BGl_string3080z00zz__errorz00, BgL_bgl_string3080za700za7za7__errorza7003162z00, "reached", 7 );
DEFINE_STRING( BGl_string3079z00zz__errorz00, BgL_bgl_string3079za700za7za7__errorza7003163z00, "`floating point' exception", 26 );
DEFINE_STRING( BGl_string3078z00zz__errorz00, BgL_bgl_string3078za700za7za7__errorza7003164z00, "arithmetic procedure", 20 );
DEFINE_STRING( BGl_string3077z00zz__errorz00, BgL_bgl_string3077za700za7za7__errorza7003165z00, " `", 2 );
DEFINE_STRING( BGl_string3076z00zz__errorz00, BgL_bgl_string3076za700za7za7__errorza7003166z00, "' expected, `", 13 );
DEFINE_STRING( BGl_string3075z00zz__errorz00, BgL_bgl_string3075za700za7za7__errorza7003167z00, "' provided", 10 );
DEFINE_STRING( BGl_string3074z00zz__errorz00, BgL_bgl_string3074za700za7za7__errorza7003168z00, " -- ", 4 );
DEFINE_STRING( BGl_string3073z00zz__errorz00, BgL_bgl_string3073za700za7za7__errorza7003169z00, ":\n", 2 );
DEFINE_STRING( BGl_string3072z00zz__errorz00, BgL_bgl_string3072za700za7za7__errorza7003170z00, "*** ERROR:bigloo:", 17 );
DEFINE_STRING( BGl_string3071z00zz__errorz00, BgL_bgl_string3071za700za7za7__errorza7003171z00, "*** INTERRUPT:bigloo:", 21 );
DEFINE_STRING( BGl_string3070z00zz__errorz00, BgL_bgl_string3070za700za7za7__errorza7003172z00, "[stdin]", 7 );
DEFINE_STRING( BGl_string3069z00zz__errorz00, BgL_bgl_string3069za700za7za7__errorza7003173z00, "[string]", 8 );
DEFINE_STRING( BGl_string3067z00zz__errorz00, BgL_bgl_string3067za700za7za7__errorza7003174z00, "*** WARNING:bigloo:", 19 );
DEFINE_STRING( BGl_string3066z00zz__errorz00, BgL_bgl_string3066za700za7za7__errorza7003175z00, "Not an error handler", 20 );
DEFINE_STRING( BGl_string3065z00zz__errorz00, BgL_bgl_string3065za700za7za7__errorza7003176z00, "error", 5 );
DEFINE_STRING( BGl_string3064z00zz__errorz00, BgL_bgl_string3064za700za7za7__errorza7003177z00, "error handler stack empty", 25 );
DEFINE_STRING( BGl_string3063z00zz__errorz00, BgL_bgl_string3063za700za7za7__errorza7003178z00, "Can't remove handler", 20 );
DEFINE_STRING( BGl_string3062z00zz__errorz00, BgL_bgl_string3062za700za7za7__errorza7003179z00, "remove-error-handler! (this is an internal error)", 49 );
DEFINE_EXPORT_PROCEDURE( BGl_notifyzd2errorzd2envz00zz__errorz00, BgL_bgl__notifyza7d2errorza7d2za7za7__errorza7003180za7, BGl__notifyzd2errorzd2zz__errorz00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_the_c_failurezd2envzd2zz__errorz00, BgL_bgl__the_c_failureza700za7za7__errorza7003181z00, BGl__the_c_failurez00zz__errorz00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_bigloozd2typezd2errorzf2locationzd2envz20zz__errorz00, BgL_bgl__biglooza7d2typeza7d2errorza7f2locationza7f2za7za7__errorza7003182za7, BGl__bigloozd2typezd2errorzf2locationzf2zz__errorz00, 0L, 5 );
DEFINE_EXPORT_PROCEDURE( BGl_findzd2runtimezd2typezd2envzd2zz__errorz00, BgL_bgl__findza7d2runtimeza7d2typeza700za7za7__errorza7003183z00, BGl__findzd2runtimezd2typez00zz__errorz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_exitzd2envzd2zz__errorz00, BgL_bgl__exitza700za7za7__errorza7003184z00, va_generic_entry, BGl__exitz00zz__errorz00, -1 );
DEFINE_EXPORT_PROCEDURE( BGl_notifyzd2interruptzd2envz00zz__errorz00, BgL_bgl__notifyza7d2interruptza7d2za7za7__errorza7003185za7, BGl__notifyzd2interruptzd2zz__errorz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_defaultzd2errorzd2handlerzd2envzd2zz__errorz00, BgL_bgl__defaultza7d2errorza7d2handlerza700za7za7__errorza7003186z00, BGl__defaultzd2errorzd2handlerz00zz__errorz00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_the_failurezd2envzd2zz__errorz00, BgL_bgl__the_failureza700za7za7__errorza7003187z00, BGl__the_failurez00zz__errorz00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_bigloozd2typezd2errorzd2msgzd2envz00zz__errorz00, BgL_bgl__biglooza7d2typeza7d2errorza7d2msgza7d2za7za7__errorza7003188za7, BGl__bigloozd2typezd2errorzd2msgzd2zz__errorz00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_defaultzd2interruptzd2notifierzd2envzd2zz__errorz00, BgL_bgl__defaultza7d2interruptza7d2notifierza700za7za7__errorza7003189z00, BGl__defaultzd2interruptzd2notifierz00zz__errorz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_modulezd2initzd2errorzd2envzd2zz__errorz00, BgL_bgl__moduleza7d2initza7d2errorza700za7za7__errorza7003190z00, BGl__modulezd2initzd2errorz00zz__errorz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_sigsegvzd2errorzd2handlerzd2envzd2zz__errorz00, BgL_bgl__sigsegvza7d2errorza7d2handlerza700za7za7__errorza7003191z00, BGl__sigsegvzd2errorzd2handlerz00zz__errorz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_sigillzd2errorzd2handlerzd2envzd2zz__errorz00, BgL_bgl__sigillza7d2errorza7d2handlerza700za7za7__errorza7003192z00, BGl__sigillzd2errorzd2handlerz00zz__errorz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_removezd2errorzd2handlerz12zd2envzc0zz__errorz00, BgL_bgl__removeza7d2errorza7d2handlerza712za712za7za7__errorza7003193za7, BGl__removezd2errorzd2handlerz12z12zz__errorz00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_errorzd2envzd2zz__errorz00, BgL_bgl__errorza700za7za7__errorza7003194z00, BGl__errorz00zz__errorz00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_warningzd2envzd2zz__errorz00, BgL_bgl__warningza700za7za7__errorza7003195z00, va_generic_entry, BGl__warningz00zz__errorz00, -1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3068z00zz__errorz00, BgL_bgl_za7c3anonymousza7a31117za7e3za783za7za7__errorza7003196za7, BGl_zc3anonymousza31117ze3z83zz__errorz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3085z00zz__errorz00, BgL_bgl_za7c3anonymousza7a31298za7e3za783za7za7__errorza7003197za7, BGl_zc3anonymousza31298ze3z83zz__errorz00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_errorzf2locationzd2filezd2envzf2zz__errorz00, BgL_bgl__errorza7f2locationza7d2fileza720za7za7__errorza7003198z00, BGl__errorzf2locationzd2filez20zz__errorz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3090z00zz__errorz00, BgL_bgl_za7c3anonymousza7a31448za7e3za783za7za7__errorza7003199za7, BGl_zc3anonymousza31448ze3z83zz__errorz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_warningzf2czd2locationzd2envzf2zz__errorz00, BgL_bgl__warningza7f2cza7d2locationza720za7za7__errorza7003200z00, va_generic_entry, BGl__warningzf2czd2locationz20zz__errorz00, -3 );
DEFINE_STATIC_PROCEDURE( BGl_sigfpezd2errorzd2handlerzd2envzd2zz__errorz00, BgL_bgl__sigfpeza7d2errorza7d2handlerza700za7za7__errorza7003201z00, BGl__sigfpezd2errorzd2handlerz00zz__errorz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_debugzd2errorzf2locationzd2envzf2zz__errorz00, BgL_bgl__debugza7d2errorza7f2locationza720za7za7__errorza7003202z00, BGl__debugzd2errorzf2locationz20zz__errorz00, 0L, 5 );
DEFINE_EXPORT_PROCEDURE( BGl_addzd2errorzd2handlerz12zd2envzc0zz__errorz00, BgL_bgl__addza7d2errorza7d2handlerza712za712za7za7__errorza7003203za7, BGl__addzd2errorzd2handlerz12z12zz__errorz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_warningzf2locationzd2envz20zz__errorz00, BgL_bgl__warningza7f2locationza7f2za7za7__errorza7003204za7, va_generic_entry, BGl__warningzf2locationzf2zz__errorz00, -3 );
DEFINE_STRING( BGl_string3136z00zz__errorz00, BgL_bgl_string3136za700za7za7__errorza7003205z00, "Type", 4 );
DEFINE_STRING( BGl_string3135z00zz__errorz00, BgL_bgl_string3135za700za7za7__errorza7003206z00, "*** ERROR:Inconsistent module initialization:\n", 46 );
DEFINE_STRING( BGl_string3134z00zz__errorz00, BgL_bgl_string3134za700za7za7__errorza7003207z00, "At least, one of the two modules has to be recompiled (see also -unsafev option):\n", 82 );
DEFINE_STRING( BGl_string3133z00zz__errorz00, BgL_bgl_string3133za700za7za7__errorza7003208z00, "ucs2", 4 );
DEFINE_STRING( BGl_string3132z00zz__errorz00, BgL_bgl_string3132za700za7za7__errorza7003209z00, "ucs2string", 10 );
DEFINE_STRING( BGl_string3131z00zz__errorz00, BgL_bgl_string3131za700za7za7__errorza7003210z00, "_", 1 );
DEFINE_STRING( BGl_string3130z00zz__errorz00, BgL_bgl_string3130za700za7za7__errorza7003211z00, "opaque", 6 );
DEFINE_STRING( BGl_string3129z00zz__errorz00, BgL_bgl_string3129za700za7za7__errorza7003212z00, "custom", 6 );
DEFINE_STRING( BGl_string3128z00zz__errorz00, BgL_bgl_string3128za700za7za7__errorza7003213z00, "process", 7 );
DEFINE_STRING( BGl_string3127z00zz__errorz00, BgL_bgl_string3127za700za7za7__errorza7003214z00, "socket", 6 );
DEFINE_STRING( BGl_string3126z00zz__errorz00, BgL_bgl_string3126za700za7za7__errorza7003215z00, "bcnst", 5 );
DEFINE_STRING( BGl_string3125z00zz__errorz00, BgL_bgl_string3125za700za7za7__errorza7003216z00, "foreign:", 8 );
DEFINE_STRING( BGl_string3124z00zz__errorz00, BgL_bgl_string3124za700za7za7__errorza7003217z00, "cell", 4 );
DEFINE_STATIC_PROCEDURE( BGl_sigbuszd2errorzd2handlerzd2envzd2zz__errorz00, BgL_bgl__sigbusza7d2errorza7d2handlerza700za7za7__errorza7003218z00, BGl__sigbuszd2errorzd2handlerz00zz__errorz00, 0L, 1 );
DEFINE_STRING( BGl_string3123z00zz__errorz00, BgL_bgl_string3123za700za7za7__errorza7003219z00, "binary-port", 11 );
DEFINE_STRING( BGl_string3122z00zz__errorz00, BgL_bgl_string3122za700za7za7__errorza7003220z00, "output-port", 11 );
DEFINE_STRING( BGl_string3121z00zz__errorz00, BgL_bgl_string3121za700za7za7__errorza7003221z00, "input-port", 10 );
DEFINE_EXPORT_PROCEDURE( BGl_bigloozd2typezd2errorzd2envzd2zz__errorz00, BgL_bgl__biglooza7d2typeza7d2errorza700za7za7__errorza7003222z00, BGl__bigloozd2typezd2errorz00zz__errorz00, 0L, 3 );
DEFINE_STRING( BGl_string3120z00zz__errorz00, BgL_bgl_string3120za700za7za7__errorza7003223z00, "procedure", 9 );
DEFINE_STRING( BGl_string3119z00zz__errorz00, BgL_bgl_string3119za700za7za7__errorza7003224z00, "struct", 6 );
DEFINE_STRING( BGl_string3118z00zz__errorz00, BgL_bgl_string3118za700za7za7__errorza7003225z00, "tvector", 7 );
DEFINE_STRING( BGl_string3117z00zz__errorz00, BgL_bgl_string3117za700za7za7__errorza7003226z00, "vector", 6 );
DEFINE_STRING( BGl_string3116z00zz__errorz00, BgL_bgl_string3116za700za7za7__errorza7003227z00, "class", 5 );
DEFINE_STRING( BGl_string3115z00zz__errorz00, BgL_bgl_string3115za700za7za7__errorza7003228z00, "pair", 4 );
DEFINE_STRING( BGl_string3114z00zz__errorz00, BgL_bgl_string3114za700za7za7__errorza7003229z00, "epair", 5 );
DEFINE_STRING( BGl_string3113z00zz__errorz00, BgL_bgl_string3113za700za7za7__errorza7003230z00, "bnil", 4 );
DEFINE_STRING( BGl_string3112z00zz__errorz00, BgL_bgl_string3112za700za7za7__errorza7003231z00, "bbool", 5 );
DEFINE_STRING( BGl_string3111z00zz__errorz00, BgL_bgl_string3111za700za7za7__errorza7003232z00, "bchar", 5 );
DEFINE_STRING( BGl_string3110z00zz__errorz00, BgL_bgl_string3110za700za7za7__errorza7003233z00, "keyword", 7 );
DEFINE_STRING( BGl_string3109z00zz__errorz00, BgL_bgl_string3109za700za7za7__errorza7003234z00, "symbol", 6 );
DEFINE_STRING( BGl_string3099z00zz__errorz00, BgL_bgl_string3099za700za7za7__errorza7003235z00, "\", line ", 8 );
DEFINE_STRING( BGl_string3108z00zz__errorz00, BgL_bgl_string3108za700za7za7__errorza7003236z00, "bstring", 7 );
DEFINE_STRING( BGl_string3098z00zz__errorz00, BgL_bgl_string3098za700za7za7__errorza7003237z00, ", character ", 12 );
DEFINE_STRING( BGl_string3107z00zz__errorz00, BgL_bgl_string3107za700za7za7__errorza7003238z00, "real", 4 );
DEFINE_STRING( BGl_string3097z00zz__errorz00, BgL_bgl_string3097za700za7za7__errorza7003239z00, ":", 1 );
DEFINE_STRING( BGl_string3106z00zz__errorz00, BgL_bgl_string3106za700za7za7__errorza7003240z00, "bint", 4 );
DEFINE_STRING( BGl_string3096z00zz__errorz00, BgL_bgl_string3096za700za7za7__errorza7003241z00, "#", 1 );
DEFINE_STRING( BGl_string3105z00zz__errorz00, BgL_bgl_string3105za700za7za7__errorza7003242z00, "Illegal index", 13 );
DEFINE_STRING( BGl_string3095z00zz__errorz00, BgL_bgl_string3095za700za7za7__errorza7003243z00, "^", 1 );
DEFINE_EXPORT_PROCEDURE( BGl_errorzf2czd2locationzd2envzf2zz__errorz00, BgL_bgl__errorza7f2cza7d2locationza720za7za7__errorza7003244z00, BGl__errorzf2czd2locationz20zz__errorz00, 0L, 5 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long BgL_checksumz00_1916, char * BgL_fromz00_1917)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__errorz00))
{ 
BGl_requirezd2initializa7ationz75zz__errorz00 = 
BBOOL(((bool_t)0)); 
BGl_cnstzd2initzd2zz__errorz00(); 
BGl_importedzd2moduleszd2initz00zz__errorz00(); 
BGl_toplevelzd2initzd2zz__errorz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__errorz00()
{ AN_OBJECT;
{ /* Llib/error.scm 18 */
return ( 
BGl_symbol3091z00zz__errorz00 = 
string_to_symbol("done"), BUNSPEC) ;} 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__errorz00()
{ AN_OBJECT;
{ /* Llib/error.scm 18 */
BGl_za2debugza2z00zz__errorz00 = 
BINT(((long)0)); 
BGl_za2warningza2z00zz__errorz00 = BTRUE; 
{ /* Llib/error.scm 142 */
obj_t BgL_envzd2valuezd2_585;
{ /* Llib/error.scm 142 */
bool_t BgL_test2750z00_1175;
BgL_test2750z00_1175 = 
(long)getenv("BIGLOOSTACKDEPTH"); 
if(BgL_test2750z00_1175)
{ /* Llib/error.scm 142 */
char * BgL_auxz00_1928;
BgL_auxz00_1928 = 
(char *)getenv("BIGLOOSTACKDEPTH"); 
BgL_envzd2valuezd2_585 = 
string_to_bstring(BgL_auxz00_1928); }  else 
{ /* Llib/error.scm 142 */
BgL_envzd2valuezd2_585 = BFALSE; } } 
if(
STRINGP(BgL_envzd2valuezd2_585))
{ /* Llib/error.scm 144 */
long BgL_auxz00_1933;
BgL_auxz00_1933 = 
BGl_stringzd2ze3integerz31zz__r4_numbers_6_5_fixnumz00(BgL_envzd2valuezd2_585, BNIL); 
BGl_za2tracezd2stackzd2depthza2z00zz__errorz00 = 
BINT(BgL_auxz00_1933); }  else 
{ /* Llib/error.scm 143 */
BGl_za2tracezd2stackzd2depthza2z00zz__errorz00 = 
BINT(((long)10)); } } 
BGl_za2interruptzd2notifierza2zd2zz__errorz00 = BUNSPEC; 
BGl_za2errorzd2notifierza2zd2zz__errorz00 = BUNSPEC; 
BGl_signalz00zz__osz00(SIGFPE, BGl_sigfpezd2errorzd2handlerzd2envzd2zz__errorz00); 
BGl_signalz00zz__osz00(SIGILL, BGl_sigillzd2errorzd2handlerzd2envzd2zz__errorz00); 
BGl_signalz00zz__osz00(SIGBUS, BGl_sigbuszd2errorzd2handlerzd2envzd2zz__errorz00); 
return 
BGl_signalz00zz__osz00(SIGSEGV, BGl_sigsegvzd2errorzd2handlerzd2envzd2zz__errorz00);} 
}



/* exit */
obj_t BGl_exitz00zz__errorz00(obj_t BgL_nz00_1)
{ AN_OBJECT;
{ /* Llib/error.scm 150 */
{ /* Llib/error.scm 151 */
obj_t BgL_valz00_588;
if(
NULLP(BgL_nz00_1))
{ /* Llib/error.scm 152 */
BgL_valz00_588 = 
BINT(((long)0)); }  else 
{ /* Llib/error.scm 154 */
bool_t BgL_testz00_1944;
{ /* Llib/error.scm 154 */
obj_t BgL_auxz00_1945;
BgL_auxz00_1945 = 
CAR(BgL_nz00_1); 
BgL_testz00_1944 = 
INTEGERP(BgL_auxz00_1945); } 
if(BgL_testz00_1944)
{ /* Llib/error.scm 154 */
BgL_valz00_588 = 
CAR(BgL_nz00_1); }  else 
{ /* Llib/error.scm 154 */
BgL_valz00_588 = 
BINT(((long)0)); } } 
BIGLOO_EXIT(BgL_valz00_588); 
return BgL_valz00_588;} } 
}



/* _exit */
obj_t BGl__exitz00zz__errorz00(obj_t BgL_envz00_1811, obj_t BgL_nz00_1812)
{ AN_OBJECT;
{ /* Llib/error.scm 150 */
return 
BGl_exitz00zz__errorz00(BgL_nz00_1812);} 
}



/* add-error-handler! */
obj_t BGl_addzd2errorzd2handlerz12z12zz__errorz00(obj_t BgL_handlerz00_2, obj_t BgL_escapez00_3)
{ AN_OBJECT;
{ /* Llib/error.scm 173 */
{ /* Llib/error.scm 174 */
obj_t BgL_arg1045z00_1185;
{ /* Llib/error.scm 174 */
obj_t BgL_arg1048z00_1186;obj_t BgL_arg1049z00_1187;
BgL_arg1048z00_1186 = 
MAKE_PAIR(BgL_handlerz00_2, BgL_escapez00_3); 
BgL_arg1049z00_1187 = 
GET_ERROR_HANDLER(); 
BgL_arg1045z00_1185 = 
MAKE_PAIR(BgL_arg1048z00_1186, BgL_arg1049z00_1187); } 
SET_ERROR_HANDLER(BgL_arg1045z00_1185); } 
return BUNSPEC;} 
}



/* _add-error-handler! */
obj_t BGl__addzd2errorzd2handlerz12z12zz__errorz00(obj_t BgL_envz00_1813, obj_t BgL_handlerz00_1814, obj_t BgL_escapez00_1815)
{ AN_OBJECT;
{ /* Llib/error.scm 173 */
return 
BGl_addzd2errorzd2handlerz12z12zz__errorz00(BgL_handlerz00_1814, BgL_escapez00_1815);} 
}



/* remove-error-handler! */
obj_t BGl_removezd2errorzd2handlerz12z12zz__errorz00()
{ AN_OBJECT;
{ /* Llib/error.scm 180 */
{ /* Llib/error.scm 181 */
obj_t BgL_errorzd2handlerzd2_598;
BgL_errorzd2handlerzd2_598 = 
GET_ERROR_HANDLER(); 
if(
PAIRP(BgL_errorzd2handlerzd2_598))
{ /* Llib/error.scm 182 */
{ /* Llib/error.scm 184 */
obj_t BgL_auxz00_1960;
BgL_auxz00_1960 = 
CDR(BgL_errorzd2handlerzd2_598); 
SET_ERROR_HANDLER(BgL_auxz00_1960); } 
return BgL_errorzd2handlerzd2_598;}  else 
{ /* Llib/error.scm 182 */
BGl_notifyzd2errorzd2zz__errorz00(BGl_string3062z00zz__errorz00, BGl_string3063z00zz__errorz00, BGl_string3064z00zz__errorz00); 
{ /* Llib/error.scm 190 */
obj_t BgL_auxz00_1964;
BgL_auxz00_1964 = 
BINT(((long)1)); 
return 
BIGLOO_EXIT(BgL_auxz00_1964);} } } } 
}



/* _remove-error-handler! */
obj_t BGl__removezd2errorzd2handlerz12z12zz__errorz00(obj_t BgL_envz00_1816)
{ AN_OBJECT;
{ /* Llib/error.scm 180 */
return 
BGl_removezd2errorzd2handlerz12z12zz__errorz00();} 
}



/* current-error-handler */
obj_t BGl_currentzd2errorzd2handlerz00zz__errorz00()
{ AN_OBJECT;
{ /* Llib/error.scm 195 */
{ /* Llib/error.scm 196 */
obj_t BgL_hdlz00_601;
BgL_hdlz00_601 = 
GET_ERROR_HANDLER(); 
if(
PAIRP(BgL_hdlz00_601))
{ /* Llib/error.scm 199 */
obj_t BgL_handlerz00_603;
{ /* Llib/error.scm 199 */
obj_t BgL_auxz00_1971;
BgL_auxz00_1971 = 
CAR(BgL_hdlz00_601); 
BgL_handlerz00_603 = 
CAR(BgL_auxz00_1971); } 
{ /* Llib/error.scm 200 */
bool_t BgL_test1063z00_604;
if(
PROCEDUREP(BgL_handlerz00_603))
{ /* Llib/error.scm 200 */
int BgL_arg1068z00_606;
BgL_arg1068z00_606 = 
PROCEDURE_ARITY(BgL_handlerz00_603); 
{ /* Llib/error.scm 200 */
long BgL_auxz00_1977;
BgL_auxz00_1977 = 
(long)(BgL_arg1068z00_606); 
BgL_test1063z00_604 = 
(BgL_auxz00_1977==((long)4)); } }  else 
{ /* Llib/error.scm 200 */
BgL_test1063z00_604 = ((bool_t)0); } 
if(BgL_test1063z00_604)
{ /* Llib/error.scm 200 */
return BgL_handlerz00_603;}  else 
{ /* Llib/error.scm 200 */
BGl_notifyzd2errorzd2zz__errorz00(BGl_string3065z00zz__errorz00, BGl_string3066z00zz__errorz00, BgL_handlerz00_603); ((long)-1); 
{ /* Llib/error.scm 204 */
obj_t BgL_auxz00_1982;
BgL_auxz00_1982 = 
BINT(((long)1)); 
return 
BIGLOO_EXIT(BgL_auxz00_1982);} } } }  else 
{ /* Llib/error.scm 197 */
return BGl_defaultzd2errorzd2handlerzd2envzd2zz__errorz00;} } } 
}



/* _current-error-handler */
obj_t BGl__currentzd2errorzd2handlerz00zz__errorz00(obj_t BgL_envz00_1817)
{ AN_OBJECT;
{ /* Llib/error.scm 195 */
return 
BGl_currentzd2errorzd2handlerz00zz__errorz00();} 
}



/* error */
obj_t BGl_errorz00zz__errorz00(obj_t BgL_procz00_4, obj_t BgL_messagez00_5, obj_t BgL_objectz00_6)
{ AN_OBJECT;
{ /* Llib/error.scm 209 */
FAILURE(BgL_procz00_4,BgL_messagez00_5,BgL_objectz00_6);} 
}



/* _error */
obj_t BGl__errorz00zz__errorz00(obj_t BgL_envz00_1822, obj_t BgL_procz00_1823, obj_t BgL_messagez00_1824, obj_t BgL_objectz00_1825)
{ AN_OBJECT;
{ /* Llib/error.scm 209 */
FAILURE(BgL_procz00_1823,BgL_messagez00_1824,BgL_objectz00_1825);} 
}



/* warning */
obj_t BGl_warningz00zz__errorz00(obj_t BgL_argsz00_7)
{ AN_OBJECT;
{ /* Llib/error.scm 215 */
if(
CBOOL(BGl_za2warningza2z00zz__errorz00))
{ /* Llib/error.scm 216 */
{ /* Llib/error.scm 218 */
obj_t BgL_arg1080z00_609;
BgL_arg1080z00_609 = 
GET_CURRENT_OUTPUT_PORT(); 
FLUSH_OUTPUT_PORT(BgL_arg1080z00_609); } 
{ /* Llib/error.scm 219 */
obj_t BgL_arg1084z00_610;
BgL_arg1084z00_610 = 
GET_CURRENT_ERROR_PORT(); 
{ /* Llib/error.scm 219 */
obj_t BgL_list1086z00_611;
BgL_list1086z00_611 = 
MAKE_PAIR(BgL_arg1084z00_610, BNIL); 
BGl_newlinez00zz__r4_output_6_10_3z00(BgL_list1086z00_611); } } 
{ /* Llib/error.scm 220 */
obj_t BgL_arg1091z00_613;
BgL_arg1091z00_613 = 
GET_CURRENT_ERROR_PORT(); 
{ /* Llib/error.scm 220 */
obj_t BgL_list1093z00_614;
BgL_list1093z00_614 = 
MAKE_PAIR(BgL_arg1091z00_613, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3067z00zz__errorz00, BgL_list1093z00_614); } } 
if(
NULLP(BgL_argsz00_7))
{ /* Llib/error.scm 221 */BFALSE; }  else 
{ /* Llib/error.scm 221 */
{ /* Llib/error.scm 223 */
obj_t BgL_arg1098z00_616;obj_t BgL_arg1099z00_617;
BgL_arg1098z00_616 = 
CAR(BgL_argsz00_7); 
BgL_arg1099z00_617 = 
GET_CURRENT_ERROR_PORT(); 
{ /* Llib/error.scm 223 */
obj_t BgL_list1101z00_618;
BgL_list1101z00_618 = 
MAKE_PAIR(BgL_arg1099z00_617, BNIL); 
BGl_displayzd2circlezd2zz__pp_circlez00(BgL_arg1098z00_616, BgL_list1101z00_618); } } 
{ /* Llib/error.scm 224 */
obj_t BgL_arg1106z00_619;
BgL_arg1106z00_619 = 
GET_CURRENT_ERROR_PORT(); 
{ /* Llib/error.scm 224 */
obj_t BgL_list1108z00_620;
BgL_list1108z00_620 = 
MAKE_PAIR(BgL_arg1106z00_619, BNIL); 
BGl_newlinez00zz__r4_output_6_10_3z00(BgL_list1108z00_620); } } 
{ /* Llib/error.scm 225 */
obj_t BgL_list1115z00_623;
{ /* Llib/error.scm 225 */
obj_t BgL_auxz00_2007;
BgL_auxz00_2007 = 
CDR(BgL_argsz00_7); 
BgL_list1115z00_623 = 
MAKE_PAIR(BgL_auxz00_2007, BNIL); } 
BGl_forzd2eachzd2zz__r4_control_features_6_9z00(BGl_proc3068z00zz__errorz00, BgL_list1115z00_623); } } 
{ /* Llib/error.scm 228 */
obj_t BgL_arg1127z00_629;
BgL_arg1127z00_629 = 
GET_CURRENT_ERROR_PORT(); 
{ /* Llib/error.scm 228 */
obj_t BgL_list1129z00_630;
BgL_list1129z00_630 = 
MAKE_PAIR(BgL_arg1127z00_629, BNIL); 
BGl_newlinez00zz__r4_output_6_10_3z00(BgL_list1129z00_630); } } 
{ /* Llib/error.scm 229 */
obj_t BgL_arg1133z00_631;
BgL_arg1133z00_631 = 
GET_CURRENT_ERROR_PORT(); 
return 
FLUSH_OUTPUT_PORT(BgL_arg1133z00_631);} }  else 
{ /* Llib/error.scm 216 */
return BFALSE;} } 
}



/* _warning */
obj_t BGl__warningz00zz__errorz00(obj_t BgL_envz00_1827, obj_t BgL_argsz00_1828)
{ AN_OBJECT;
{ /* Llib/error.scm 215 */
return 
BGl_warningz00zz__errorz00(BgL_argsz00_1828);} 
}



/* <anonymous:1117> */
obj_t BGl_zc3anonymousza31117ze3z83zz__errorz00(obj_t BgL_envz00_1829, obj_t BgL_az00_1830)
{ AN_OBJECT;
{ /* Llib/error.scm 225 */
{ 
obj_t BgL_az00_624;
BgL_az00_624 = BgL_az00_1830; 
{ /* Llib/error.scm 226 */
obj_t BgL_arg1119z00_1208;
BgL_arg1119z00_1208 = 
GET_CURRENT_ERROR_PORT(); 
{ /* Llib/error.scm 226 */
obj_t BgL_list1121z00_1209;
BgL_list1121z00_1209 = 
MAKE_PAIR(BgL_arg1119z00_1208, BNIL); 
return 
BGl_displayzd2circlezd2zz__pp_circlez00(BgL_az00_624, BgL_list1121z00_1209);} } } } 
}



/* warning/location */
obj_t BGl_warningzf2locationzf2zz__errorz00(obj_t BgL_fnamez00_8, obj_t BgL_locationz00_9, obj_t BgL_argsz00_10)
{ AN_OBJECT;
{ /* Llib/error.scm 234 */
if(
CBOOL(BGl_za2warningza2z00zz__errorz00))
{ /* Llib/error.scm 235 */
if(
bigloo_strcmp(BgL_fnamez00_8, BGl_string3069z00zz__errorz00))
{ /* Llib/error.scm 236 */
return 
BGl_warningz00zz__errorz00(BgL_argsz00_10);}  else 
{ /* Llib/error.scm 236 */
if(
bigloo_strcmp(BgL_fnamez00_8, BGl_string3070z00zz__errorz00))
{ /* Llib/error.scm 236 */
return 
BGl_warningz00zz__errorz00(BgL_argsz00_10);}  else 
{ /* Llib/error.scm 236 */
return 
BGl_warningzf2locationzd2filez20zz__errorz00(BgL_fnamez00_8, BgL_locationz00_9, BgL_argsz00_10);} } }  else 
{ /* Llib/error.scm 235 */
return BFALSE;} } 
}



/* _warning/location */
obj_t BGl__warningzf2locationzf2zz__errorz00(obj_t BgL_envz00_1831, obj_t BgL_fnamez00_1832, obj_t BgL_locationz00_1833, obj_t BgL_argsz00_1834)
{ AN_OBJECT;
{ /* Llib/error.scm 234 */
return 
BGl_warningzf2locationzf2zz__errorz00(BgL_fnamez00_1832, BgL_locationz00_1833, BgL_argsz00_1834);} 
}



/* warning/c-location */
obj_t BGl_warningzf2czd2locationz20zz__errorz00(char * BgL_fnamez00_11, long BgL_locationz00_12, obj_t BgL_argsz00_13)
{ AN_OBJECT;
{ /* Llib/error.scm 251 */
{ /* Llib/error.scm 252 */
obj_t BgL_runner1149z00_1219;
{ /* Llib/error.scm 252 */
obj_t BgL_arg1144z00_1220;
{ /* Llib/error.scm 252 */
obj_t BgL_auxz00_2030;
BgL_auxz00_2030 = 
BINT(BgL_locationz00_12); 
BgL_arg1144z00_1220 = 
MAKE_PAIR(BgL_auxz00_2030, BgL_argsz00_13); } 
{ /* Llib/error.scm 252 */
obj_t BgL_auxz00_2033;
BgL_auxz00_2033 = 
string_to_bstring(BgL_fnamez00_11); 
BgL_runner1149z00_1219 = 
MAKE_PAIR(BgL_auxz00_2033, BgL_arg1144z00_1220); } } 
{ /* Llib/error.scm 252 */
obj_t BgL_aux1147z00_1221;
BgL_aux1147z00_1221 = 
CAR(BgL_runner1149z00_1219); 
BgL_runner1149z00_1219 = 
CDR(BgL_runner1149z00_1219); 
{ /* Llib/error.scm 252 */
obj_t BgL_aux1148z00_1222;
BgL_aux1148z00_1222 = 
CAR(BgL_runner1149z00_1219); 
BgL_runner1149z00_1219 = 
CDR(BgL_runner1149z00_1219); 
{ /* Llib/error.scm 252 */
obj_t BgL_argsz00_1233;
BgL_argsz00_1233 = BgL_runner1149z00_1219; 
if(
CBOOL(BGl_za2warningza2z00zz__errorz00))
{ /* Llib/error.scm 252 */
if(
bigloo_strcmp(BgL_aux1147z00_1221, BGl_string3069z00zz__errorz00))
{ /* Llib/error.scm 252 */
return 
BGl_warningz00zz__errorz00(BgL_argsz00_1233);}  else 
{ /* Llib/error.scm 252 */
if(
bigloo_strcmp(BgL_aux1147z00_1221, BGl_string3070z00zz__errorz00))
{ /* Llib/error.scm 252 */
return 
BGl_warningz00zz__errorz00(BgL_argsz00_1233);}  else 
{ /* Llib/error.scm 252 */
return 
BGl_warningzf2locationzd2filez20zz__errorz00(BgL_aux1147z00_1221, BgL_aux1148z00_1222, BgL_argsz00_1233);} } }  else 
{ /* Llib/error.scm 252 */
return BFALSE;} } } } } } 
}



/* _warning/c-location */
obj_t BGl__warningzf2czd2locationz20zz__errorz00(obj_t BgL_envz00_1835, obj_t BgL_fnamez00_1836, obj_t BgL_locationz00_1837, obj_t BgL_argsz00_1838)
{ AN_OBJECT;
{ /* Llib/error.scm 251 */
return 
BGl_warningzf2czd2locationz20zz__errorz00(
BSTRING_TO_STRING(BgL_fnamez00_1836), 
(long)CINT(BgL_locationz00_1837), BgL_argsz00_1838);} 
}



/* the_failure */
obj_t the_failure(obj_t BgL_procz00_14, obj_t BgL_messagez00_15, obj_t BgL_objectz00_16)
{ AN_OBJECT;
{ /* Llib/error.scm 257 */
BGl_readerzd2resetz12zc0zz__readerz00(); 
{ /* Llib/error.scm 259 */
obj_t BgL_errorzd2handlerzd2_640;
BgL_errorzd2handlerzd2_640 = 
GET_ERROR_HANDLER(); 
if(
PAIRP(BgL_errorzd2handlerzd2_640))
{ /* Llib/error.scm 262 */
obj_t BgL_handlerz00_642;obj_t BgL_escapez00_643;
{ /* Llib/error.scm 262 */
obj_t BgL_auxz00_2056;
BgL_auxz00_2056 = 
CAR(BgL_errorzd2handlerzd2_640); 
BgL_handlerz00_642 = 
CAR(BgL_auxz00_2056); } 
{ /* Llib/error.scm 263 */
obj_t BgL_auxz00_2059;
BgL_auxz00_2059 = 
CAR(BgL_errorzd2handlerzd2_640); 
BgL_escapez00_643 = 
CDR(BgL_auxz00_2059); } 
{ /* Llib/error.scm 264 */
bool_t BgL_test1156z00_644;
if(
PROCEDUREP(BgL_handlerz00_642))
{ /* Llib/error.scm 264 */
int BgL_arg1161z00_646;
BgL_arg1161z00_646 = 
PROCEDURE_ARITY(BgL_handlerz00_642); 
{ /* Llib/error.scm 264 */
long BgL_auxz00_2065;
BgL_auxz00_2065 = 
(long)(BgL_arg1161z00_646); 
BgL_test1156z00_644 = 
(BgL_auxz00_2065==((long)4)); } }  else 
{ /* Llib/error.scm 264 */
BgL_test1156z00_644 = ((bool_t)0); } 
if(BgL_test1156z00_644)
{ /* Llib/error.scm 264 */
return 
PROCEDURE_ENTRY(BgL_handlerz00_642)(BgL_handlerz00_642, BgL_escapez00_643, BgL_procz00_14, BgL_messagez00_15, BgL_objectz00_16, BEOA);}  else 
{ /* Llib/error.scm 264 */
BGl_notifyzd2errorzd2zz__errorz00(BGl_string3065z00zz__errorz00, BGl_string3066z00zz__errorz00, BgL_handlerz00_642); 
return 
BINT(((long)-1));} } }  else 
{ /* Llib/error.scm 260 */
BGl_notifyzd2errorzd2zz__errorz00(BgL_procz00_14, BgL_messagez00_15, BgL_objectz00_16); 
return 
BINT(((long)-1));} } } 
}



/* _the_failure */
obj_t BGl__the_failurez00zz__errorz00(obj_t BgL_envz00_1839, obj_t BgL_procz00_1840, obj_t BgL_messagez00_1841, obj_t BgL_objectz00_1842)
{ AN_OBJECT;
{ /* Llib/error.scm 257 */
return 
the_failure(BgL_procz00_1840, BgL_messagez00_1841, BgL_objectz00_1842);} 
}



/* the_c_failure */
obj_t the_c_failure(char * BgL_procz00_17, char * BgL_messagez00_18, obj_t BgL_objectz00_19)
{ AN_OBJECT;
{ /* Llib/error.scm 271 */
return 
the_failure(
string_to_bstring(BgL_procz00_17), 
string_to_bstring(BgL_messagez00_18), BgL_objectz00_19);} 
}



/* _the_c_failure */
obj_t BGl__the_c_failurez00zz__errorz00(obj_t BgL_envz00_1843, obj_t BgL_procz00_1844, obj_t BgL_messagez00_1845, obj_t BgL_objectz00_1846)
{ AN_OBJECT;
{ /* Llib/error.scm 271 */
return 
the_c_failure(
BSTRING_TO_STRING(BgL_procz00_1844), 
BSTRING_TO_STRING(BgL_messagez00_1845), BgL_objectz00_1846);} 
}



/* notify-dump-trace-stack */
obj_t BGl_notifyzd2dumpzd2tracezd2stackzd2zz__errorz00()
{ AN_OBJECT;
{ /* Llib/error.scm 277 */
{ /* Llib/error.scm 278 */
bool_t BgL_test1179z00_650;
{ /* Llib/error.scm 278 */
bool_t BgL_test1181z00_651;
if(
INTEGERP(BGl_za2debugza2z00zz__errorz00))
{ /* Llib/error.scm 278 */
long BgL_auxz00_2084;
BgL_auxz00_2084 = 
(long)CINT(BGl_za2debugza2z00zz__errorz00); 
BgL_test1181z00_651 = 
(BgL_auxz00_2084>((long)0)); }  else 
{ /* Llib/error.scm 278 */
BgL_test1181z00_651 = ((bool_t)0); } 
if(BgL_test1181z00_651)
{ /* Llib/error.scm 278 */
BgL_test1179z00_650 = ((bool_t)1); }  else 
{ /* Llib/error.scm 279 */
obj_t BgL_arg1183z00_652;
{ /* Llib/error.scm 279 */
bool_t BgL_test2750z00_1261;
BgL_test2750z00_1261 = 
(long)getenv("BIGLOOSTACKDEPTH"); 
if(BgL_test2750z00_1261)
{ /* Llib/error.scm 279 */
char * BgL_auxz00_2090;
BgL_auxz00_2090 = 
(char *)getenv("BIGLOOSTACKDEPTH"); 
BgL_arg1183z00_652 = 
string_to_bstring(BgL_auxz00_2090); }  else 
{ /* Llib/error.scm 279 */
BgL_arg1183z00_652 = BFALSE; } } 
BgL_test1179z00_650 = 
STRINGP(BgL_arg1183z00_652); } } 
if(BgL_test1179z00_650)
{ /* Llib/error.scm 280 */
obj_t BgL_depthz00_1263;
if(
INTEGERP(BGl_za2tracezd2stackzd2depthza2z00zz__errorz00))
{ /* Llib/error.scm 280 */
BgL_depthz00_1263 = BGl_za2tracezd2stackzd2depthza2z00zz__errorz00; }  else 
{ /* Llib/error.scm 280 */
BgL_depthz00_1263 = 
BINT(((long)10)); } 
{ /* Llib/error.scm 280 */
obj_t BgL_arg1039z00_1265;
BgL_arg1039z00_1265 = 
GET_CURRENT_ERROR_PORT(); 
{ /* Llib/error.scm 280 */
int BgL_auxz00_2099;
BgL_auxz00_2099 = 
CINT(BgL_depthz00_1263); 
return 
dump_trace_stack(BgL_arg1039z00_1265, BgL_auxz00_2099);} } }  else 
{ /* Llib/error.scm 278 */
return BFALSE;} } } 
}



/* notify-interrupt */
obj_t BGl_notifyzd2interruptzd2zz__errorz00(int BgL_sigz00_20)
{ AN_OBJECT;
{ /* Llib/error.scm 285 */
{ /* Llib/error.scm 286 */
obj_t BgL_fun1192z00_1267;
if(
PROCEDUREP(BGl_za2interruptzd2notifierza2zd2zz__errorz00))
{ /* Llib/error.scm 286 */
BgL_fun1192z00_1267 = BGl_za2interruptzd2notifierza2zd2zz__errorz00; }  else 
{ /* Llib/error.scm 286 */
BgL_fun1192z00_1267 = BGl_defaultzd2interruptzd2notifierzd2envzd2zz__errorz00; } 
return 
PROCEDURE_ENTRY(BgL_fun1192z00_1267)(BgL_fun1192z00_1267, 
BINT(BgL_sigz00_20), BEOA);} } 
}



/* _notify-interrupt */
obj_t BGl__notifyzd2interruptzd2zz__errorz00(obj_t BgL_envz00_1847, obj_t BgL_sigz00_1848)
{ AN_OBJECT;
{ /* Llib/error.scm 285 */
return 
BGl_notifyzd2interruptzd2zz__errorz00(
CINT(BgL_sigz00_1848));} 
}



/* default-interrupt-notifier */
obj_t BGl_defaultzd2interruptzd2notifierz00zz__errorz00(obj_t BgL_sigz00_21)
{ AN_OBJECT;
{ /* Llib/error.scm 299 */
{ /* Llib/error.scm 300 */
obj_t BgL_portz00_1270;
BgL_portz00_1270 = 
GET_CURRENT_ERROR_PORT(); 
{ /* Llib/error.scm 300 */
obj_t BgL_list1195z00_1271;
BgL_list1195z00_1271 = 
MAKE_PAIR(BgL_portz00_1270, BNIL); 
BGl_newlinez00zz__r4_output_6_10_3z00(BgL_list1195z00_1271); } 
{ /* Llib/error.scm 300 */
obj_t BgL_list1198z00_1272;
BgL_list1198z00_1272 = 
MAKE_PAIR(BGl_string3071z00zz__errorz00, BNIL); 
BGl_fprintz00zz__r4_output_6_10_3z00(BgL_portz00_1270, BgL_list1198z00_1272); } 
return 
FLUSH_OUTPUT_PORT(BgL_portz00_1270);} } 
}



/* _default-interrupt-notifier */
obj_t BGl__defaultzd2interruptzd2notifierz00zz__errorz00(obj_t BgL_envz00_1849, obj_t BgL_sigz00_1850)
{ AN_OBJECT;
{ /* Llib/error.scm 299 */
return 
BGl_defaultzd2interruptzd2notifierz00zz__errorz00(BgL_sigz00_1850);} 
}



/* notify-error */
obj_t BGl_notifyzd2errorzd2zz__errorz00(obj_t BgL_procz00_22, obj_t BgL_mesz00_23, obj_t BgL_objz00_24)
{ AN_OBJECT;
{ /* Llib/error.scm 308 */
if(
PROCEDUREP(BGl_za2errorzd2notifierza2zd2zz__errorz00))
{ /* Llib/error.scm 309 */
return 
PROCEDURE_ENTRY(BGl_za2errorzd2notifierza2zd2zz__errorz00)(BGl_za2errorzd2notifierza2zd2zz__errorz00, BgL_procz00_22, BgL_mesz00_23, BgL_objz00_24, BEOA);}  else 
{ /* Llib/error.scm 311 */
obj_t BgL_portz00_660;
BgL_portz00_660 = 
GET_CURRENT_ERROR_PORT(); 
{ /* Llib/error.scm 312 */
obj_t BgL_arg1205z00_661;
BgL_arg1205z00_661 = 
GET_CURRENT_OUTPUT_PORT(); 
FLUSH_OUTPUT_PORT(BgL_arg1205z00_661); } 
{ /* Llib/error.scm 313 */
obj_t BgL_list1209z00_662;
BgL_list1209z00_662 = 
MAKE_PAIR(BgL_portz00_660, BNIL); 
BGl_newlinez00zz__r4_output_6_10_3z00(BgL_list1209z00_662); } 
{ /* Llib/error.scm 314 */
obj_t BgL_list1212z00_663;
BgL_list1212z00_663 = 
MAKE_PAIR(BgL_portz00_660, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3072z00zz__errorz00, BgL_list1212z00_663); } 
{ /* Llib/error.scm 315 */
obj_t BgL_list1215z00_664;
BgL_list1215z00_664 = 
MAKE_PAIR(BgL_portz00_660, BNIL); 
BGl_displayzd2circlezd2zz__pp_circlez00(BgL_procz00_22, BgL_list1215z00_664); } 
{ /* Llib/error.scm 316 */
obj_t BgL_list1218z00_665;
BgL_list1218z00_665 = 
MAKE_PAIR(BgL_portz00_660, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3073z00zz__errorz00, BgL_list1218z00_665); } 
{ /* Llib/error.scm 317 */
obj_t BgL_list1221z00_666;
BgL_list1221z00_666 = 
MAKE_PAIR(BgL_portz00_660, BNIL); 
BGl_displayzd2circlezd2zz__pp_circlez00(BgL_mesz00_23, BgL_list1221z00_666); } 
{ /* Llib/error.scm 318 */
obj_t BgL_list1224z00_667;
BgL_list1224z00_667 = 
MAKE_PAIR(BgL_portz00_660, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3074z00zz__errorz00, BgL_list1224z00_667); } 
{ /* Llib/error.scm 319 */
obj_t BgL_list1227z00_668;
BgL_list1227z00_668 = 
MAKE_PAIR(BgL_portz00_660, BNIL); 
BGl_displayzd2circlezd2zz__pp_circlez00(BgL_objz00_24, BgL_list1227z00_668); } 
{ /* Llib/error.scm 320 */
obj_t BgL_list1230z00_669;
BgL_list1230z00_669 = 
MAKE_PAIR(BgL_portz00_660, BNIL); 
BGl_newlinez00zz__r4_output_6_10_3z00(BgL_list1230z00_669); } 
BGl_notifyzd2dumpzd2tracezd2stackzd2zz__errorz00(); 
return 
FLUSH_OUTPUT_PORT(BgL_portz00_660);} } 
}



/* _notify-error */
obj_t BGl__notifyzd2errorzd2zz__errorz00(obj_t BgL_envz00_1851, obj_t BgL_procz00_1852, obj_t BgL_mesz00_1853, obj_t BgL_objz00_1854)
{ AN_OBJECT;
{ /* Llib/error.scm 308 */
return 
BGl_notifyzd2errorzd2zz__errorz00(BgL_procz00_1852, BgL_mesz00_1853, BgL_objz00_1854);} 
}



/* bigloo-type-error-msg */
obj_t BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00(obj_t BgL_prefixz00_25, obj_t BgL_fromz00_26, obj_t BgL_toz00_27)
{ AN_OBJECT;
{ /* Llib/error.scm 327 */
{ /* Llib/error.scm 328 */
obj_t BgL_list1237z00_1277;
{ /* Llib/error.scm 328 */
obj_t BgL_arg1239z00_1278;
{ /* Llib/error.scm 328 */
obj_t BgL_arg1246z00_1280;
{ /* Llib/error.scm 328 */
obj_t BgL_arg1249z00_1281;
{ /* Llib/error.scm 328 */
obj_t BgL_arg1253z00_1283;
{ /* Llib/error.scm 328 */
obj_t BgL_arg1256z00_1284;
BgL_arg1256z00_1284 = 
MAKE_PAIR(BGl_string3075z00zz__errorz00, BNIL); 
BgL_arg1253z00_1283 = 
MAKE_PAIR(BgL_toz00_27, BgL_arg1256z00_1284); } 
BgL_arg1249z00_1281 = 
MAKE_PAIR(BGl_string3076z00zz__errorz00, BgL_arg1253z00_1283); } 
BgL_arg1246z00_1280 = 
MAKE_PAIR(BgL_fromz00_26, BgL_arg1249z00_1281); } 
BgL_arg1239z00_1278 = 
MAKE_PAIR(BGl_string3077z00zz__errorz00, BgL_arg1246z00_1280); } 
BgL_list1237z00_1277 = 
MAKE_PAIR(BgL_prefixz00_25, BgL_arg1239z00_1278); } 
return 
BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list1237z00_1277);} } 
}



/* _bigloo-type-error-msg */
obj_t BGl__bigloozd2typezd2errorzd2msgzd2zz__errorz00(obj_t BgL_envz00_1855, obj_t BgL_prefixz00_1856, obj_t BgL_fromz00_1857, obj_t BgL_toz00_1858)
{ AN_OBJECT;
{ /* Llib/error.scm 327 */
return 
BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00(BgL_prefixz00_1856, BgL_fromz00_1857, BgL_toz00_1858);} 
}



/* default-error-handler */
long BGl_defaultzd2errorzd2handlerz00zz__errorz00(obj_t BgL_procz00_28, obj_t BgL_mesz00_29, obj_t BgL_objz00_30)
{ AN_OBJECT;
{ /* Llib/error.scm 338 */
BGl_notifyzd2errorzd2zz__errorz00(BgL_procz00_28, BgL_mesz00_29, BgL_objz00_30); 
return ((long)-1);} 
}



/* _default-error-handler */
obj_t BGl__defaultzd2errorzd2handlerz00zz__errorz00(obj_t BgL_envz00_1818, obj_t BgL_procz00_1819, obj_t BgL_mesz00_1820, obj_t BgL_objz00_1821)
{ AN_OBJECT;
{ /* Llib/error.scm 338 */
{ /* Llib/error.scm 339 */
long BgL_auxz00_2151;
BgL_auxz00_2151 = 
BGl_defaultzd2errorzd2handlerz00zz__errorz00(BgL_procz00_1819, BgL_mesz00_1820, BgL_objz00_1821); 
return 
BINT(BgL_auxz00_2151);} } 
}



/* sigfpe-error-handler */
obj_t BGl_sigfpezd2errorzd2handlerz00zz__errorz00(obj_t BgL_nz00_32)
{ AN_OBJECT;
{ /* Llib/error.scm 351 */
FAILURE(BGl_string3078z00zz__errorz00,BGl_string3079z00zz__errorz00,BGl_string3080z00zz__errorz00);} 
}



/* _sigfpe-error-handler */
obj_t BGl__sigfpezd2errorzd2handlerz00zz__errorz00(obj_t BgL_envz00_1803, obj_t BgL_nz00_1804)
{ AN_OBJECT;
{ /* Llib/error.scm 351 */
return 
BGl_sigfpezd2errorzd2handlerz00zz__errorz00(BgL_nz00_1804);} 
}



/* sigill-error-handler */
obj_t BGl_sigillzd2errorzd2handlerz00zz__errorz00(obj_t BgL_nz00_33)
{ AN_OBJECT;
{ /* Llib/error.scm 357 */
FAILURE(BGl_string3081z00zz__errorz00,BGl_string3082z00zz__errorz00,BGl_string3080z00zz__errorz00);} 
}



/* _sigill-error-handler */
obj_t BGl__sigillzd2errorzd2handlerz00zz__errorz00(obj_t BgL_envz00_1805, obj_t BgL_nz00_1806)
{ AN_OBJECT;
{ /* Llib/error.scm 357 */
return 
BGl_sigillzd2errorzd2handlerz00zz__errorz00(BgL_nz00_1806);} 
}



/* sigbus-error-handler */
obj_t BGl_sigbuszd2errorzd2handlerz00zz__errorz00(obj_t BgL_nz00_34)
{ AN_OBJECT;
{ /* Llib/error.scm 363 */
FAILURE(BGl_string3081z00zz__errorz00,BGl_string3083z00zz__errorz00,BGl_string3080z00zz__errorz00);} 
}



/* _sigbus-error-handler */
obj_t BGl__sigbuszd2errorzd2handlerz00zz__errorz00(obj_t BgL_envz00_1807, obj_t BgL_nz00_1808)
{ AN_OBJECT;
{ /* Llib/error.scm 363 */
return 
BGl_sigbuszd2errorzd2handlerz00zz__errorz00(BgL_nz00_1808);} 
}



/* sigsegv-error-handler */
obj_t BGl_sigsegvzd2errorzd2handlerz00zz__errorz00(obj_t BgL_nz00_35)
{ AN_OBJECT;
{ /* Llib/error.scm 369 */
FAILURE(BGl_string3081z00zz__errorz00,BGl_string3084z00zz__errorz00,BGl_string3080z00zz__errorz00);} 
}



/* _sigsegv-error-handler */
obj_t BGl__sigsegvzd2errorzd2handlerz00zz__errorz00(obj_t BgL_envz00_1809, obj_t BgL_nz00_1810)
{ AN_OBJECT;
{ /* Llib/error.scm 369 */
return 
BGl_sigsegvzd2errorzd2handlerz00zz__errorz00(BgL_nz00_1810);} 
}



/* error/location */
obj_t BGl_errorzf2locationzf2zz__errorz00(obj_t BgL_procz00_36, obj_t BgL_messagez00_37, obj_t BgL_objectz00_38, obj_t BgL_fnamez00_39, obj_t BgL_locationz00_40)
{ AN_OBJECT;
{ /* Llib/error.scm 387 */
if(
STRINGP(BgL_fnamez00_39))
{ /* Llib/error.scm 389 */
if(
INTEGERP(BgL_locationz00_40))
{ /* Llib/error.scm 391 */
if(
bigloo_strcmp(BgL_fnamez00_39, BGl_string3069z00zz__errorz00))
{ /* Llib/error.scm 393 */
FAILURE(BgL_procz00_36,BgL_messagez00_37,BgL_objectz00_38);}  else 
{ /* Llib/error.scm 393 */
if(
bigloo_strcmp(BgL_fnamez00_39, BGl_string3070z00zz__errorz00))
{ /* Llib/error.scm 395 */
FAILURE(BgL_procz00_36,BgL_messagez00_37,BgL_objectz00_38);}  else 
{ /* Llib/error.scm 395 */
if(
bigloo_strcmp(BgL_fnamez00_39, BGl_string3069z00zz__errorz00))
{ /* Llib/error.scm 397 */
FAILURE(BgL_procz00_36,BgL_messagez00_37,BgL_objectz00_38);}  else 
{ /* Llib/error.scm 397 */
BGl_za2errorzd2notifierza2zd2zz__errorz00 = 
BGl_errorzf2locationzd2filez20zz__errorz00(BgL_fnamez00_39, BgL_locationz00_40); 
FAILURE(BgL_procz00_36,BgL_messagez00_37,BgL_objectz00_38);} } } }  else 
{ /* Llib/error.scm 391 */
FAILURE(BgL_procz00_36,BgL_messagez00_37,BgL_objectz00_38);} }  else 
{ /* Llib/error.scm 389 */
FAILURE(BgL_procz00_36,BgL_messagez00_37,BgL_objectz00_38);} } 
}



/* _error/location */
obj_t BGl__errorzf2locationzf2zz__errorz00(obj_t BgL_envz00_1859, obj_t BgL_procz00_1860, obj_t BgL_messagez00_1861, obj_t BgL_objectz00_1862, obj_t BgL_fnamez00_1863, obj_t BgL_locationz00_1864)
{ AN_OBJECT;
{ /* Llib/error.scm 387 */
return 
BGl_errorzf2locationzf2zz__errorz00(BgL_procz00_1860, BgL_messagez00_1861, BgL_objectz00_1862, BgL_fnamez00_1863, BgL_locationz00_1864);} 
}



/* error/c-location */
obj_t BGl_errorzf2czd2locationz20zz__errorz00(obj_t BgL_procz00_41, obj_t BgL_messagez00_42, obj_t BgL_objectz00_43, char * BgL_fnamez00_44, long BgL_locationz00_45)
{ AN_OBJECT;
{ /* Llib/error.scm 410 */
return 
BGl_errorzf2locationzf2zz__errorz00(BgL_procz00_41, BgL_messagez00_42, BgL_objectz00_43, 
string_to_bstring(BgL_fnamez00_44), 
BINT(BgL_locationz00_45));} 
}



/* _error/c-location */
obj_t BGl__errorzf2czd2locationz20zz__errorz00(obj_t BgL_envz00_1865, obj_t BgL_procz00_1866, obj_t BgL_messagez00_1867, obj_t BgL_objectz00_1868, obj_t BgL_fnamez00_1869, obj_t BgL_locationz00_1870)
{ AN_OBJECT;
{ /* Llib/error.scm 410 */
return 
BGl_errorzf2czd2locationz20zz__errorz00(BgL_procz00_1866, BgL_messagez00_1867, BgL_objectz00_1868, 
BSTRING_TO_STRING(BgL_fnamez00_1869), 
(long)CINT(BgL_locationz00_1870));} 
}



/* debug-error/location */
obj_t BGl_debugzd2errorzf2locationz20zz__errorz00(obj_t BgL_procz00_46, obj_t BgL_messagez00_47, obj_t BgL_objectz00_48, obj_t BgL_fnamez00_49, obj_t BgL_locationz00_50)
{ AN_OBJECT;
{ /* Llib/error.scm 421 */
if(
PROCEDUREP(BGl_za2errorzd2notifierza2zd2zz__errorz00))
{ /* Llib/error.scm 422 */
FAILURE(BgL_procz00_46,BgL_messagez00_47,BgL_objectz00_48);}  else 
{ /* Llib/error.scm 422 */
return 
BGl_errorzf2locationzf2zz__errorz00(BgL_procz00_46, BgL_messagez00_47, BgL_objectz00_48, BgL_fnamez00_49, BgL_locationz00_50);} } 
}



/* _debug-error/location */
obj_t BGl__debugzd2errorzf2locationz20zz__errorz00(obj_t BgL_envz00_1871, obj_t BgL_procz00_1872, obj_t BgL_messagez00_1873, obj_t BgL_objectz00_1874, obj_t BgL_fnamez00_1875, obj_t BgL_locationz00_1876)
{ AN_OBJECT;
{ /* Llib/error.scm 421 */
return 
BGl_debugzd2errorzf2locationz20zz__errorz00(BgL_procz00_1872, BgL_messagez00_1873, BgL_objectz00_1874, BgL_fnamez00_1875, BgL_locationz00_1876);} 
}



/* error/location-file */
obj_t BGl_errorzf2locationzd2filez20zz__errorz00(obj_t BgL_filezd2namezd2_51, obj_t BgL_locationz00_52)
{ AN_OBJECT;
{ /* Llib/error.scm 429 */
{ /* Llib/error.scm 431 */
obj_t BgL_portz00_684;
BgL_portz00_684 = 
BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(BgL_filezd2namezd2_51, BNIL); 
if(
INPUT_PORTP(BgL_portz00_684))
{ 
obj_t BgL_linezd2stringzd2_686;long BgL_linezd2numzd2_687;obj_t BgL_oldzd2poszd2_688;
{ /* Llib/error.scm 437 */
obj_t BgL_arg1289z00_690;
{ /* Llib/error.scm 437 */
obj_t BgL_list1294z00_693;
BgL_list1294z00_693 = 
MAKE_PAIR(BgL_portz00_684, BNIL); 
BgL_arg1289z00_690 = 
BGl_readzd2linezd2zz__r4_input_6_10_2z00(BgL_list1294z00_693); } 
BgL_linezd2stringzd2_686 = BgL_arg1289z00_690; 
BgL_linezd2numzd2_687 = ((long)1); 
BgL_oldzd2poszd2_688 = 
BINT(((long)0)); 
BgL_loopz00_689:
{ /* Llib/error.scm 440 */
bool_t BgL_test1296z00_694;
BgL_test1296z00_694 = 
EOF_OBJECTP(BgL_linezd2stringzd2_686); 
if(BgL_test1296z00_694)
{ /* Llib/error.scm 440 */
close_input_port(BgL_portz00_684); 
return BGl_proc3085z00zz__errorz00;}  else 
{ /* Llib/error.scm 447 */
bool_t BgL_test1300z00_699;
{ /* Llib/error.scm 447 */
int BgL_arg1316z00_705;
{ /* Llib/error.scm 447 */
int BgL_res2756z00_1335;
{ /* Llib/error.scm 447 */
long BgL_auxz00_2199;
BgL_auxz00_2199 = 
INPUT_PORT_FILEPOS(BgL_portz00_684); 
BgL_res2756z00_1335 = 
(int)(BgL_auxz00_2199); } 
BgL_arg1316z00_705 = BgL_res2756z00_1335; } 
{ /* Llib/error.scm 447 */
long BgL_auxz00_2204;long BgL_auxz00_2202;
BgL_auxz00_2204 = 
(long)CINT(BgL_locationz00_52); 
BgL_auxz00_2202 = 
(long)(BgL_arg1316z00_705); 
BgL_test1300z00_699 = 
(BgL_auxz00_2202>=BgL_auxz00_2204); } } 
if(BgL_test1300z00_699)
{ /* Llib/error.scm 447 */
close_input_port(BgL_portz00_684); 
{ /* Llib/error.scm 450 */
long BgL_auxz00_2209;
{ /* Llib/error.scm 454 */
long BgL_auxz00_2212;long BgL_auxz00_2210;
BgL_auxz00_2212 = 
(long)CINT(BgL_oldzd2poszd2_688); 
BgL_auxz00_2210 = 
(long)CINT(BgL_locationz00_52); 
BgL_auxz00_2209 = 
(BgL_auxz00_2210-BgL_auxz00_2212); } 
return 
BGl_makezd2locationzd2notifierz00zz__errorz00(BgL_filezd2namezd2_51, BgL_linezd2numzd2_687, BgL_locationz00_52, BgL_linezd2stringzd2_686, BgL_auxz00_2209);} }  else 
{ /* Llib/error.scm 455 */
int BgL_oldzd2poszd2_701;
{ /* Llib/error.scm 455 */
int BgL_res2757z00_1342;
{ /* Llib/error.scm 455 */
long BgL_auxz00_2216;
BgL_auxz00_2216 = 
INPUT_PORT_FILEPOS(BgL_portz00_684); 
BgL_res2757z00_1342 = 
(int)(BgL_auxz00_2216); } 
BgL_oldzd2poszd2_701 = BgL_res2757z00_1342; } 
{ /* Llib/error.scm 456 */
obj_t BgL_arg1307z00_702;long BgL_arg1308z00_703;
{ /* Llib/error.scm 456 */
obj_t BgL_list1311z00_704;
BgL_list1311z00_704 = 
MAKE_PAIR(BgL_portz00_684, BNIL); 
BgL_arg1307z00_702 = 
BGl_readzd2linezd2zz__r4_input_6_10_2z00(BgL_list1311z00_704); } 
BgL_arg1308z00_703 = 
(BgL_linezd2numzd2_687+((long)1)); 
{ 
obj_t BgL_oldzd2poszd2_2224;long BgL_linezd2numzd2_2223;obj_t BgL_linezd2stringzd2_2222;
BgL_linezd2stringzd2_2222 = BgL_arg1307z00_702; 
BgL_linezd2numzd2_2223 = BgL_arg1308z00_703; 
BgL_oldzd2poszd2_2224 = 
BINT(BgL_oldzd2poszd2_701); 
BgL_oldzd2poszd2_688 = BgL_oldzd2poszd2_2224; 
BgL_linezd2numzd2_687 = BgL_linezd2numzd2_2223; 
BgL_linezd2stringzd2_686 = BgL_linezd2stringzd2_2222; 
goto BgL_loopz00_689;} } } } } } }  else 
{ /* Llib/error.scm 432 */
return BFALSE;} } } 
}



/* _error/location-file */
obj_t BGl__errorzf2locationzd2filez20zz__errorz00(obj_t BgL_envz00_1878, obj_t BgL_filezd2namezd2_1879, obj_t BgL_locationz00_1880)
{ AN_OBJECT;
{ /* Llib/error.scm 429 */
return 
BGl_errorzf2locationzd2filez20zz__errorz00(BgL_filezd2namezd2_1879, BgL_locationz00_1880);} 
}



/* <anonymous:1298> */
obj_t BGl_zc3anonymousza31298ze3z83zz__errorz00(obj_t BgL_envz00_1881, obj_t BgL_procz00_1882, obj_t BgL_msgz00_1883, obj_t BgL_objz00_1884)
{ AN_OBJECT;
{ /* Llib/error.scm 444 */
{ 
obj_t BgL_procz00_695;obj_t BgL_msgz00_696;obj_t BgL_objz00_697;
BgL_procz00_695 = BgL_procz00_1882; 
BgL_msgz00_696 = BgL_msgz00_1883; 
BgL_objz00_697 = BgL_objz00_1884; 
BGl_za2errorzd2notifierza2zd2zz__errorz00 = BFALSE; 
return 
BGl_notifyzd2errorzd2zz__errorz00(BgL_procz00_695, BgL_msgz00_696, BgL_objz00_697);} } 
}



/* make-location-notifier */
obj_t BGl_makezd2locationzd2notifierz00zz__errorz00(obj_t BgL_fnamez00_53, long BgL_linez00_54, obj_t BgL_charz00_55, obj_t BgL_stringz00_56, long BgL_markerz00_57)
{ AN_OBJECT;
{ /* Llib/error.scm 463 */
{ /* Llib/error.scm 464 */
obj_t BgL_zc3anonymousza31323ze3z83_1885;
{ 
int BgL_auxz00_2231;int BgL_auxz00_2229;
BgL_auxz00_2231 = 
(int)(((long)5)); 
BgL_auxz00_2229 = 
(int)(((long)3)); 
BgL_zc3anonymousza31323ze3z83_1885 = 
make_fx_procedure(BGl_zc3anonymousza31323ze3z83zz__errorz00, BgL_auxz00_2229, BgL_auxz00_2231); } 
{ /* Llib/error.scm 464 */
obj_t BgL_auxz00_2236;int BgL_auxz00_2234;
BgL_auxz00_2236 = 
BINT(BgL_markerz00_57); 
BgL_auxz00_2234 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31323ze3z83_1885, BgL_auxz00_2234, BgL_auxz00_2236); } 
{ /* Llib/error.scm 464 */
int BgL_auxz00_2239;
BgL_auxz00_2239 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza31323ze3z83_1885, BgL_auxz00_2239, BgL_stringz00_56); } 
{ /* Llib/error.scm 464 */
int BgL_auxz00_2242;
BgL_auxz00_2242 = 
(int)(((long)2)); 
PROCEDURE_SET(BgL_zc3anonymousza31323ze3z83_1885, BgL_auxz00_2242, BgL_fnamez00_53); } 
{ /* Llib/error.scm 464 */
obj_t BgL_auxz00_2247;int BgL_auxz00_2245;
BgL_auxz00_2247 = 
BINT(BgL_linez00_54); 
BgL_auxz00_2245 = 
(int)(((long)3)); 
PROCEDURE_SET(BgL_zc3anonymousza31323ze3z83_1885, BgL_auxz00_2245, BgL_auxz00_2247); } 
{ /* Llib/error.scm 464 */
int BgL_auxz00_2250;
BgL_auxz00_2250 = 
(int)(((long)4)); 
PROCEDURE_SET(BgL_zc3anonymousza31323ze3z83_1885, BgL_auxz00_2250, BgL_charz00_55); } 
return BgL_zc3anonymousza31323ze3z83_1885;} } 
}



/* <anonymous:1323> */
obj_t BGl_zc3anonymousza31323ze3z83zz__errorz00(obj_t BgL_envz00_1886, obj_t BgL_procz00_1892, obj_t BgL_msgz00_1893, obj_t BgL_objz00_1894)
{ AN_OBJECT;
{ /* Llib/error.scm 464 */
{ /* Llib/error.scm 466 */
obj_t BgL_markerz00_1887;obj_t BgL_stringz00_1888;obj_t BgL_fnamez00_1889;obj_t BgL_linez00_1890;obj_t BgL_charz00_1891;
{ /* Llib/error.scm 466 */
int BgL_auxz00_2253;
BgL_auxz00_2253 = 
(int)(((long)0)); 
BgL_markerz00_1887 = 
PROCEDURE_REF(BgL_envz00_1886, BgL_auxz00_2253); } 
{ /* Llib/error.scm 466 */
int BgL_auxz00_2256;
BgL_auxz00_2256 = 
(int)(((long)1)); 
BgL_stringz00_1888 = 
PROCEDURE_REF(BgL_envz00_1886, BgL_auxz00_2256); } 
{ /* Llib/error.scm 466 */
int BgL_auxz00_2259;
BgL_auxz00_2259 = 
(int)(((long)2)); 
BgL_fnamez00_1889 = 
PROCEDURE_REF(BgL_envz00_1886, BgL_auxz00_2259); } 
{ /* Llib/error.scm 466 */
int BgL_auxz00_2262;
BgL_auxz00_2262 = 
(int)(((long)3)); 
BgL_linez00_1890 = 
PROCEDURE_REF(BgL_envz00_1886, BgL_auxz00_2262); } 
{ /* Llib/error.scm 466 */
int BgL_auxz00_2265;
BgL_auxz00_2265 = 
(int)(((long)4)); 
BgL_charz00_1891 = 
PROCEDURE_REF(BgL_envz00_1886, BgL_auxz00_2265); } 
{ 
obj_t BgL_procz00_707;obj_t BgL_msgz00_708;obj_t BgL_objz00_709;
BgL_procz00_707 = BgL_procz00_1892; 
BgL_msgz00_708 = BgL_msgz00_1893; 
BgL_objz00_709 = BgL_objz00_1894; 
BGl_za2errorzd2notifierza2zd2zz__errorz00 = BFALSE; 
{ /* Llib/error.scm 467 */
obj_t BgL_portz00_711;
BgL_portz00_711 = 
GET_CURRENT_ERROR_PORT(); 
FLUSH_OUTPUT_PORT(BgL_portz00_711); 
{ /* Llib/error.scm 470 */
obj_t BgL_list1326z00_712;
BgL_list1326z00_712 = 
MAKE_PAIR(BgL_portz00_711, BNIL); 
BGl_newlinez00zz__r4_output_6_10_3z00(BgL_list1326z00_712); } 
{ /* Llib/error.scm 471 */
obj_t BgL_spacezd2stringzd2_713;obj_t BgL_nzd2markerzd2_714;
{ /* Llib/error.scm 471 */
bool_t BgL_testz00_2272;
{ /* Llib/error.scm 471 */
long BgL_auxz00_2273;
BgL_auxz00_2273 = 
(long)CINT(BgL_markerz00_1887); 
BgL_testz00_2272 = 
(BgL_auxz00_2273>((long)0)); } 
if(BgL_testz00_2272)
{ /* Llib/error.scm 472 */
long BgL_arg1362z00_725;
{ /* Llib/error.scm 472 */
long BgL_auxz00_2276;
BgL_auxz00_2276 = 
(long)CINT(BgL_markerz00_1887); 
BgL_arg1362z00_725 = 
(BgL_auxz00_2276-((long)1)); } 
{ /* Llib/error.scm 472 */
obj_t BgL_list1364z00_726;
{ /* Llib/error.scm 472 */
obj_t BgL_auxz00_2279;
BgL_auxz00_2279 = 
BCHAR(((unsigned char)' ')); 
BgL_list1364z00_726 = 
MAKE_PAIR(BgL_auxz00_2279, BNIL); } 
{ /* Llib/error.scm 472 */
unsigned char BgL_auxz00_2284;int BgL_auxz00_2282;
{ /* Llib/error.scm 472 */
obj_t BgL_auxz00_2285;
BgL_auxz00_2285 = 
CAR(BgL_list1364z00_726); 
BgL_auxz00_2284 = 
(unsigned char)CCHAR(BgL_auxz00_2285); } 
BgL_auxz00_2282 = 
(int)(BgL_arg1362z00_725); 
BgL_spacezd2stringzd2_713 = 
make_string(BgL_auxz00_2282, BgL_auxz00_2284); } } }  else 
{ /* Llib/error.scm 471 */
BgL_spacezd2stringzd2_713 = BGl_string3086z00zz__errorz00; } } 
{ /* Llib/error.scm 474 */
bool_t BgL_testz00_2289;
{ /* Llib/error.scm 474 */
long BgL_auxz00_2292;long BgL_auxz00_2290;
{ /* Llib/error.scm 474 */
int BgL_auxz00_2293;
BgL_auxz00_2293 = 
STRING_LENGTH(BgL_stringz00_1888); 
BgL_auxz00_2292 = 
(long)(BgL_auxz00_2293); } 
BgL_auxz00_2290 = 
(long)CINT(BgL_markerz00_1887); 
BgL_testz00_2289 = 
(BgL_auxz00_2290>=BgL_auxz00_2292); } 
if(BgL_testz00_2289)
{ /* Llib/error.scm 475 */
long BgL_auxz00_2297;
{ /* Llib/error.scm 475 */
long BgL_auxz00_2298;
BgL_auxz00_2298 = 
(long)CINT(BgL_markerz00_1887); 
BgL_auxz00_2297 = 
(BgL_auxz00_2298-((long)1)); } 
BgL_nzd2markerzd2_714 = 
BINT(BgL_auxz00_2297); }  else 
{ /* Llib/error.scm 474 */
BgL_nzd2markerzd2_714 = BgL_markerz00_1887; } } 
BGl_fixzd2tabulationz12zc0zz__errorz00(BgL_nzd2markerzd2_714, BgL_stringz00_1888, BgL_spacezd2stringzd2_713); 
BGl_printzd2cursorzd2zz__errorz00(BgL_fnamez00_1889, BgL_linez00_1890, BgL_charz00_1891, BgL_stringz00_1888, BgL_spacezd2stringzd2_713); 
{ /* Llib/error.scm 482 */
obj_t BgL_list1331z00_715;
BgL_list1331z00_715 = 
MAKE_PAIR(BgL_portz00_711, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3087z00zz__errorz00, BgL_list1331z00_715); } 
{ /* Llib/error.scm 483 */
obj_t BgL_list1334z00_716;
BgL_list1334z00_716 = 
MAKE_PAIR(BgL_portz00_711, BNIL); 
BGl_displayzd2circlezd2zz__pp_circlez00(BgL_procz00_707, BgL_list1334z00_716); } 
{ /* Llib/error.scm 484 */
obj_t BgL_list1337z00_717;
BgL_list1337z00_717 = 
MAKE_PAIR(BgL_portz00_711, BNIL); 
BGl_newlinez00zz__r4_output_6_10_3z00(BgL_list1337z00_717); } 
{ /* Llib/error.scm 485 */
obj_t BgL_list1340z00_718;
BgL_list1340z00_718 = 
MAKE_PAIR(BgL_portz00_711, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3088z00zz__errorz00, BgL_list1340z00_718); } 
{ /* Llib/error.scm 486 */
obj_t BgL_list1343z00_719;
BgL_list1343z00_719 = 
MAKE_PAIR(BgL_portz00_711, BNIL); 
BGl_displayzd2circlezd2zz__pp_circlez00(BgL_msgz00_708, BgL_list1343z00_719); } 
{ /* Llib/error.scm 487 */
obj_t BgL_list1346z00_720;
BgL_list1346z00_720 = 
MAKE_PAIR(BgL_portz00_711, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3074z00zz__errorz00, BgL_list1346z00_720); } 
{ /* Llib/error.scm 488 */
obj_t BgL_list1349z00_721;
BgL_list1349z00_721 = 
MAKE_PAIR(BgL_portz00_711, BNIL); 
BGl_displayzd2circlezd2zz__pp_circlez00(BgL_objz00_709, BgL_list1349z00_721); } 
{ /* Llib/error.scm 489 */
obj_t BgL_list1352z00_722;
BgL_list1352z00_722 = 
MAKE_PAIR(BgL_portz00_711, BNIL); 
BGl_newlinez00zz__r4_output_6_10_3z00(BgL_list1352z00_722); } 
BGl_notifyzd2dumpzd2tracezd2stackzd2zz__errorz00(); 
{ /* Llib/error.scm 492 */
obj_t BgL_arg1356z00_723;
BgL_arg1356z00_723 = 
GET_CURRENT_ERROR_PORT(); 
return 
FLUSH_OUTPUT_PORT(BgL_arg1356z00_723);} } } } } } 
}



/* warning/location-file */
obj_t BGl_warningzf2locationzd2filez20zz__errorz00(obj_t BgL_filezd2namezd2_58, obj_t BgL_locationz00_59, obj_t BgL_argsz00_60)
{ AN_OBJECT;
{ /* Llib/error.scm 497 */
{ /* Llib/error.scm 499 */
obj_t BgL_portz00_729;
BgL_portz00_729 = 
BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(BgL_filezd2namezd2_58, BNIL); 
if(
INPUT_PORTP(BgL_portz00_729))
{ 
obj_t BgL_linezd2stringzd2_731;long BgL_linezd2numzd2_732;obj_t BgL_oldzd2poszd2_733;
{ /* Llib/error.scm 505 */
obj_t BgL_arg1377z00_735;
{ /* Llib/error.scm 505 */
obj_t BgL_list1384z00_738;
BgL_list1384z00_738 = 
MAKE_PAIR(BgL_portz00_729, BNIL); 
BgL_arg1377z00_735 = 
BGl_readzd2linezd2zz__r4_input_6_10_2z00(BgL_list1384z00_738); } 
BgL_linezd2stringzd2_731 = BgL_arg1377z00_735; 
BgL_linezd2numzd2_732 = ((long)1); 
BgL_oldzd2poszd2_733 = 
BINT(((long)0)); 
BgL_loopz00_734:
{ /* Llib/error.scm 508 */
bool_t BgL_test1386z00_739;
BgL_test1386z00_739 = 
EOF_OBJECTP(BgL_linezd2stringzd2_731); 
if(BgL_test1386z00_739)
{ /* Llib/error.scm 508 */
close_input_port(BgL_portz00_729); 
return 
BGl_warningz00zz__errorz00(BgL_argsz00_60);}  else 
{ /* Llib/error.scm 513 */
bool_t BgL_test1389z00_741;
{ /* Llib/error.scm 513 */
int BgL_arg1405z00_747;
{ /* Llib/error.scm 513 */
int BgL_res2759z00_1367;
{ /* Llib/error.scm 513 */
long BgL_auxz00_2332;
BgL_auxz00_2332 = 
INPUT_PORT_FILEPOS(BgL_portz00_729); 
BgL_res2759z00_1367 = 
(int)(BgL_auxz00_2332); } 
BgL_arg1405z00_747 = BgL_res2759z00_1367; } 
{ /* Llib/error.scm 513 */
long BgL_auxz00_2337;long BgL_auxz00_2335;
BgL_auxz00_2337 = 
(long)CINT(BgL_locationz00_59); 
BgL_auxz00_2335 = 
(long)(BgL_arg1405z00_747); 
BgL_test1389z00_741 = 
(BgL_auxz00_2335>=BgL_auxz00_2337); } } 
if(BgL_test1389z00_741)
{ /* Llib/error.scm 513 */
close_input_port(BgL_portz00_729); 
{ /* Llib/error.scm 516 */
long BgL_auxz00_2342;
{ /* Llib/error.scm 520 */
long BgL_auxz00_2345;long BgL_auxz00_2343;
BgL_auxz00_2345 = 
(long)CINT(BgL_oldzd2poszd2_733); 
BgL_auxz00_2343 = 
(long)CINT(BgL_locationz00_59); 
BgL_auxz00_2342 = 
(BgL_auxz00_2343-BgL_auxz00_2345); } 
return 
BGl_dozd2warnzf2locationz20zz__errorz00(BgL_filezd2namezd2_58, BgL_linezd2numzd2_732, BgL_locationz00_59, BgL_linezd2stringzd2_731, BgL_auxz00_2342, BgL_argsz00_60);} }  else 
{ /* Llib/error.scm 522 */
int BgL_oldzd2poszd2_743;
{ /* Llib/error.scm 522 */
int BgL_res2760z00_1374;
{ /* Llib/error.scm 522 */
long BgL_auxz00_2349;
BgL_auxz00_2349 = 
INPUT_PORT_FILEPOS(BgL_portz00_729); 
BgL_res2760z00_1374 = 
(int)(BgL_auxz00_2349); } 
BgL_oldzd2poszd2_743 = BgL_res2760z00_1374; } 
{ /* Llib/error.scm 523 */
obj_t BgL_arg1396z00_744;long BgL_arg1397z00_745;
{ /* Llib/error.scm 523 */
obj_t BgL_list1400z00_746;
BgL_list1400z00_746 = 
MAKE_PAIR(BgL_portz00_729, BNIL); 
BgL_arg1396z00_744 = 
BGl_readzd2linezd2zz__r4_input_6_10_2z00(BgL_list1400z00_746); } 
BgL_arg1397z00_745 = 
(BgL_linezd2numzd2_732+((long)1)); 
{ 
obj_t BgL_oldzd2poszd2_2357;long BgL_linezd2numzd2_2356;obj_t BgL_linezd2stringzd2_2355;
BgL_linezd2stringzd2_2355 = BgL_arg1396z00_744; 
BgL_linezd2numzd2_2356 = BgL_arg1397z00_745; 
BgL_oldzd2poszd2_2357 = 
BINT(BgL_oldzd2poszd2_743); 
BgL_oldzd2poszd2_733 = BgL_oldzd2poszd2_2357; 
BgL_linezd2numzd2_732 = BgL_linezd2numzd2_2356; 
BgL_linezd2stringzd2_731 = BgL_linezd2stringzd2_2355; 
goto BgL_loopz00_734;} } } } } } }  else 
{ /* Llib/error.scm 500 */
return 
BGl_warningz00zz__errorz00(BgL_argsz00_60);} } } 
}



/* do-warn/location */
obj_t BGl_dozd2warnzf2locationz20zz__errorz00(obj_t BgL_fnamez00_61, long BgL_linez00_62, obj_t BgL_charz00_63, obj_t BgL_stringz00_64, long BgL_markerz00_65, obj_t BgL_argsz00_66)
{ AN_OBJECT;
{ /* Llib/error.scm 530 */
{ /* Llib/error.scm 531 */
obj_t BgL_arg1414z00_750;
BgL_arg1414z00_750 = 
GET_CURRENT_OUTPUT_PORT(); 
FLUSH_OUTPUT_PORT(BgL_arg1414z00_750); } 
{ /* Llib/error.scm 532 */
obj_t BgL_arg1418z00_751;
BgL_arg1418z00_751 = 
GET_CURRENT_ERROR_PORT(); 
{ /* Llib/error.scm 532 */
obj_t BgL_list1420z00_752;
BgL_list1420z00_752 = 
MAKE_PAIR(BgL_arg1418z00_751, BNIL); 
BGl_newlinez00zz__r4_output_6_10_3z00(BgL_list1420z00_752); } } 
{ /* Llib/error.scm 533 */
long BgL_oldzd2lengthzd2_753;obj_t BgL_spacezd2stringzd2_754;long BgL_nzd2markerzd2_755;
BgL_oldzd2lengthzd2_753 = 
BGl_getzd2writezd2lengthz00zz__r4_output_6_10_3z00(); 
if(
(BgL_markerz00_65>((long)0)))
{ /* Llib/error.scm 535 */
long BgL_arg1471z00_776;
BgL_arg1471z00_776 = 
(BgL_markerz00_65-((long)1)); 
{ /* Llib/error.scm 535 */
obj_t BgL_list1473z00_777;
{ /* Llib/error.scm 535 */
obj_t BgL_auxz00_2370;
BgL_auxz00_2370 = 
BCHAR(((unsigned char)' ')); 
BgL_list1473z00_777 = 
MAKE_PAIR(BgL_auxz00_2370, BNIL); } 
{ /* Llib/error.scm 535 */
unsigned char BgL_auxz00_2375;int BgL_auxz00_2373;
{ /* Llib/error.scm 535 */
obj_t BgL_auxz00_2376;
BgL_auxz00_2376 = 
CAR(BgL_list1473z00_777); 
BgL_auxz00_2375 = 
(unsigned char)CCHAR(BgL_auxz00_2376); } 
BgL_auxz00_2373 = 
(int)(BgL_arg1471z00_776); 
BgL_spacezd2stringzd2_754 = 
make_string(BgL_auxz00_2373, BgL_auxz00_2375); } } }  else 
{ /* Llib/error.scm 534 */
BgL_spacezd2stringzd2_754 = BGl_string3086z00zz__errorz00; } 
{ /* Llib/error.scm 537 */
bool_t BgL_testz00_2380;
{ /* Llib/error.scm 537 */
long BgL_auxz00_2381;
{ /* Llib/error.scm 537 */
int BgL_auxz00_2382;
BgL_auxz00_2382 = 
STRING_LENGTH(BgL_stringz00_64); 
BgL_auxz00_2381 = 
(long)(BgL_auxz00_2382); } 
BgL_testz00_2380 = 
(BgL_markerz00_65>=BgL_auxz00_2381); } 
if(BgL_testz00_2380)
{ /* Llib/error.scm 537 */
BgL_nzd2markerzd2_755 = 
(BgL_markerz00_65-((long)1)); }  else 
{ /* Llib/error.scm 537 */
BgL_nzd2markerzd2_755 = BgL_markerz00_65; } } 
BGl_fixzd2tabulationz12zc0zz__errorz00(
BINT(BgL_nzd2markerzd2_755), BgL_stringz00_64, BgL_spacezd2stringzd2_754); 
BGl_printzd2cursorzd2zz__errorz00(BgL_fnamez00_61, 
BINT(BgL_linez00_62), BgL_charz00_63, BgL_stringz00_64, BgL_spacezd2stringzd2_754); 
{ /* Llib/error.scm 545 */
obj_t BgL_arg1427z00_757;
BgL_arg1427z00_757 = 
GET_CURRENT_ERROR_PORT(); 
{ /* Llib/error.scm 545 */
obj_t BgL_list1429z00_758;
BgL_list1429z00_758 = 
MAKE_PAIR(BgL_arg1427z00_757, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3089z00zz__errorz00, BgL_list1429z00_758); } } 
if(
NULLP(BgL_argsz00_66))
{ /* Llib/error.scm 546 */BFALSE; }  else 
{ /* Llib/error.scm 547 */
obj_t BgL_portz00_760;
BgL_portz00_760 = 
GET_CURRENT_ERROR_PORT(); 
{ /* Llib/error.scm 548 */
obj_t BgL_arg1434z00_761;
BgL_arg1434z00_761 = 
CAR(BgL_argsz00_66); 
{ /* Llib/error.scm 548 */
obj_t BgL_list1436z00_762;
BgL_list1436z00_762 = 
MAKE_PAIR(BgL_portz00_760, BNIL); 
BGl_displayzd2circlezd2zz__pp_circlez00(BgL_arg1434z00_761, BgL_list1436z00_762); } } 
{ /* Llib/error.scm 549 */
obj_t BgL_list1440z00_763;
BgL_list1440z00_763 = 
MAKE_PAIR(BgL_portz00_760, BNIL); 
BGl_newlinez00zz__r4_output_6_10_3z00(BgL_list1440z00_763); } 
{ /* Llib/error.scm 550 */
obj_t BgL_list1446z00_766;
{ /* Llib/error.scm 550 */
obj_t BgL_auxz00_2402;
BgL_auxz00_2402 = 
CDR(BgL_argsz00_66); 
BgL_list1446z00_766 = 
MAKE_PAIR(BgL_auxz00_2402, BNIL); } 
BGl_forzd2eachzd2zz__r4_control_features_6_9z00(BGl_proc3090z00zz__errorz00, BgL_list1446z00_766); } } 
{ /* Llib/error.scm 553 */
obj_t BgL_arg1459z00_772;
BgL_arg1459z00_772 = 
GET_CURRENT_ERROR_PORT(); 
{ /* Llib/error.scm 553 */
obj_t BgL_list1461z00_773;
BgL_list1461z00_773 = 
MAKE_PAIR(BgL_arg1459z00_772, BNIL); 
BGl_newlinez00zz__r4_output_6_10_3z00(BgL_list1461z00_773); } } 
{ /* Llib/error.scm 554 */
obj_t BgL_arg1465z00_774;
BgL_arg1465z00_774 = 
GET_CURRENT_ERROR_PORT(); 
return 
FLUSH_OUTPUT_PORT(BgL_arg1465z00_774);} } } 
}



/* <anonymous:1448> */
obj_t BGl_zc3anonymousza31448ze3z83zz__errorz00(obj_t BgL_envz00_1896, obj_t BgL_az00_1897)
{ AN_OBJECT;
{ /* Llib/error.scm 550 */
{ 
obj_t BgL_az00_767;
BgL_az00_767 = BgL_az00_1897; 
{ /* Llib/error.scm 551 */
obj_t BgL_arg1450z00_1397;
BgL_arg1450z00_1397 = 
GET_CURRENT_ERROR_PORT(); 
{ /* Llib/error.scm 551 */
obj_t BgL_list1452z00_1398;
BgL_list1452z00_1398 = 
MAKE_PAIR(BgL_arg1450z00_1397, BNIL); 
return 
BGl_displayzd2circlezd2zz__pp_circlez00(BgL_az00_767, BgL_list1452z00_1398);} } } } 
}



/* fix-tabulation! */
obj_t BGl_fixzd2tabulationz12zc0zz__errorz00(obj_t BgL_markerz00_67, obj_t BgL_srcz00_68, obj_t BgL_dstz00_69)
{ AN_OBJECT;
{ /* Llib/error.scm 559 */
{ 
long BgL_readz00_780;
{ /* Llib/error.scm 560 */
long BgL_auxz00_2440;
BgL_auxz00_2440 = 
(long)CINT(BgL_markerz00_67); 
BgL_readz00_780 = 
(BgL_auxz00_2440-((long)1)); } 
BgL_loopz00_781:
if(
(BgL_readz00_780==((long)-1)))
{ /* Llib/error.scm 562 */
return BGl_symbol3091z00zz__errorz00;}  else 
{ /* Llib/error.scm 564 */
bool_t BgL_test1488z00_784;
{ /* Llib/error.scm 564 */
unsigned char BgL_arg1499z00_787;
{ /* Llib/error.scm 564 */
unsigned char BgL_res2762z00_1412;
{ /* Llib/error.scm 564 */
int BgL_kz00_1405;
BgL_kz00_1405 = 
(int)(BgL_readz00_780); 
{ /* Llib/error.scm 564 */
bool_t BgL_testz00_2417;
{ /* Llib/error.scm 564 */
int BgL_auxz00_2418;
BgL_auxz00_2418 = 
STRING_LENGTH(BgL_srcz00_68); 
BgL_testz00_2417 = 
BOUND_CHECK(BgL_kz00_1405, BgL_auxz00_2418); } 
if(BgL_testz00_2417)
{ /* Llib/error.scm 564 */
BgL_res2762z00_1412 = 
STRING_REF(BgL_srcz00_68, BgL_kz00_1405); }  else 
{ 
obj_t BgL_auxz00_2422;
BgL_auxz00_2422 = 
BINT(BgL_kz00_1405); 
FAILURE(BGl_string3092z00zz__errorz00,BGl_string3093z00zz__errorz00,BgL_auxz00_2422);} } } 
BgL_arg1499z00_787 = BgL_res2762z00_1412; } 
BgL_test1488z00_784 = 
(BgL_arg1499z00_787==((unsigned char)'\t')); } 
if(BgL_test1488z00_784)
{ /* Llib/error.scm 564 */
{ /* Llib/error.scm 565 */
int BgL_kz00_1416;
BgL_kz00_1416 = 
(int)(BgL_readz00_780); 
{ /* Llib/error.scm 565 */
bool_t BgL_testz00_2428;
{ /* Llib/error.scm 565 */
int BgL_auxz00_2429;
BgL_auxz00_2429 = 
STRING_LENGTH(BgL_dstz00_69); 
BgL_testz00_2428 = 
BOUND_CHECK(BgL_kz00_1416, BgL_auxz00_2429); } 
if(BgL_testz00_2428)
{ /* Llib/error.scm 565 */
STRING_SET(BgL_dstz00_69, BgL_kz00_1416, ((unsigned char)'\t')); }  else 
{ 
obj_t BgL_auxz00_2433;
BgL_auxz00_2433 = 
BINT(BgL_kz00_1416); 
FAILURE(BGl_string3094z00zz__errorz00,BGl_string3093z00zz__errorz00,BgL_auxz00_2433);} } } 
{ 
long BgL_readz00_2436;
BgL_readz00_2436 = 
(BgL_readz00_780-((long)1)); 
BgL_readz00_780 = BgL_readz00_2436; 
goto BgL_loopz00_781;} }  else 
{ /* Llib/error.scm 564 */
{ 
long BgL_readz00_2438;
BgL_readz00_2438 = 
(BgL_readz00_780-((long)1)); 
BgL_readz00_780 = BgL_readz00_2438; 
goto BgL_loopz00_781;} } } } } 
}



/* print-cursor */
obj_t BGl_printzd2cursorzd2zz__errorz00(obj_t BgL_fnamez00_70, obj_t BgL_linez00_71, obj_t BgL_charz00_72, obj_t BgL_stringz00_73, obj_t BgL_spacezd2stringzd2_74)
{ AN_OBJECT;
{ /* Llib/error.scm 573 */
{ /* Llib/error.scm 574 */
obj_t BgL_arg1504z00_788;obj_t BgL_arg1506z00_790;
BgL_arg1504z00_788 = 
GET_CURRENT_ERROR_PORT(); 
BgL_arg1506z00_790 = 
BGl_nicezd2fnamezd2zz__errorz00(BgL_fnamez00_70); 
{ /* Llib/error.scm 574 */
obj_t BgL_list1514z00_797;
{ /* Llib/error.scm 574 */
obj_t BgL_arg1516z00_798;
{ /* Llib/error.scm 574 */
obj_t BgL_arg1519z00_799;
{ /* Llib/error.scm 574 */
obj_t BgL_arg1522z00_800;
{ /* Llib/error.scm 574 */
obj_t BgL_arg1525z00_801;
{ /* Llib/error.scm 574 */
obj_t BgL_arg1528z00_802;
{ /* Llib/error.scm 574 */
obj_t BgL_arg1532z00_803;
{ /* Llib/error.scm 574 */
obj_t BgL_arg1536z00_804;
{ /* Llib/error.scm 574 */
obj_t BgL_arg1539z00_805;
{ /* Llib/error.scm 574 */
obj_t BgL_arg1542z00_806;
{ /* Llib/error.scm 574 */
obj_t BgL_arg1545z00_807;
{ /* Llib/error.scm 574 */
obj_t BgL_arg1548z00_808;
{ /* Llib/error.scm 574 */
obj_t BgL_arg1552z00_809;
{ /* Llib/error.scm 574 */
obj_t BgL_arg1555z00_810;
BgL_arg1555z00_810 = 
MAKE_PAIR(BGl_string3095z00zz__errorz00, BNIL); 
BgL_arg1552z00_809 = 
MAKE_PAIR(BgL_spacezd2stringzd2_74, BgL_arg1555z00_810); } 
BgL_arg1548z00_808 = 
MAKE_PAIR(BGl_string3096z00zz__errorz00, BgL_arg1552z00_809); } 
{ /* Llib/error.scm 574 */
obj_t BgL_auxz00_2448;
BgL_auxz00_2448 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg1545z00_807 = 
MAKE_PAIR(BgL_auxz00_2448, BgL_arg1548z00_808); } } 
BgL_arg1542z00_806 = 
MAKE_PAIR(BgL_stringz00_73, BgL_arg1545z00_807); } 
BgL_arg1539z00_805 = 
MAKE_PAIR(BGl_string3096z00zz__errorz00, BgL_arg1542z00_806); } 
{ /* Llib/error.scm 574 */
obj_t BgL_auxz00_2453;
BgL_auxz00_2453 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg1536z00_804 = 
MAKE_PAIR(BgL_auxz00_2453, BgL_arg1539z00_805); } } 
BgL_arg1532z00_803 = 
MAKE_PAIR(BGl_string3097z00zz__errorz00, BgL_arg1536z00_804); } 
BgL_arg1528z00_802 = 
MAKE_PAIR(BgL_charz00_72, BgL_arg1532z00_803); } 
BgL_arg1525z00_801 = 
MAKE_PAIR(BGl_string3098z00zz__errorz00, BgL_arg1528z00_802); } 
BgL_arg1522z00_800 = 
MAKE_PAIR(BgL_linez00_71, BgL_arg1525z00_801); } 
BgL_arg1519z00_799 = 
MAKE_PAIR(BGl_string3099z00zz__errorz00, BgL_arg1522z00_800); } 
BgL_arg1516z00_798 = 
MAKE_PAIR(BgL_arg1506z00_790, BgL_arg1519z00_799); } 
BgL_list1514z00_797 = 
MAKE_PAIR(BGl_string3100z00zz__errorz00, BgL_arg1516z00_798); } 
return 
BGl_fprintz00zz__r4_output_6_10_3z00(BgL_arg1504z00_788, BgL_list1514z00_797);} } } 
}



/* nice-fname */
obj_t BGl_nicezd2fnamezd2zz__errorz00(obj_t BgL_fnamez00_75)
{ AN_OBJECT;
{ /* Llib/error.scm 588 */
{ /* Llib/error.scm 589 */
obj_t BgL_pwdz00_811;obj_t BgL_dnamez00_812;
{ /* Llib/error.scm 589 */
obj_t BgL_vpwdz00_882;
{ /* Llib/error.scm 589 */
bool_t BgL_test2750z00_1429;
BgL_test2750z00_1429 = 
(long)getenv("PWD"); 
if(BgL_test2750z00_1429)
{ /* Llib/error.scm 589 */
char * BgL_auxz00_2466;
BgL_auxz00_2466 = 
(char *)getenv("PWD"); 
BgL_vpwdz00_882 = 
string_to_bstring(BgL_auxz00_2466); }  else 
{ /* Llib/error.scm 589 */
BgL_vpwdz00_882 = BFALSE; } } 
if(
STRINGP(BgL_vpwdz00_882))
{ /* Llib/error.scm 590 */
BgL_pwdz00_811 = BgL_vpwdz00_882; }  else 
{ /* Llib/error.scm 590 */
BgL_pwdz00_811 = 
BGl_pwdz00zz__osz00(); } } 
BgL_dnamez00_812 = 
BGl_dirnamez00zz__osz00(BgL_fnamez00_75); 
{ /* Llib/error.scm 594 */
bool_t BgL_test1560z00_813;
if(
STRINGP(BgL_pwdz00_811))
{ /* Llib/error.scm 594 */
if(
bigloo_strcmp(BgL_dnamez00_812, BGl_string3101z00zz__errorz00))
{ /* Llib/error.scm 596 */
BgL_test1560z00_813 = ((bool_t)1); }  else 
{ /* Llib/error.scm 596 */
bool_t BgL_test1690z00_880;
{ /* Llib/error.scm 596 */
unsigned char BgL_arg1692z00_881;
{ /* Llib/error.scm 596 */
unsigned char BgL_res2763z00_1442;
{ /* Llib/error.scm 596 */
int BgL_kz00_1435;
BgL_kz00_1435 = 
(int)(((long)0)); 
{ /* Llib/error.scm 596 */
bool_t BgL_testz00_2478;
{ /* Llib/error.scm 596 */
int BgL_auxz00_2479;
BgL_auxz00_2479 = 
STRING_LENGTH(BgL_fnamez00_75); 
BgL_testz00_2478 = 
BOUND_CHECK(BgL_kz00_1435, BgL_auxz00_2479); } 
if(BgL_testz00_2478)
{ /* Llib/error.scm 596 */
BgL_res2763z00_1442 = 
STRING_REF(BgL_fnamez00_75, BgL_kz00_1435); }  else 
{ 
obj_t BgL_auxz00_2483;
BgL_auxz00_2483 = 
BINT(BgL_kz00_1435); 
FAILURE(BGl_string3092z00zz__errorz00,BGl_string3093z00zz__errorz00,BgL_auxz00_2483);} } } 
BgL_arg1692z00_881 = BgL_res2763z00_1442; } 
BgL_test1690z00_880 = 
(BgL_arg1692z00_881==((unsigned char)'/')); } 
if(BgL_test1690z00_880)
{ /* Llib/error.scm 596 */
BgL_test1560z00_813 = ((bool_t)0); }  else 
{ /* Llib/error.scm 596 */
BgL_test1560z00_813 = ((bool_t)1); } } }  else 
{ /* Llib/error.scm 594 */
BgL_test1560z00_813 = ((bool_t)1); } 
if(BgL_test1560z00_813)
{ /* Llib/error.scm 594 */
return BgL_fnamez00_75;}  else 
{ /* Llib/error.scm 599 */
obj_t BgL_originalzd2cmpzd2pathz00_814;
BgL_originalzd2cmpzd2pathz00_814 = 
BGl_pathzd2ze3listz31zz__errorz00(BgL_dnamez00_812); 
{ 
obj_t BgL_cmpzd2pathzd2_815;obj_t BgL_curzd2pathzd2_816;
BgL_cmpzd2pathzd2_815 = BgL_originalzd2cmpzd2pathz00_814; 
BgL_curzd2pathzd2_816 = 
BGl_pathzd2ze3listz31zz__errorz00(BgL_pwdz00_811); 
BgL_loopz00_817:
if(
NULLP(BgL_cmpzd2pathzd2_815))
{ /* Llib/error.scm 603 */
if(
NULLP(BgL_curzd2pathzd2_816))
{ /* Llib/error.scm 604 */
return 
BGl_basenamez00zz__osz00(BgL_fnamez00_75);}  else 
{ /* Llib/error.scm 607 */
long BgL_arg1569z00_824;obj_t BgL_arg1570z00_825;
BgL_arg1569z00_824 = 
bgl_list_length(BgL_curzd2pathzd2_816); 
BgL_arg1570z00_825 = 
BGl_basenamez00zz__osz00(BgL_fnamez00_75); 
{ 
long BgL_lenz00_1448;obj_t BgL_resz00_1449;
BgL_lenz00_1448 = BgL_arg1569z00_824; 
BgL_resz00_1449 = BgL_arg1570z00_825; 
BgL_loopz00_1447:
if(
(BgL_lenz00_1448==((long)0)))
{ /* Llib/error.scm 607 */
return BgL_resz00_1449;}  else 
{ /* Llib/error.scm 607 */
long BgL_arg1576z00_1457;obj_t BgL_arg1577z00_1458;
BgL_arg1576z00_1457 = 
(BgL_lenz00_1448-((long)1)); 
{ /* Llib/error.scm 607 */
obj_t BgL_list1581z00_1459;
{ /* Llib/error.scm 607 */
obj_t BgL_arg1584z00_1461;
BgL_arg1584z00_1461 = 
MAKE_PAIR(BgL_resz00_1449, BNIL); 
BgL_list1581z00_1459 = 
MAKE_PAIR(BGl_string3102z00zz__errorz00, BgL_arg1584z00_1461); } 
BgL_arg1577z00_1458 = 
BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list1581z00_1459); } 
{ 
obj_t BgL_resz00_2504;long BgL_lenz00_2503;
BgL_lenz00_2503 = BgL_arg1576z00_1457; 
BgL_resz00_2504 = BgL_arg1577z00_1458; 
BgL_resz00_1449 = BgL_resz00_2504; 
BgL_lenz00_1448 = BgL_lenz00_2503; 
goto BgL_loopz00_1447;} } } } }  else 
{ /* Llib/error.scm 603 */
if(
NULLP(BgL_curzd2pathzd2_816))
{ /* Llib/error.scm 612 */
{ 
obj_t BgL_pathz00_833;obj_t BgL_resz00_834;
BgL_pathz00_833 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_cmpzd2pathzd2_815); 
BgL_resz00_834 = 
BGl_basenamez00zz__osz00(BgL_fnamez00_75); 
BgL_loopz00_835:
if(
NULLP(BgL_pathz00_833))
{ /* Llib/error.scm 615 */
return BgL_resz00_834;}  else 
{ /* Llib/error.scm 617 */
obj_t BgL_arg1598z00_839;obj_t BgL_arg1599z00_840;
BgL_arg1598z00_839 = 
CDR(BgL_pathz00_833); 
{ /* Llib/error.scm 618 */
obj_t BgL_arg1603z00_841;
BgL_arg1603z00_841 = 
CAR(BgL_pathz00_833); 
{ /* Llib/error.scm 618 */
obj_t BgL_list1607z00_843;
{ /* Llib/error.scm 618 */
obj_t BgL_arg1609z00_844;
{ /* Llib/error.scm 618 */
obj_t BgL_arg1612z00_845;
BgL_arg1612z00_845 = 
MAKE_PAIR(BgL_resz00_834, BNIL); 
BgL_arg1609z00_844 = 
MAKE_PAIR(BGl_string3103z00zz__errorz00, BgL_arg1612z00_845); } 
BgL_list1607z00_843 = 
MAKE_PAIR(BgL_arg1603z00_841, BgL_arg1609z00_844); } 
BgL_arg1599z00_840 = 
BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list1607z00_843); } } 
{ 
obj_t BgL_resz00_2516;obj_t BgL_pathz00_2515;
BgL_pathz00_2515 = BgL_arg1598z00_839; 
BgL_resz00_2516 = BgL_arg1599z00_840; 
BgL_resz00_834 = BgL_resz00_2516; 
BgL_pathz00_833 = BgL_pathz00_2515; 
goto BgL_loopz00_835;} } } }  else 
{ /* Llib/error.scm 619 */
bool_t BgL_testz00_2519;
{ /* Llib/error.scm 619 */
obj_t BgL_auxz00_2522;obj_t BgL_auxz00_2520;
BgL_auxz00_2522 = 
CAR(BgL_cmpzd2pathzd2_815); 
BgL_auxz00_2520 = 
CAR(BgL_curzd2pathzd2_816); 
BgL_testz00_2519 = 
bigloo_strcmp(BgL_auxz00_2520, BgL_auxz00_2522); } 
if(BgL_testz00_2519)
{ /* Llib/error.scm 619 */
{ 
obj_t BgL_curzd2pathzd2_2527;obj_t BgL_cmpzd2pathzd2_2525;
BgL_cmpzd2pathzd2_2525 = 
CDR(BgL_cmpzd2pathzd2_815); 
BgL_curzd2pathzd2_2527 = 
CDR(BgL_curzd2pathzd2_816); 
BgL_curzd2pathzd2_816 = BgL_curzd2pathzd2_2527; 
BgL_cmpzd2pathzd2_815 = BgL_cmpzd2pathzd2_2525; 
goto BgL_loopz00_817;} }  else 
{ /* Llib/error.scm 619 */
{ 
obj_t BgL_pathz00_849;obj_t BgL_resz00_850;
BgL_pathz00_849 = 
bgl_reverse(BgL_cmpzd2pathzd2_815); 
BgL_resz00_850 = 
BGl_basenamez00zz__osz00(BgL_fnamez00_75); 
BgL_loopz00_851:
if(
NULLP(BgL_pathz00_849))
{ /* Llib/error.scm 624 */
if(
(BgL_cmpzd2pathzd2_815==BgL_originalzd2cmpzd2pathz00_814))
{ /* Llib/error.scm 626 */
obj_t BgL_list1633z00_856;
{ /* Llib/error.scm 626 */
obj_t BgL_arg1638z00_858;
BgL_arg1638z00_858 = 
MAKE_PAIR(BgL_resz00_850, BNIL); 
BgL_list1633z00_856 = 
MAKE_PAIR(BGl_string3103z00zz__errorz00, BgL_arg1638z00_858); } 
return 
BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list1633z00_856);}  else 
{ 
long BgL_lenz00_1502;obj_t BgL_resz00_1503;
BgL_lenz00_1502 = 
bgl_list_length(BgL_curzd2pathzd2_816); 
BgL_resz00_1503 = BgL_resz00_850; 
BgL_loopz00_1501:
if(
(BgL_lenz00_1502==((long)0)))
{ /* Llib/error.scm 627 */
return BgL_resz00_1503;}  else 
{ /* Llib/error.scm 627 */
long BgL_arg1647z00_1511;obj_t BgL_arg1648z00_1512;
BgL_arg1647z00_1511 = 
(BgL_lenz00_1502-((long)1)); 
{ /* Llib/error.scm 627 */
obj_t BgL_list1652z00_1513;
{ /* Llib/error.scm 627 */
obj_t BgL_arg1655z00_1515;
BgL_arg1655z00_1515 = 
MAKE_PAIR(BgL_resz00_1503, BNIL); 
BgL_list1652z00_1513 = 
MAKE_PAIR(BGl_string3102z00zz__errorz00, BgL_arg1655z00_1515); } 
BgL_arg1648z00_1512 = 
BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list1652z00_1513); } 
{ 
obj_t BgL_resz00_2543;long BgL_lenz00_2542;
BgL_lenz00_2542 = BgL_arg1647z00_1511; 
BgL_resz00_2543 = BgL_arg1648z00_1512; 
BgL_resz00_1503 = BgL_resz00_2543; 
BgL_lenz00_1502 = BgL_lenz00_2542; 
goto BgL_loopz00_1501;} } } }  else 
{ /* Llib/error.scm 633 */
obj_t BgL_arg1661z00_869;obj_t BgL_arg1662z00_870;
BgL_arg1661z00_869 = 
CDR(BgL_pathz00_849); 
{ /* Llib/error.scm 634 */
obj_t BgL_arg1666z00_871;
BgL_arg1666z00_871 = 
CAR(BgL_pathz00_849); 
{ /* Llib/error.scm 634 */
obj_t BgL_list1669z00_873;
{ /* Llib/error.scm 634 */
obj_t BgL_arg1671z00_874;
{ /* Llib/error.scm 634 */
obj_t BgL_arg1674z00_875;
BgL_arg1674z00_875 = 
MAKE_PAIR(BgL_resz00_850, BNIL); 
BgL_arg1671z00_874 = 
MAKE_PAIR(BGl_string3103z00zz__errorz00, BgL_arg1674z00_875); } 
BgL_list1669z00_873 = 
MAKE_PAIR(BgL_arg1666z00_871, BgL_arg1671z00_874); } 
BgL_arg1662z00_870 = 
BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list1669z00_873); } } 
{ 
obj_t BgL_resz00_2552;obj_t BgL_pathz00_2551;
BgL_pathz00_2551 = BgL_arg1661z00_869; 
BgL_resz00_2552 = BgL_arg1662z00_870; 
BgL_resz00_850 = BgL_resz00_2552; 
BgL_pathz00_849 = BgL_pathz00_2551; 
goto BgL_loopz00_851;} } } } } } } } } } } 
}



/* path->list */
obj_t BGl_pathzd2ze3listz31zz__errorz00(obj_t BgL_pathz00_76)
{ AN_OBJECT;
{ /* Llib/error.scm 639 */
{ /* Llib/error.scm 640 */
obj_t BgL_lenz00_884;long BgL_initz00_885;
{ /* Llib/error.scm 640 */
int BgL_lenz00_901;
BgL_lenz00_901 = 
STRING_LENGTH(BgL_pathz00_76); 
{ /* Llib/error.scm 641 */
bool_t BgL_test1736z00_902;
{ /* Llib/error.scm 641 */
unsigned char BgL_arg1739z00_903;
{ /* Llib/error.scm 641 */
unsigned char BgL_res2764z00_1555;
{ /* Llib/error.scm 641 */
int BgL_kz00_1548;
{ /* Llib/error.scm 641 */
long BgL_auxz00_2557;
{ /* Llib/error.scm 641 */
long BgL_auxz00_2558;
BgL_auxz00_2558 = 
(long)(BgL_lenz00_901); 
BgL_auxz00_2557 = 
(BgL_auxz00_2558-((long)1)); } 
BgL_kz00_1548 = 
(int)(BgL_auxz00_2557); } 
if(
BOUND_CHECK(BgL_kz00_1548, BgL_lenz00_901))
{ /* Llib/error.scm 641 */
BgL_res2764z00_1555 = 
STRING_REF(BgL_pathz00_76, BgL_kz00_1548); }  else 
{ 
obj_t BgL_auxz00_2565;
BgL_auxz00_2565 = 
BINT(BgL_kz00_1548); 
FAILURE(BGl_string3092z00zz__errorz00,BGl_string3093z00zz__errorz00,BgL_auxz00_2565);} } 
BgL_arg1739z00_903 = BgL_res2764z00_1555; } 
BgL_test1736z00_902 = 
(BgL_arg1739z00_903==((unsigned char)'/')); } 
if(BgL_test1736z00_902)
{ /* Llib/error.scm 642 */
long BgL_auxz00_2570;
{ /* Llib/error.scm 642 */
long BgL_auxz00_2571;
BgL_auxz00_2571 = 
(long)(BgL_lenz00_901); 
BgL_auxz00_2570 = 
(BgL_auxz00_2571-((long)1)); } 
BgL_lenz00_884 = 
BINT(BgL_auxz00_2570); }  else 
{ /* Llib/error.scm 641 */
BgL_lenz00_884 = 
BINT(BgL_lenz00_901); } } } 
{ /* Llib/error.scm 644 */
bool_t BgL_test1747z00_905;
{ /* Llib/error.scm 644 */
unsigned char BgL_arg1749z00_906;
{ /* Llib/error.scm 644 */
unsigned char BgL_res2765z00_1568;
{ /* Llib/error.scm 644 */
int BgL_kz00_1561;
BgL_kz00_1561 = 
(int)(((long)0)); 
{ /* Llib/error.scm 644 */
bool_t BgL_testz00_2577;
{ /* Llib/error.scm 644 */
int BgL_auxz00_2578;
BgL_auxz00_2578 = 
STRING_LENGTH(BgL_pathz00_76); 
BgL_testz00_2577 = 
BOUND_CHECK(BgL_kz00_1561, BgL_auxz00_2578); } 
if(BgL_testz00_2577)
{ /* Llib/error.scm 644 */
BgL_res2765z00_1568 = 
STRING_REF(BgL_pathz00_76, BgL_kz00_1561); }  else 
{ 
obj_t BgL_auxz00_2582;
BgL_auxz00_2582 = 
BINT(BgL_kz00_1561); 
FAILURE(BGl_string3092z00zz__errorz00,BGl_string3093z00zz__errorz00,BgL_auxz00_2582);} } } 
BgL_arg1749z00_906 = BgL_res2765z00_1568; } 
BgL_test1747z00_905 = 
(BgL_arg1749z00_906==((unsigned char)'/')); } 
if(BgL_test1747z00_905)
{ /* Llib/error.scm 644 */
BgL_initz00_885 = ((long)1); }  else 
{ /* Llib/error.scm 644 */
BgL_initz00_885 = ((long)0); } } 
if(
bigloo_strcmp(BgL_pathz00_76, BGl_string3103z00zz__errorz00))
{ /* Llib/error.scm 645 */
return BNIL;}  else 
{ 
long BgL_readz00_887;long BgL_prevz00_888;obj_t BgL_listz00_889;
BgL_readz00_887 = BgL_initz00_885; 
BgL_prevz00_888 = BgL_initz00_885; 
BgL_listz00_889 = BNIL; 
BgL_loopz00_890:
{ /* Llib/error.scm 651 */
bool_t BgL_testz00_2589;
{ /* Llib/error.scm 651 */
long BgL_auxz00_2590;
BgL_auxz00_2590 = 
(long)CINT(BgL_lenz00_884); 
BgL_testz00_2589 = 
(BgL_readz00_887==BgL_auxz00_2590); } 
if(BgL_testz00_2589)
{ /* Llib/error.scm 651 */
{ /* Llib/error.scm 652 */
obj_t BgL_arg1706z00_892;
{ /* Llib/error.scm 652 */
obj_t BgL_arg1709z00_893;
{ /* Llib/error.scm 652 */
obj_t BgL_res2766z00_1603;
{ /* Llib/error.scm 652 */
int BgL_startz00_1576;int BgL_endz00_1577;
BgL_startz00_1576 = 
(int)(BgL_prevz00_888); 
BgL_endz00_1577 = 
(int)(BgL_readz00_887); 
{ /* Llib/error.scm 652 */
bool_t BgL_testz00_2595;
{ /* Llib/error.scm 652 */
bool_t BgL_testz00_2596;
{ /* Llib/error.scm 652 */
long BgL_auxz00_2599;long BgL_auxz00_2597;
BgL_auxz00_2599 = 
(long)(BgL_startz00_1576); 
BgL_auxz00_2597 = 
(long)(BgL_endz00_1577); 
BgL_testz00_2596 = 
(BgL_auxz00_2597>=BgL_auxz00_2599); } 
if(BgL_testz00_2596)
{ /* Llib/error.scm 652 */
bool_t BgL_testz00_2602;
{ /* Llib/error.scm 652 */
int BgL_auxz00_2603;
{ /* Llib/error.scm 652 */
long BgL_auxz00_2604;
{ /* Llib/error.scm 652 */
long BgL_auxz00_2605;
{ /* Llib/error.scm 652 */
int BgL_auxz00_2606;
BgL_auxz00_2606 = 
STRING_LENGTH(BgL_pathz00_76); 
BgL_auxz00_2605 = 
(long)(BgL_auxz00_2606); } 
BgL_auxz00_2604 = 
(BgL_auxz00_2605+((long)1)); } 
BgL_auxz00_2603 = 
(int)(BgL_auxz00_2604); } 
BgL_testz00_2602 = 
BOUND_CHECK(BgL_startz00_1576, BgL_auxz00_2603); } 
if(BgL_testz00_2602)
{ /* Llib/error.scm 652 */
int BgL_auxz00_2612;
{ /* Llib/error.scm 652 */
long BgL_auxz00_2613;
{ /* Llib/error.scm 652 */
long BgL_auxz00_2614;
{ /* Llib/error.scm 652 */
int BgL_auxz00_2615;
BgL_auxz00_2615 = 
STRING_LENGTH(BgL_pathz00_76); 
BgL_auxz00_2614 = 
(long)(BgL_auxz00_2615); } 
BgL_auxz00_2613 = 
(BgL_auxz00_2614+((long)1)); } 
BgL_auxz00_2612 = 
(int)(BgL_auxz00_2613); } 
BgL_testz00_2595 = 
BOUND_CHECK(BgL_endz00_1577, BgL_auxz00_2612); }  else 
{ /* Llib/error.scm 652 */
BgL_testz00_2595 = ((bool_t)0)
; } }  else 
{ /* Llib/error.scm 652 */
BgL_testz00_2595 = ((bool_t)0)
; } } 
if(BgL_testz00_2595)
{ /* Llib/error.scm 652 */
BgL_res2766z00_1603 = 
c_substring(BgL_pathz00_76, BgL_startz00_1576, BgL_endz00_1577); }  else 
{ /* Llib/error.scm 652 */
obj_t BgL_arg1962z00_1589;
{ /* Llib/error.scm 652 */
obj_t BgL_auxz00_2624;obj_t BgL_auxz00_2622;
BgL_auxz00_2624 = 
BINT(BgL_endz00_1577); 
BgL_auxz00_2622 = 
BINT(BgL_startz00_1576); 
BgL_arg1962z00_1589 = 
MAKE_PAIR(BgL_auxz00_2622, BgL_auxz00_2624); } 
FAILURE(BGl_string3104z00zz__errorz00,BGl_string3105z00zz__errorz00,BgL_arg1962z00_1589);} } } 
BgL_arg1709z00_893 = BgL_res2766z00_1603; } 
BgL_arg1706z00_892 = 
MAKE_PAIR(BgL_arg1709z00_893, BgL_listz00_889); } 
return 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_arg1706z00_892);} }  else 
{ /* Llib/error.scm 653 */
bool_t BgL_test1712z00_894;
{ /* Llib/error.scm 653 */
unsigned char BgL_arg1731z00_900;
{ /* Llib/error.scm 653 */
unsigned char BgL_res2767z00_1614;
{ /* Llib/error.scm 653 */
int BgL_kz00_1607;
BgL_kz00_1607 = 
(int)(BgL_readz00_887); 
{ /* Llib/error.scm 653 */
bool_t BgL_testz00_2631;
{ /* Llib/error.scm 653 */
int BgL_auxz00_2632;
BgL_auxz00_2632 = 
STRING_LENGTH(BgL_pathz00_76); 
BgL_testz00_2631 = 
BOUND_CHECK(BgL_kz00_1607, BgL_auxz00_2632); } 
if(BgL_testz00_2631)
{ /* Llib/error.scm 653 */
BgL_res2767z00_1614 = 
STRING_REF(BgL_pathz00_76, BgL_kz00_1607); }  else 
{ 
obj_t BgL_auxz00_2636;
BgL_auxz00_2636 = 
BINT(BgL_kz00_1607); 
FAILURE(BGl_string3092z00zz__errorz00,BGl_string3093z00zz__errorz00,BgL_auxz00_2636);} } } 
BgL_arg1731z00_900 = BgL_res2767z00_1614; } 
BgL_test1712z00_894 = 
(BgL_arg1731z00_900==((unsigned char)'/')); } 
if(BgL_test1712z00_894)
{ /* Llib/error.scm 653 */
{ /* Llib/error.scm 654 */
long BgL_arg1714z00_895;long BgL_arg1715z00_896;obj_t BgL_arg1717z00_897;
BgL_arg1714z00_895 = 
(BgL_readz00_887+((long)1)); 
BgL_arg1715z00_896 = 
(BgL_readz00_887+((long)1)); 
{ /* Llib/error.scm 656 */
obj_t BgL_arg1722z00_898;
{ /* Llib/error.scm 656 */
obj_t BgL_res2768z00_1649;
{ /* Llib/error.scm 656 */
int BgL_startz00_1622;int BgL_endz00_1623;
BgL_startz00_1622 = 
(int)(BgL_prevz00_888); 
BgL_endz00_1623 = 
(int)(BgL_readz00_887); 
{ /* Llib/error.scm 656 */
bool_t BgL_testz00_2645;
{ /* Llib/error.scm 656 */
bool_t BgL_testz00_2646;
{ /* Llib/error.scm 656 */
long BgL_auxz00_2649;long BgL_auxz00_2647;
BgL_auxz00_2649 = 
(long)(BgL_startz00_1622); 
BgL_auxz00_2647 = 
(long)(BgL_endz00_1623); 
BgL_testz00_2646 = 
(BgL_auxz00_2647>=BgL_auxz00_2649); } 
if(BgL_testz00_2646)
{ /* Llib/error.scm 656 */
bool_t BgL_testz00_2652;
{ /* Llib/error.scm 656 */
int BgL_auxz00_2653;
{ /* Llib/error.scm 656 */
long BgL_auxz00_2654;
{ /* Llib/error.scm 656 */
long BgL_auxz00_2655;
{ /* Llib/error.scm 656 */
int BgL_auxz00_2656;
BgL_auxz00_2656 = 
STRING_LENGTH(BgL_pathz00_76); 
BgL_auxz00_2655 = 
(long)(BgL_auxz00_2656); } 
BgL_auxz00_2654 = 
(BgL_auxz00_2655+((long)1)); } 
BgL_auxz00_2653 = 
(int)(BgL_auxz00_2654); } 
BgL_testz00_2652 = 
BOUND_CHECK(BgL_startz00_1622, BgL_auxz00_2653); } 
if(BgL_testz00_2652)
{ /* Llib/error.scm 656 */
int BgL_auxz00_2662;
{ /* Llib/error.scm 656 */
long BgL_auxz00_2663;
{ /* Llib/error.scm 656 */
long BgL_auxz00_2664;
{ /* Llib/error.scm 656 */
int BgL_auxz00_2665;
BgL_auxz00_2665 = 
STRING_LENGTH(BgL_pathz00_76); 
BgL_auxz00_2664 = 
(long)(BgL_auxz00_2665); } 
BgL_auxz00_2663 = 
(BgL_auxz00_2664+((long)1)); } 
BgL_auxz00_2662 = 
(int)(BgL_auxz00_2663); } 
BgL_testz00_2645 = 
BOUND_CHECK(BgL_endz00_1623, BgL_auxz00_2662); }  else 
{ /* Llib/error.scm 656 */
BgL_testz00_2645 = ((bool_t)0)
; } }  else 
{ /* Llib/error.scm 656 */
BgL_testz00_2645 = ((bool_t)0)
; } } 
if(BgL_testz00_2645)
{ /* Llib/error.scm 656 */
BgL_res2768z00_1649 = 
c_substring(BgL_pathz00_76, BgL_startz00_1622, BgL_endz00_1623); }  else 
{ /* Llib/error.scm 656 */
obj_t BgL_arg1962z00_1635;
{ /* Llib/error.scm 656 */
obj_t BgL_auxz00_2674;obj_t BgL_auxz00_2672;
BgL_auxz00_2674 = 
BINT(BgL_endz00_1623); 
BgL_auxz00_2672 = 
BINT(BgL_startz00_1622); 
BgL_arg1962z00_1635 = 
MAKE_PAIR(BgL_auxz00_2672, BgL_auxz00_2674); } 
FAILURE(BGl_string3104z00zz__errorz00,BGl_string3105z00zz__errorz00,BgL_arg1962z00_1635);} } } 
BgL_arg1722z00_898 = BgL_res2768z00_1649; } 
BgL_arg1717z00_897 = 
MAKE_PAIR(BgL_arg1722z00_898, BgL_listz00_889); } 
{ 
obj_t BgL_listz00_2681;long BgL_prevz00_2680;long BgL_readz00_2679;
BgL_readz00_2679 = BgL_arg1714z00_895; 
BgL_prevz00_2680 = BgL_arg1715z00_896; 
BgL_listz00_2681 = BgL_arg1717z00_897; 
BgL_listz00_889 = BgL_listz00_2681; 
BgL_prevz00_888 = BgL_prevz00_2680; 
BgL_readz00_887 = BgL_readz00_2679; 
goto BgL_loopz00_890;} } }  else 
{ /* Llib/error.scm 653 */
{ 
long BgL_readz00_2682;
BgL_readz00_2682 = 
(BgL_readz00_887+((long)1)); 
BgL_readz00_887 = BgL_readz00_2682; 
goto BgL_loopz00_890;} } } } } } } 
}



/* find-runtime-type */
obj_t BGl_findzd2runtimezd2typez00zz__errorz00(obj_t BgL_objz00_77)
{ AN_OBJECT;
{ /* Llib/error.scm 666 */
if(
INTEGERP(BgL_objz00_77))
{ /* Llib/error.scm 668 */
return BGl_string3106z00zz__errorz00;}  else 
{ /* Llib/error.scm 668 */
if(
REALP(BgL_objz00_77))
{ /* Llib/error.scm 670 */
return BGl_string3107z00zz__errorz00;}  else 
{ /* Llib/error.scm 670 */
if(
STRINGP(BgL_objz00_77))
{ /* Llib/error.scm 672 */
return BGl_string3108z00zz__errorz00;}  else 
{ /* Llib/error.scm 672 */
if(
SYMBOLP(BgL_objz00_77))
{ /* Llib/error.scm 674 */
return BGl_string3109z00zz__errorz00;}  else 
{ /* Llib/error.scm 674 */
if(
KEYWORDP(BgL_objz00_77))
{ /* Llib/error.scm 676 */
return BGl_string3110z00zz__errorz00;}  else 
{ /* Llib/error.scm 676 */
if(
CHARP(BgL_objz00_77))
{ /* Llib/error.scm 678 */
return BGl_string3111z00zz__errorz00;}  else 
{ /* Llib/error.scm 678 */
if(
BOOLEANP(BgL_objz00_77))
{ /* Llib/error.scm 680 */
return BGl_string3112z00zz__errorz00;}  else 
{ /* Llib/error.scm 680 */
if(
NULLP(BgL_objz00_77))
{ /* Llib/error.scm 682 */
return BGl_string3113z00zz__errorz00;}  else 
{ /* Llib/error.scm 684 */
bool_t BgL_test1760z00_915;
BgL_test1760z00_915 = 
EXTENDED_PAIRP(BgL_objz00_77); 
if(BgL_test1760z00_915)
{ /* Llib/error.scm 684 */
return BGl_string3114z00zz__errorz00;}  else 
{ /* Llib/error.scm 684 */
if(
PAIRP(BgL_objz00_77))
{ /* Llib/error.scm 686 */
return BGl_string3115z00zz__errorz00;}  else 
{ /* Llib/error.scm 686 */
if(
BGl_classzf3zf3zz__objectz00(BgL_objz00_77))
{ /* Llib/error.scm 688 */
return BGl_string3116z00zz__errorz00;}  else 
{ /* Llib/error.scm 688 */
if(
VECTORP(BgL_objz00_77))
{ /* Llib/error.scm 690 */
return BGl_string3117z00zz__errorz00;}  else 
{ /* Llib/error.scm 690 */
if(
TVECTORP(BgL_objz00_77))
{ /* Llib/error.scm 692 */
return BGl_string3118z00zz__errorz00;}  else 
{ /* Llib/error.scm 692 */
if(
STRUCTP(BgL_objz00_77))
{ /* Llib/error.scm 694 */
return BGl_string3119z00zz__errorz00;}  else 
{ /* Llib/error.scm 694 */
if(
PROCEDUREP(BgL_objz00_77))
{ /* Llib/error.scm 696 */
return BGl_string3120z00zz__errorz00;}  else 
{ /* Llib/error.scm 696 */
if(
INPUT_PORTP(BgL_objz00_77))
{ /* Llib/error.scm 698 */
return BGl_string3121z00zz__errorz00;}  else 
{ /* Llib/error.scm 698 */
if(
OUTPUT_PORTP(BgL_objz00_77))
{ /* Llib/error.scm 700 */
return BGl_string3122z00zz__errorz00;}  else 
{ /* Llib/error.scm 700 */
if(
BINARY_PORTP(BgL_objz00_77))
{ /* Llib/error.scm 702 */
return BGl_string3123z00zz__errorz00;}  else 
{ /* Llib/error.scm 702 */
if(
CELLP(BgL_objz00_77))
{ /* Llib/error.scm 704 */
return BGl_string3124z00zz__errorz00;}  else 
{ /* Llib/error.scm 704 */
if(
FOREIGNP(BgL_objz00_77))
{ /* Llib/error.scm 706 */
{ /* Llib/error.scm 707 */
obj_t BgL_arg1774z00_928;
{ /* Llib/error.scm 707 */
obj_t BgL_arg1782z00_931;
BgL_arg1782z00_931 = 
FOREIGN_ID(BgL_objz00_77); 
BgL_arg1774z00_928 = 
SYMBOL_TO_STRING(BgL_arg1782z00_931); } 
{ /* Llib/error.scm 707 */
obj_t BgL_list1776z00_929;
{ /* Llib/error.scm 707 */
obj_t BgL_arg1778z00_930;
BgL_arg1778z00_930 = 
MAKE_PAIR(BgL_arg1774z00_928, BNIL); 
BgL_list1776z00_929 = 
MAKE_PAIR(BGl_string3125z00zz__errorz00, BgL_arg1778z00_930); } 
return 
BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list1776z00_929);} } }  else 
{ /* Llib/error.scm 706 */
if(
CNSTP(BgL_objz00_77))
{ /* Llib/error.scm 708 */
return BGl_string3126z00zz__errorz00;}  else 
{ /* Llib/error.scm 708 */
if(
SOCKETP(BgL_objz00_77))
{ /* Llib/error.scm 710 */
return BGl_string3127z00zz__errorz00;}  else 
{ /* Llib/error.scm 710 */
if(
PROCESSP(BgL_objz00_77))
{ /* Llib/error.scm 712 */
return BGl_string3128z00zz__errorz00;}  else 
{ /* Llib/error.scm 712 */
if(
CUSTOMP(BgL_objz00_77))
{ /* Llib/error.scm 714 */
return BGl_string3129z00zz__errorz00;}  else 
{ /* Llib/error.scm 714 */
if(
OPAQUEP(BgL_objz00_77))
{ /* Llib/error.scm 716 */
return BGl_string3130z00zz__errorz00;}  else 
{ /* Llib/error.scm 718 */
bool_t BgL_test1790z00_937;
BgL_test1790z00_937 = 
BGL_OBJECTP(BgL_objz00_77); 
if(BgL_test1790z00_937)
{ /* Llib/error.scm 718 */
{ /* Llib/error.scm 719 */
obj_t BgL_classz00_938;
{ /* Llib/error.scm 719 */
long BgL_arg2711z00_1680;
{ /* Llib/error.scm 719 */
long BgL_arg2714z00_1681;
{ /* Llib/error.scm 719 */
BgL_objectz00_bglt BgL_auxz00_2741;
BgL_auxz00_2741 = 
(BgL_objectz00_bglt)(BgL_objz00_77); 
BgL_arg2714z00_1681 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_2741); } 
BgL_arg2711z00_1680 = 
(BgL_arg2714z00_1681-OBJECT_TYPE); } 
{ 
int BgL_auxz00_2745;
BgL_auxz00_2745 = 
(int)(BgL_arg2711z00_1680); 
BgL_classz00_938 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_auxz00_2745); } } 
if(
BGl_classzf3zf3zz__objectz00(BgL_classz00_938))
{ /* Llib/error.scm 726 */
obj_t BgL_auxz00_2750;
BgL_auxz00_2750 = 
BGl_classzd2namezd2zz__objectz00(BgL_classz00_938); 
return 
SYMBOL_TO_STRING(BgL_auxz00_2750);}  else 
{ /* Llib/error.scm 723 */
return BGl_string3131z00zz__errorz00;} } }  else 
{ /* Llib/error.scm 718 */
if(
UCS2_STRINGP(BgL_objz00_77))
{ /* Llib/error.scm 729 */
return BGl_string3132z00zz__errorz00;}  else 
{ /* Llib/error.scm 729 */
if(
UCS2P(BgL_objz00_77))
{ /* Llib/error.scm 731 */
return BGl_string3133z00zz__errorz00;}  else 
{ /* Llib/error.scm 731 */
{ /* Llib/error.scm 734 */
char * BgL_auxz00_2757;
BgL_auxz00_2757 = 
FOREIGN_TYPE_NAME(BgL_objz00_77); 
return 
string_to_bstring(BgL_auxz00_2757);} } } } } } } } } } } } } } } } } } } } } } } } } } } } } } 
}



/* _find-runtime-type */
obj_t BGl__findzd2runtimezd2typez00zz__errorz00(obj_t BgL_envz00_1898, obj_t BgL_objz00_1899)
{ AN_OBJECT;
{ /* Llib/error.scm 666 */
return 
BGl_findzd2runtimezd2typez00zz__errorz00(BgL_objz00_1899);} 
}



/* module-init-error */
obj_t BGl_modulezd2initzd2errorz00zz__errorz00(char * BgL_currentz00_78, char * BgL_fromz00_79)
{ AN_OBJECT;
{ /* Llib/error.scm 739 */
{ /* Llib/error.scm 740 */
obj_t BgL_arg1830z00_944;
BgL_arg1830z00_944 = 
GET_CURRENT_ERROR_PORT(); 
{ /* Llib/error.scm 740 */
obj_t BgL_list1836z00_948;
{ /* Llib/error.scm 740 */
obj_t BgL_arg1838z00_949;
{ /* Llib/error.scm 740 */
obj_t BgL_arg1841z00_950;
{ /* Llib/error.scm 740 */
obj_t BgL_arg1844z00_951;
{ /* Llib/error.scm 740 */
obj_t BgL_arg1847z00_952;
{ /* Llib/error.scm 740 */
obj_t BgL_auxz00_2762;
BgL_auxz00_2762 = 
string_to_bstring(BgL_fromz00_79); 
BgL_arg1847z00_952 = 
MAKE_PAIR(BgL_auxz00_2762, BNIL); } 
BgL_arg1844z00_951 = 
MAKE_PAIR(BGl_string3074z00zz__errorz00, BgL_arg1847z00_952); } 
{ /* Llib/error.scm 740 */
obj_t BgL_auxz00_2766;
BgL_auxz00_2766 = 
string_to_bstring(BgL_currentz00_78); 
BgL_arg1841z00_950 = 
MAKE_PAIR(BgL_auxz00_2766, BgL_arg1844z00_951); } } 
BgL_arg1838z00_949 = 
MAKE_PAIR(BGl_string3134z00zz__errorz00, BgL_arg1841z00_950); } 
BgL_list1836z00_948 = 
MAKE_PAIR(BGl_string3135z00zz__errorz00, BgL_arg1838z00_949); } 
BGl_fprintz00zz__r4_output_6_10_3z00(BgL_arg1830z00_944, BgL_list1836z00_948); } } 
{ /* Llib/error.scm 744 */
obj_t BgL_auxz00_2772;
BgL_auxz00_2772 = 
BINT(((long)-1)); 
return 
BIGLOO_EXIT(BgL_auxz00_2772);} } 
}



/* _module-init-error */
obj_t BGl__modulezd2initzd2errorz00zz__errorz00(obj_t BgL_envz00_1900, obj_t BgL_currentz00_1901, obj_t BgL_fromz00_1902)
{ AN_OBJECT;
{ /* Llib/error.scm 739 */
return 
BGl_modulezd2initzd2errorz00zz__errorz00(
BSTRING_TO_STRING(BgL_currentz00_1901), 
BSTRING_TO_STRING(BgL_fromz00_1902));} 
}



/* bigloo-type-error */
obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t BgL_procz00_80, obj_t BgL_typez00_81, obj_t BgL_objz00_82)
{ AN_OBJECT;
{ /* Llib/error.scm 749 */
{ /* Llib/error.scm 751 */
obj_t BgL_arg1853z00_1691;
{ /* Llib/error.scm 751 */
obj_t BgL_arg1857z00_1693;
BgL_arg1857z00_1693 = 
BGl_findzd2runtimezd2typez00zz__errorz00(BgL_objz00_82); 
{ /* Llib/error.scm 751 */
obj_t BgL_res2769z00_1705;
{ /* Llib/error.scm 751 */
obj_t BgL_list1237z00_1697;
{ /* Llib/error.scm 751 */
obj_t BgL_arg1239z00_1698;
{ /* Llib/error.scm 751 */
obj_t BgL_arg1246z00_1700;
{ /* Llib/error.scm 751 */
obj_t BgL_arg1249z00_1701;
{ /* Llib/error.scm 751 */
obj_t BgL_arg1253z00_1703;
{ /* Llib/error.scm 751 */
obj_t BgL_arg1256z00_1704;
BgL_arg1256z00_1704 = 
MAKE_PAIR(BGl_string3075z00zz__errorz00, BNIL); 
BgL_arg1253z00_1703 = 
MAKE_PAIR(BgL_arg1857z00_1693, BgL_arg1256z00_1704); } 
BgL_arg1249z00_1701 = 
MAKE_PAIR(BGl_string3076z00zz__errorz00, BgL_arg1253z00_1703); } 
BgL_arg1246z00_1700 = 
MAKE_PAIR(BgL_typez00_81, BgL_arg1249z00_1701); } 
BgL_arg1239z00_1698 = 
MAKE_PAIR(BGl_string3077z00zz__errorz00, BgL_arg1246z00_1700); } 
BgL_list1237z00_1697 = 
MAKE_PAIR(BGl_string3136z00zz__errorz00, BgL_arg1239z00_1698); } 
BgL_res2769z00_1705 = 
BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list1237z00_1697); } 
BgL_arg1853z00_1691 = BgL_res2769z00_1705; } } 
FAILURE(BgL_procz00_80,BgL_arg1853z00_1691,BgL_objz00_82);} } 
}



/* _bigloo-type-error */
obj_t BGl__bigloozd2typezd2errorz00zz__errorz00(obj_t BgL_envz00_1903, obj_t BgL_procz00_1904, obj_t BgL_typez00_1905, obj_t BgL_objz00_1906)
{ AN_OBJECT;
{ /* Llib/error.scm 749 */
return 
BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_procz00_1904, BgL_typez00_1905, BgL_objz00_1906);} 
}



/* bigloo-type-error/location */
obj_t BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(obj_t BgL_procz00_83, obj_t BgL_typez00_84, obj_t BgL_objz00_85, obj_t BgL_fnamez00_86, obj_t BgL_locationz00_87)
{ AN_OBJECT;
{ /* Llib/error.scm 757 */
{ /* Llib/error.scm 759 */
obj_t BgL_arg1861z00_1709;
{ /* Llib/error.scm 759 */
obj_t BgL_arg1865z00_1711;
BgL_arg1865z00_1711 = 
BGl_findzd2runtimezd2typez00zz__errorz00(BgL_objz00_85); 
{ /* Llib/error.scm 759 */
obj_t BgL_res2770z00_1723;
{ /* Llib/error.scm 759 */
obj_t BgL_list1237z00_1715;
{ /* Llib/error.scm 759 */
obj_t BgL_arg1239z00_1716;
{ /* Llib/error.scm 759 */
obj_t BgL_arg1246z00_1718;
{ /* Llib/error.scm 759 */
obj_t BgL_arg1249z00_1719;
{ /* Llib/error.scm 759 */
obj_t BgL_arg1253z00_1721;
{ /* Llib/error.scm 759 */
obj_t BgL_arg1256z00_1722;
BgL_arg1256z00_1722 = 
MAKE_PAIR(BGl_string3075z00zz__errorz00, BNIL); 
BgL_arg1253z00_1721 = 
MAKE_PAIR(BgL_arg1865z00_1711, BgL_arg1256z00_1722); } 
BgL_arg1249z00_1719 = 
MAKE_PAIR(BGl_string3076z00zz__errorz00, BgL_arg1253z00_1721); } 
BgL_arg1246z00_1718 = 
MAKE_PAIR(BgL_typez00_84, BgL_arg1249z00_1719); } 
BgL_arg1239z00_1716 = 
MAKE_PAIR(BGl_string3077z00zz__errorz00, BgL_arg1246z00_1718); } 
BgL_list1237z00_1715 = 
MAKE_PAIR(BGl_string3136z00zz__errorz00, BgL_arg1239z00_1716); } 
BgL_res2770z00_1723 = 
BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list1237z00_1715); } 
BgL_arg1861z00_1709 = BgL_res2770z00_1723; } } 
return 
BGl_errorzf2locationzf2zz__errorz00(BgL_procz00_83, BgL_arg1861z00_1709, BgL_objz00_85, BgL_fnamez00_86, BgL_locationz00_87);} } 
}



/* _bigloo-type-error/location */
obj_t BGl__bigloozd2typezd2errorzf2locationzf2zz__errorz00(obj_t BgL_envz00_1907, obj_t BgL_procz00_1908, obj_t BgL_typez00_1909, obj_t BgL_objz00_1910, obj_t BgL_fnamez00_1911, obj_t BgL_locationz00_1912)
{ AN_OBJECT;
{ /* Llib/error.scm 757 */
return 
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BgL_procz00_1908, BgL_typez00_1909, BgL_objz00_1910, BgL_fnamez00_1911, BgL_locationz00_1912);} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zz__errorz00()
{ AN_OBJECT;
{ /* Llib/error.scm 18 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__errorz00()
{ AN_OBJECT;
{ /* Llib/error.scm 18 */
return 
BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(((long)41319), "__error");} 
}

