/*===========================================================================*/
/*   (Llib/socket.scm)                                                       */
/*   Bigloo (2.5b)                                                           */
/*   Manuel Serrano (c)       Fri Sep 6 09:43:28 CEST 2002                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

/* debug mode */
#define BIGLOO_DEBUG 1

#include <bigloo.h>
#include <signal.h>

static obj_t BGl_symbol1916z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol1915z00zz__socketz00 = BUNSPEC;
static obj_t BGl__socketzd2outputzd2zz__socketz00(obj_t, obj_t);
static obj_t BGl_symbol1914z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol1913z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol1912z00zz__socketz00 = BUNSPEC;
extern obj_t BGl_modulezd2initializa7ationz75zz__socketz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_symbol1911z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol1910z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol1907z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol1906z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol1905z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol1904z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol1903z00zz__socketz00 = BUNSPEC;
static obj_t BGl__makezd2serverzd2socketz00zz__socketz00(obj_t, obj_t);
static obj_t BGl__socketzd2inputzd2zz__socketz00(obj_t, obj_t);
static obj_t BGl__socketzd2serverzf3z21zz__socketz00(obj_t, obj_t);
extern bool_t BGl_socketzd2serverzf3z21zz__socketz00(obj_t);
extern obj_t BGl_socketzd2localzd2addressz00zz__socketz00(obj_t);
static obj_t BGl__makezd2clientzd2socketz00zz__socketz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_socketzd2hostzd2addressz00zz__socketz00(obj_t);
static obj_t BGl_cnstzd2initzd2zz__socketz00();
extern obj_t BGl_socketzd2acceptzd2connectionz00zz__socketz00(obj_t, obj_t);
extern obj_t BGl_makezd2clientzd2socketz00zz__socketz00(obj_t, int, obj_t);
extern obj_t string_to_symbol(char *);
extern bool_t BGl_socketzd2clientzf3z21zz__socketz00(obj_t);
static obj_t BGl__socketzd2acceptzd2connectionz00zz__socketz00(obj_t, obj_t, obj_t);
extern obj_t BGl_socketzd2portzd2numberz00zz__socketz00(obj_t);
extern obj_t BGl_socketzd2inputzd2zz__socketz00(obj_t);
extern obj_t make_client_socket(obj_t, int, bool_t);
static obj_t BGl__socketzd2clientzf3z21zz__socketz00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__socketz00();
extern obj_t socket_local_addr(obj_t);
extern obj_t BGl_socketzd2outputzd2zz__socketz00(obj_t);
extern obj_t BGl_socketzd2dupzd2zz__socketz00(obj_t);
extern obj_t make_server_socket(int);
extern obj_t BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__socketzd2hostnamezd2zz__socketz00(obj_t, obj_t);
extern obj_t socket_shutdown(obj_t, bool_t);
static obj_t BGl_requirezd2initializa7ationz75zz__socketz00 = BUNSPEC;
static obj_t BGl__socketzd2downzf3z21zz__socketz00(obj_t, obj_t);
static obj_t BGl__socketzd2localzd2addressz00zz__socketz00(obj_t, obj_t);
extern obj_t socket_accept_connection(obj_t, bool_t);
extern obj_t BGl_makezd2serverzd2socketz00zz__socketz00(obj_t);
extern obj_t socket_dup(obj_t);
static obj_t BGl__socketzf3zf3zz__socketz00(obj_t, obj_t);
static obj_t BGl__socketzd2dupzd2zz__socketz00(obj_t, obj_t);
extern bool_t BGl_socketzf3zf3zz__socketz00(obj_t);
static obj_t BGl__socketzd2shutdownzd2zz__socketz00(obj_t, obj_t, obj_t);
extern obj_t BGl_socketzd2shutdownzd2zz__socketz00(obj_t, obj_t);
static obj_t BGl__socketzd2portzd2numberz00zz__socketz00(obj_t, obj_t);
static obj_t BGl__socketzd2hostzd2addressz00zz__socketz00(obj_t, obj_t);
extern obj_t BGl_socketzd2hostnamezd2zz__socketz00(obj_t);
extern bool_t BGl_socketzd2downzf3z21zz__socketz00(obj_t);
static obj_t BGl_symbol1934z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol1933z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol1932z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol1931z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol1930z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol1929z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol1928z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol1927z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol1924z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol1922z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol1921z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol1920z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol1919z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol1918z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol1917z00zz__socketz00 = BUNSPEC;
static obj_t *__cnst;

DEFINE_STRING( BGl_string1926z00zz__socketz00, BgL_bgl_string1926za700za7za7__socketza7001946z00, "int", 3 );
DEFINE_STRING( BGl_string1925z00zz__socketz00, BgL_bgl_string1925za700za7za7__socketza7001947z00, "bstring", 7 );
DEFINE_STRING( BGl_string1923z00zz__socketz00, BgL_bgl_string1923za700za7za7__socketza7001948z00, "pair", 4 );
DEFINE_STRING( BGl_string1909z00zz__socketz00, BgL_bgl_string1909za700za7za7__socketza7001949z00, "/tmp/bigloo/runtime/Llib/socket.scm", 35 );
DEFINE_STRING( BGl_string1908z00zz__socketz00, BgL_bgl_string1908za700za7za7__socketza7001950z00, "socket", 6 );
DEFINE_EXPORT_PROCEDURE( BGl_socketzd2shutdownzd2envz00zz__socketz00, BgL_bgl__socketza7d2shutdownza7d2za7za7__socketza7001951za7, va_generic_entry, BGl__socketzd2shutdownzd2zz__socketz00, -2 );
DEFINE_EXPORT_PROCEDURE( BGl_socketzf3zd2envz21zz__socketz00, BgL_bgl__socketza7f3za7f3za7za7__socketza7001952za7, BGl__socketzf3zf3zz__socketz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_socketzd2dupzd2envz00zz__socketz00, BgL_bgl__socketza7d2dupza7d2za7za7__socketza7001953za7, BGl__socketzd2dupzd2zz__socketz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_socketzd2outputzd2envz00zz__socketz00, BgL_bgl__socketza7d2outputza7d2za7za7__socketza7001954za7, BGl__socketzd2outputzd2zz__socketz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_socketzd2downzf3zd2envzf3zz__socketz00, BgL_bgl__socketza7d2downza7f3za721za7za7__socketza7001955z00, BGl__socketzd2downzf3z21zz__socketz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_socketzd2hostnamezd2envz00zz__socketz00, BgL_bgl__socketza7d2hostnameza7d2za7za7__socketza7001956za7, BGl__socketzd2hostnamezd2zz__socketz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_socketzd2inputzd2envz00zz__socketz00, BgL_bgl__socketza7d2inputza7d2za7za7__socketza7001957za7, BGl__socketzd2inputzd2zz__socketz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_socketzd2hostzd2addresszd2envzd2zz__socketz00, BgL_bgl__socketza7d2hostza7d2addressza700za7za7__socketza7001958z00, BGl__socketzd2hostzd2addressz00zz__socketz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_socketzd2portzd2numberzd2envzd2zz__socketz00, BgL_bgl__socketza7d2portza7d2numberza700za7za7__socketza7001959z00, BGl__socketzd2portzd2numberz00zz__socketz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2clientzd2socketzd2envzd2zz__socketz00, BgL_bgl__makeza7d2clientza7d2socketza700za7za7__socketza7001960z00, va_generic_entry, BGl__makezd2clientzd2socketz00zz__socketz00, -3 );
DEFINE_EXPORT_PROCEDURE( BGl_socketzd2clientzf3zd2envzf3zz__socketz00, BgL_bgl__socketza7d2clientza7f3za721za7za7__socketza7001961z00, BGl__socketzd2clientzf3z21zz__socketz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2serverzd2socketzd2envzd2zz__socketz00, BgL_bgl__makeza7d2serverza7d2socketza700za7za7__socketza7001962z00, va_generic_entry, BGl__makezd2serverzd2socketz00zz__socketz00, -1 );
DEFINE_EXPORT_PROCEDURE( BGl_socketzd2serverzf3zd2envzf3zz__socketz00, BgL_bgl__socketza7d2serverza7f3za721za7za7__socketza7001963z00, BGl__socketzd2serverzf3z21zz__socketz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_socketzd2localzd2addresszd2envzd2zz__socketz00, BgL_bgl__socketza7d2localza7d2addressza700za7za7__socketza7001964z00, BGl__socketzd2localzd2addressz00zz__socketz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_socketzd2acceptzd2connectionzd2envzd2zz__socketz00, BgL_bgl__socketza7d2acceptza7d2connectionza700za7za7__socketza7001965z00, va_generic_entry, BGl__socketzd2acceptzd2connectionz00zz__socketz00, -2 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zz__socketz00(long BgL_checksumz00_681, char * BgL_fromz00_682)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__socketz00))
{ 
BGl_requirezd2initializa7ationz75zz__socketz00 = 
BBOOL(((bool_t)0)); 
BGl_cnstzd2initzd2zz__socketz00(); 
BGl_importedzd2moduleszd2initz00zz__socketz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__socketz00()
{ AN_OBJECT;
{ /* Llib/socket.scm 15 */
BGl_symbol1903z00zz__socketz00 = 
string_to_symbol("socket?"); 
BGl_symbol1904z00zz__socketz00 = 
string_to_symbol("socket-server?"); 
BGl_symbol1905z00zz__socketz00 = 
string_to_symbol("socket-client?"); 
BGl_symbol1906z00zz__socketz00 = 
string_to_symbol("socket-hostname"); 
BGl_symbol1907z00zz__socketz00 = 
string_to_symbol("_socket-hostname"); 
BGl_symbol1910z00zz__socketz00 = 
string_to_symbol("socket-host-address"); 
BGl_symbol1911z00zz__socketz00 = 
string_to_symbol("_socket-host-address"); 
BGl_symbol1912z00zz__socketz00 = 
string_to_symbol("socket-local-address"); 
BGl_symbol1913z00zz__socketz00 = 
string_to_symbol("_socket-local-address"); 
BGl_symbol1914z00zz__socketz00 = 
string_to_symbol("socket-down?"); 
BGl_symbol1915z00zz__socketz00 = 
string_to_symbol("_socket-down?"); 
BGl_symbol1916z00zz__socketz00 = 
string_to_symbol("socket-port-number"); 
BGl_symbol1917z00zz__socketz00 = 
string_to_symbol("_socket-port-number"); 
BGl_symbol1918z00zz__socketz00 = 
string_to_symbol("socket-input"); 
BGl_symbol1919z00zz__socketz00 = 
string_to_symbol("_socket-input"); 
BGl_symbol1920z00zz__socketz00 = 
string_to_symbol("socket-output"); 
BGl_symbol1921z00zz__socketz00 = 
string_to_symbol("_socket-output"); 
BGl_symbol1922z00zz__socketz00 = 
string_to_symbol("make-client-socket"); 
BGl_symbol1924z00zz__socketz00 = 
string_to_symbol("_make-client-socket"); 
BGl_symbol1927z00zz__socketz00 = 
string_to_symbol("make-server-socket"); 
BGl_symbol1928z00zz__socketz00 = 
string_to_symbol("socket-accept-connection"); 
BGl_symbol1929z00zz__socketz00 = 
string_to_symbol("_socket-accept-connection"); 
BGl_symbol1930z00zz__socketz00 = 
string_to_symbol("socket-dup"); 
BGl_symbol1931z00zz__socketz00 = 
string_to_symbol("_socket-dup"); 
BGl_symbol1932z00zz__socketz00 = 
string_to_symbol("socket-shutdown"); 
BGl_symbol1933z00zz__socketz00 = 
string_to_symbol("_socket-shutdown"); 
return ( 
BGl_symbol1934z00zz__socketz00 = 
string_to_symbol("imported-modules-init"), BUNSPEC) ;} 
}



/* socket? */
bool_t BGl_socketzf3zf3zz__socketz00(obj_t BgL_objz00_1)
{ AN_OBJECT;
{ /* Llib/socket.scm 125 */
{ /* Llib/socket.scm 126 */
obj_t BgL_symbol1642z00_570;
BgL_symbol1642z00_570 = BGl_symbol1903z00zz__socketz00; 
{ /* Llib/socket.scm 126 */

PUSH_TRACE(BgL_symbol1642z00_570); BUNSPEC; 
{ /* Llib/socket.scm 126 */
bool_t BgL_aux1641z00_571;
BgL_aux1641z00_571 = 
SOCKETP(BgL_objz00_1); 
POP_TRACE(); 
return BgL_aux1641z00_571;} } } } 
}



/* _socket? */
obj_t BGl__socketzf3zf3zz__socketz00(obj_t BgL_envz00_502, obj_t BgL_objz00_503)
{ AN_OBJECT;
{ /* Llib/socket.scm 125 */
{ /* Llib/socket.scm 126 */
bool_t BgL_auxz00_718;
{ /* Llib/socket.scm 126 */
bool_t BgL_res1935z00_575;
{ /* Llib/socket.scm 126 */
obj_t BgL_symbol1642z00_573;
BgL_symbol1642z00_573 = BGl_symbol1903z00zz__socketz00; 
{ /* Llib/socket.scm 126 */

PUSH_TRACE(BgL_symbol1642z00_573); BUNSPEC; 
{ /* Llib/socket.scm 126 */
bool_t BgL_aux1641z00_574;
BgL_aux1641z00_574 = 
SOCKETP(BgL_objz00_503); 
POP_TRACE(); 
BgL_res1935z00_575 = BgL_aux1641z00_574; } } } 
BgL_auxz00_718 = BgL_res1935z00_575; } 
return 
BBOOL(BgL_auxz00_718);} } 
}



/* socket-server? */
bool_t BGl_socketzd2serverzf3z21zz__socketz00(obj_t BgL_objz00_2)
{ AN_OBJECT;
{ /* Llib/socket.scm 131 */
{ /* Llib/socket.scm 132 */
obj_t BgL_symbol1646z00_576;
BgL_symbol1646z00_576 = BGl_symbol1904z00zz__socketz00; 
{ /* Llib/socket.scm 132 */

PUSH_TRACE(BgL_symbol1646z00_576); BUNSPEC; 
{ /* Llib/socket.scm 132 */
bool_t BgL_aux1645z00_577;
BgL_aux1645z00_577 = 
BGl_socketzd2serverzf3z21zz__socketz00(BgL_objz00_2); 
POP_TRACE(); 
return BgL_aux1645z00_577;} } } } 
}



/* _socket-server? */
obj_t BGl__socketzd2serverzf3z21zz__socketz00(obj_t BgL_envz00_504, obj_t BgL_objz00_505)
{ AN_OBJECT;
{ /* Llib/socket.scm 131 */
{ /* Llib/socket.scm 132 */
bool_t BgL_auxz00_726;
{ 

BgL_socketzd2serverzf3z21_578:
{ /* Llib/socket.scm 132 */
obj_t BgL_symbol1646z00_579;
BgL_symbol1646z00_579 = BGl_symbol1904z00zz__socketz00; 
{ /* Llib/socket.scm 132 */

PUSH_TRACE(BgL_symbol1646z00_579); BUNSPEC; 
{ /* Llib/socket.scm 132 */
bool_t BgL_aux1645z00_580;
goto BgL_socketzd2serverzf3z21_578;
POP_TRACE(); 
BgL_auxz00_726 = BgL_aux1645z00_580; } } } } 
return 
BBOOL(BgL_auxz00_726);} } 
}



/* socket-client? */
bool_t BGl_socketzd2clientzf3z21zz__socketz00(obj_t BgL_objz00_3)
{ AN_OBJECT;
{ /* Llib/socket.scm 137 */
{ /* Llib/socket.scm 138 */
obj_t BgL_symbol1650z00_581;
BgL_symbol1650z00_581 = BGl_symbol1905z00zz__socketz00; 
{ /* Llib/socket.scm 138 */

PUSH_TRACE(BgL_symbol1650z00_581); BUNSPEC; 
{ /* Llib/socket.scm 138 */
bool_t BgL_aux1649z00_582;
BgL_aux1649z00_582 = 
BGl_socketzd2clientzf3z21zz__socketz00(BgL_objz00_3); 
POP_TRACE(); 
return BgL_aux1649z00_582;} } } } 
}



/* _socket-client? */
obj_t BGl__socketzd2clientzf3z21zz__socketz00(obj_t BgL_envz00_506, obj_t BgL_objz00_507)
{ AN_OBJECT;
{ /* Llib/socket.scm 137 */
{ /* Llib/socket.scm 138 */
bool_t BgL_auxz00_733;
{ 

BgL_socketzd2clientzf3z21_583:
{ /* Llib/socket.scm 138 */
obj_t BgL_symbol1650z00_584;
BgL_symbol1650z00_584 = BGl_symbol1905z00zz__socketz00; 
{ /* Llib/socket.scm 138 */

PUSH_TRACE(BgL_symbol1650z00_584); BUNSPEC; 
{ /* Llib/socket.scm 138 */
bool_t BgL_aux1649z00_585;
goto BgL_socketzd2clientzf3z21_583;
POP_TRACE(); 
BgL_auxz00_733 = BgL_aux1649z00_585; } } } } 
return 
BBOOL(BgL_auxz00_733);} } 
}



/* socket-hostname */
obj_t BGl_socketzd2hostnamezd2zz__socketz00(obj_t BgL_socketz00_4)
{ AN_OBJECT;
{ /* Llib/socket.scm 143 */
{ /* Llib/socket.scm 144 */
obj_t BgL_symbol1654z00_586;
BgL_symbol1654z00_586 = BGl_symbol1906z00zz__socketz00; 
{ /* Llib/socket.scm 144 */

PUSH_TRACE(BgL_symbol1654z00_586); BUNSPEC; 
{ /* Llib/socket.scm 144 */
obj_t BgL_aux1653z00_587;
BgL_aux1653z00_587 = 
SOCKET_HOSTNAME(BgL_socketz00_4); 
POP_TRACE(); 
return BgL_aux1653z00_587;} } } } 
}



/* _socket-hostname */
obj_t BGl__socketzd2hostnamezd2zz__socketz00(obj_t BgL_envz00_508, obj_t BgL_socketz00_509)
{ AN_OBJECT;
{ /* Llib/socket.scm 143 */
{ /* Llib/socket.scm 144 */
obj_t BgL_socketz00_588;
if(
SOCKETP(BgL_socketz00_509))
{ /* Llib/socket.scm 144 */
BgL_socketz00_588 = BgL_socketz00_509; }  else 
{ /* Llib/socket.scm 144 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol1907z00zz__socketz00, BGl_string1908z00zz__socketz00, BgL_socketz00_509, BGl_string1909z00zz__socketz00, 
BINT(((long)5876))); 
exit( -1 );} 
{ /* Llib/socket.scm 144 */
obj_t BgL_symbol1654z00_589;
BgL_symbol1654z00_589 = BGl_symbol1906z00zz__socketz00; 
{ /* Llib/socket.scm 144 */

PUSH_TRACE(BgL_symbol1654z00_589); BUNSPEC; 
{ /* Llib/socket.scm 144 */
obj_t BgL_aux1653z00_590;
BgL_aux1653z00_590 = 
SOCKET_HOSTNAME(BgL_socketz00_588); 
POP_TRACE(); 
return BgL_aux1653z00_590;} } } } } 
}



/* socket-host-address */
obj_t BGl_socketzd2hostzd2addressz00zz__socketz00(obj_t BgL_socketz00_5)
{ AN_OBJECT;
{ /* Llib/socket.scm 149 */
{ /* Llib/socket.scm 150 */
obj_t BgL_symbol1658z00_591;
BgL_symbol1658z00_591 = BGl_symbol1910z00zz__socketz00; 
{ /* Llib/socket.scm 150 */

PUSH_TRACE(BgL_symbol1658z00_591); BUNSPEC; 
{ /* Llib/socket.scm 150 */
obj_t BgL_aux1657z00_592;
BgL_aux1657z00_592 = 
SOCKET_HOSTIP(BgL_socketz00_5); 
POP_TRACE(); 
return BgL_aux1657z00_592;} } } } 
}



/* _socket-host-address */
obj_t BGl__socketzd2hostzd2addressz00zz__socketz00(obj_t BgL_envz00_510, obj_t BgL_socketz00_511)
{ AN_OBJECT;
{ /* Llib/socket.scm 149 */
{ /* Llib/socket.scm 150 */
obj_t BgL_socketz00_593;
if(
SOCKETP(BgL_socketz00_511))
{ /* Llib/socket.scm 150 */
BgL_socketz00_593 = BgL_socketz00_511; }  else 
{ /* Llib/socket.scm 150 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol1911z00zz__socketz00, BGl_string1908z00zz__socketz00, BgL_socketz00_511, BGl_string1909z00zz__socketz00, 
BINT(((long)6174))); 
exit( -1 );} 
{ /* Llib/socket.scm 150 */
obj_t BgL_symbol1658z00_594;
BgL_symbol1658z00_594 = BGl_symbol1910z00zz__socketz00; 
{ /* Llib/socket.scm 150 */

PUSH_TRACE(BgL_symbol1658z00_594); BUNSPEC; 
{ /* Llib/socket.scm 150 */
obj_t BgL_aux1657z00_595;
BgL_aux1657z00_595 = 
SOCKET_HOSTIP(BgL_socketz00_593); 
POP_TRACE(); 
return BgL_aux1657z00_595;} } } } } 
}



/* socket-local-address */
obj_t BGl_socketzd2localzd2addressz00zz__socketz00(obj_t BgL_socketz00_6)
{ AN_OBJECT;
{ /* Llib/socket.scm 155 */
{ /* Llib/socket.scm 156 */
obj_t BgL_symbol1662z00_596;
BgL_symbol1662z00_596 = BGl_symbol1912z00zz__socketz00; 
{ /* Llib/socket.scm 156 */

PUSH_TRACE(BgL_symbol1662z00_596); BUNSPEC; 
{ /* Llib/socket.scm 156 */
obj_t BgL_aux1661z00_597;
BgL_aux1661z00_597 = 
socket_local_addr(BgL_socketz00_6); 
POP_TRACE(); 
return BgL_aux1661z00_597;} } } } 
}



/* _socket-local-address */
obj_t BGl__socketzd2localzd2addressz00zz__socketz00(obj_t BgL_envz00_512, obj_t BgL_socketz00_513)
{ AN_OBJECT;
{ /* Llib/socket.scm 155 */
{ /* Llib/socket.scm 156 */
obj_t BgL_socketz00_598;
if(
SOCKETP(BgL_socketz00_513))
{ /* Llib/socket.scm 156 */
BgL_socketz00_598 = BgL_socketz00_513; }  else 
{ /* Llib/socket.scm 156 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol1913z00zz__socketz00, BGl_string1908z00zz__socketz00, BgL_socketz00_513, BGl_string1909z00zz__socketz00, 
BINT(((long)6479))); 
exit( -1 );} 
{ /* Llib/socket.scm 156 */
obj_t BgL_symbol1662z00_599;
BgL_symbol1662z00_599 = BGl_symbol1912z00zz__socketz00; 
{ /* Llib/socket.scm 156 */

PUSH_TRACE(BgL_symbol1662z00_599); BUNSPEC; 
{ /* Llib/socket.scm 156 */
obj_t BgL_aux1661z00_600;
BgL_aux1661z00_600 = 
socket_local_addr(BgL_socketz00_598); 
POP_TRACE(); 
return BgL_aux1661z00_600;} } } } } 
}



/* socket-down? */
bool_t BGl_socketzd2downzf3z21zz__socketz00(obj_t BgL_socketz00_7)
{ AN_OBJECT;
{ /* Llib/socket.scm 161 */
{ /* Llib/socket.scm 162 */
obj_t BgL_symbol1666z00_601;
BgL_symbol1666z00_601 = BGl_symbol1914z00zz__socketz00; 
{ /* Llib/socket.scm 162 */

PUSH_TRACE(BgL_symbol1666z00_601); BUNSPEC; 
{ /* Llib/socket.scm 162 */
bool_t BgL_aux1665z00_602;
BgL_aux1665z00_602 = 
SOCKET_DOWNP(BgL_socketz00_7); 
POP_TRACE(); 
return BgL_aux1665z00_602;} } } } 
}



/* _socket-down? */
obj_t BGl__socketzd2downzf3z21zz__socketz00(obj_t BgL_envz00_514, obj_t BgL_socketz00_515)
{ AN_OBJECT;
{ /* Llib/socket.scm 161 */
{ /* Llib/socket.scm 162 */
bool_t BgL_auxz00_773;
{ /* Llib/socket.scm 162 */
bool_t BgL_res1936z00_606;
{ /* Llib/socket.scm 162 */
obj_t BgL_socketz00_603;
if(
SOCKETP(BgL_socketz00_515))
{ /* Llib/socket.scm 162 */
BgL_socketz00_603 = BgL_socketz00_515; }  else 
{ /* Llib/socket.scm 162 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol1915z00zz__socketz00, BGl_string1908z00zz__socketz00, BgL_socketz00_515, BGl_string1909z00zz__socketz00, 
BINT(((long)6786))); 
exit( -1 );} 
{ /* Llib/socket.scm 162 */
obj_t BgL_symbol1666z00_604;
BgL_symbol1666z00_604 = BGl_symbol1914z00zz__socketz00; 
{ /* Llib/socket.scm 162 */

PUSH_TRACE(BgL_symbol1666z00_604); BUNSPEC; 
{ /* Llib/socket.scm 162 */
bool_t BgL_aux1665z00_605;
BgL_aux1665z00_605 = 
SOCKET_DOWNP(BgL_socketz00_603); 
POP_TRACE(); 
BgL_res1936z00_606 = BgL_aux1665z00_605; } } } } 
BgL_auxz00_773 = BgL_res1936z00_606; } 
return 
BBOOL(BgL_auxz00_773);} } 
}



/* socket-port-number */
obj_t BGl_socketzd2portzd2numberz00zz__socketz00(obj_t BgL_socketz00_8)
{ AN_OBJECT;
{ /* Llib/socket.scm 167 */
{ /* Llib/socket.scm 168 */
obj_t BgL_symbol1670z00_607;
BgL_symbol1670z00_607 = BGl_symbol1916z00zz__socketz00; 
{ /* Llib/socket.scm 168 */

PUSH_TRACE(BgL_symbol1670z00_607); BUNSPEC; 
{ /* Llib/socket.scm 168 */
obj_t BgL_aux1669z00_608;
{ /* Llib/socket.scm 168 */
int BgL_auxz00_784;
BgL_auxz00_784 = 
SOCKET_PORT(BgL_socketz00_8); 
BgL_aux1669z00_608 = 
BINT(BgL_auxz00_784); } 
POP_TRACE(); 
return BgL_aux1669z00_608;} } } } 
}



/* _socket-port-number */
obj_t BGl__socketzd2portzd2numberz00zz__socketz00(obj_t BgL_envz00_516, obj_t BgL_socketz00_517)
{ AN_OBJECT;
{ /* Llib/socket.scm 167 */
{ /* Llib/socket.scm 168 */
obj_t BgL_res1937z00_612;
{ /* Llib/socket.scm 168 */
obj_t BgL_socketz00_609;
if(
SOCKETP(BgL_socketz00_517))
{ /* Llib/socket.scm 168 */
BgL_socketz00_609 = BgL_socketz00_517; }  else 
{ /* Llib/socket.scm 168 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol1917z00zz__socketz00, BGl_string1908z00zz__socketz00, BgL_socketz00_517, BGl_string1909z00zz__socketz00, 
BINT(((long)7094))); 
exit( -1 );} 
{ /* Llib/socket.scm 168 */
obj_t BgL_symbol1670z00_610;
BgL_symbol1670z00_610 = BGl_symbol1916z00zz__socketz00; 
{ /* Llib/socket.scm 168 */

PUSH_TRACE(BgL_symbol1670z00_610); BUNSPEC; 
{ /* Llib/socket.scm 168 */
obj_t BgL_aux1669z00_611;
{ /* Llib/socket.scm 168 */
int BgL_auxz00_794;
BgL_auxz00_794 = 
SOCKET_PORT(BgL_socketz00_609); 
BgL_aux1669z00_611 = 
BINT(BgL_auxz00_794); } 
POP_TRACE(); 
BgL_res1937z00_612 = BgL_aux1669z00_611; } } } } 
return BgL_res1937z00_612;} } 
}



/* socket-input */
obj_t BGl_socketzd2inputzd2zz__socketz00(obj_t BgL_socketz00_9)
{ AN_OBJECT;
{ /* Llib/socket.scm 173 */
{ /* Llib/socket.scm 174 */
obj_t BgL_symbol1674z00_613;
BgL_symbol1674z00_613 = BGl_symbol1918z00zz__socketz00; 
{ /* Llib/socket.scm 174 */

PUSH_TRACE(BgL_symbol1674z00_613); BUNSPEC; 
{ /* Llib/socket.scm 174 */
obj_t BgL_aux1673z00_614;
BgL_aux1673z00_614 = 
SOCKET_INPUT(BgL_socketz00_9); 
POP_TRACE(); 
return BgL_aux1673z00_614;} } } } 
}



/* _socket-input */
obj_t BGl__socketzd2inputzd2zz__socketz00(obj_t BgL_envz00_518, obj_t BgL_socketz00_519)
{ AN_OBJECT;
{ /* Llib/socket.scm 173 */
{ /* Llib/socket.scm 174 */
obj_t BgL_socketz00_615;
if(
SOCKETP(BgL_socketz00_519))
{ /* Llib/socket.scm 174 */
BgL_socketz00_615 = BgL_socketz00_519; }  else 
{ /* Llib/socket.scm 174 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol1919z00zz__socketz00, BGl_string1908z00zz__socketz00, BgL_socketz00_519, BGl_string1909z00zz__socketz00, 
BINT(((long)7396))); 
exit( -1 );} 
{ /* Llib/socket.scm 174 */
obj_t BgL_symbol1674z00_616;
BgL_symbol1674z00_616 = BGl_symbol1918z00zz__socketz00; 
{ /* Llib/socket.scm 174 */

PUSH_TRACE(BgL_symbol1674z00_616); BUNSPEC; 
{ /* Llib/socket.scm 174 */
obj_t BgL_aux1673z00_617;
BgL_aux1673z00_617 = 
SOCKET_INPUT(BgL_socketz00_615); 
POP_TRACE(); 
return BgL_aux1673z00_617;} } } } } 
}



/* socket-output */
obj_t BGl_socketzd2outputzd2zz__socketz00(obj_t BgL_socketz00_10)
{ AN_OBJECT;
{ /* Llib/socket.scm 179 */
{ /* Llib/socket.scm 180 */
obj_t BgL_symbol1678z00_618;
BgL_symbol1678z00_618 = BGl_symbol1920z00zz__socketz00; 
{ /* Llib/socket.scm 180 */

PUSH_TRACE(BgL_symbol1678z00_618); BUNSPEC; 
{ /* Llib/socket.scm 180 */
obj_t BgL_aux1677z00_619;
BgL_aux1677z00_619 = 
SOCKET_OUTPUT(BgL_socketz00_10); 
POP_TRACE(); 
return BgL_aux1677z00_619;} } } } 
}



/* _socket-output */
obj_t BGl__socketzd2outputzd2zz__socketz00(obj_t BgL_envz00_520, obj_t BgL_socketz00_521)
{ AN_OBJECT;
{ /* Llib/socket.scm 179 */
{ /* Llib/socket.scm 180 */
obj_t BgL_socketz00_620;
if(
SOCKETP(BgL_socketz00_521))
{ /* Llib/socket.scm 180 */
BgL_socketz00_620 = BgL_socketz00_521; }  else 
{ /* Llib/socket.scm 180 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol1921z00zz__socketz00, BGl_string1908z00zz__socketz00, BgL_socketz00_521, BGl_string1909z00zz__socketz00, 
BINT(((long)7693))); 
exit( -1 );} 
{ /* Llib/socket.scm 180 */
obj_t BgL_symbol1678z00_621;
BgL_symbol1678z00_621 = BGl_symbol1920z00zz__socketz00; 
{ /* Llib/socket.scm 180 */

PUSH_TRACE(BgL_symbol1678z00_621); BUNSPEC; 
{ /* Llib/socket.scm 180 */
obj_t BgL_aux1677z00_622;
BgL_aux1677z00_622 = 
SOCKET_OUTPUT(BgL_socketz00_620); 
POP_TRACE(); 
return BgL_aux1677z00_622;} } } } } 
}



/* make-client-socket */
obj_t BGl_makezd2clientzd2socketz00zz__socketz00(obj_t BgL_hostnamez00_11, int BgL_portzd2numberzd2_12, obj_t BgL_bufferedz00_13)
{ AN_OBJECT;
{ /* Llib/socket.scm 185 */
{ /* Llib/socket.scm 188 */
obj_t BgL_symbol1682z00_623;
BgL_symbol1682z00_623 = BGl_symbol1922z00zz__socketz00; 
{ /* Llib/socket.scm 188 */

PUSH_TRACE(BgL_symbol1682z00_623); BUNSPEC; 
{ /* Llib/socket.scm 188 */
obj_t BgL_aux1681z00_624;
{ /* Llib/socket.scm 188 */
bool_t BgL_arg1023z00_625;
{ /* Llib/socket.scm 188 */
bool_t BgL__ortest_1003z00_626;
BgL__ortest_1003z00_626 = 
NULLP(BgL_bufferedz00_13); 
if(BgL__ortest_1003z00_626)
{ /* Llib/socket.scm 188 */
BgL_arg1023z00_625 = BgL__ortest_1003z00_626; }  else 
{ /* Llib/socket.scm 188 */
obj_t BgL_arg1027z00_627;
{ /* Llib/socket.scm 188 */
obj_t BgL_pairz00_628;
if(
PAIRP(BgL_bufferedz00_13))
{ /* Llib/socket.scm 188 */
BgL_pairz00_628 = BgL_bufferedz00_13; }  else 
{ /* Llib/socket.scm 188 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol1922z00zz__socketz00, BGl_string1923z00zz__socketz00, BgL_bufferedz00_13, BGl_string1909z00zz__socketz00, 
BINT(((long)8076))); 
exit( -1 );} 
BgL_arg1027z00_627 = 
CAR(BgL_pairz00_628); } 
BgL_arg1023z00_625 = 
(BgL_arg1027z00_627==BTRUE); } } 
BgL_aux1681z00_624 = 
make_client_socket(BgL_hostnamez00_11, BgL_portzd2numberzd2_12, BgL_arg1023z00_625); } 
POP_TRACE(); 
return BgL_aux1681z00_624;} } } } 
}



/* _make-client-socket */
obj_t BGl__makezd2clientzd2socketz00zz__socketz00(obj_t BgL_envz00_522, obj_t BgL_hostnamez00_523, obj_t BgL_portzd2numberzd2_524, obj_t BgL_bufferedz00_525)
{ AN_OBJECT;
{ /* Llib/socket.scm 185 */
{ /* Llib/socket.scm 188 */
obj_t BgL_res1938z00_638;
{ /* Llib/socket.scm 188 */
obj_t BgL_hostnamez00_629;int BgL_portzd2numberzd2_630;
if(
STRINGP(BgL_hostnamez00_523))
{ /* Llib/socket.scm 188 */
BgL_hostnamez00_629 = BgL_hostnamez00_523; }  else 
{ /* Llib/socket.scm 188 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol1924z00zz__socketz00, BGl_string1925z00zz__socketz00, BgL_hostnamez00_523, BGl_string1909z00zz__socketz00, 
BINT(((long)8076))); 
exit( -1 );} 
{ /* Llib/socket.scm 188 */
obj_t BgL_auxz00_837;
if(
INTEGERP(BgL_portzd2numberzd2_524))
{ /* Llib/socket.scm 188 */
BgL_auxz00_837 = BgL_portzd2numberzd2_524
; }  else 
{ /* Llib/socket.scm 188 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol1924z00zz__socketz00, BGl_string1926z00zz__socketz00, BgL_portzd2numberzd2_524, BGl_string1909z00zz__socketz00, 
BINT(((long)8076))); 
exit( -1 );} 
BgL_portzd2numberzd2_630 = 
CINT(BgL_auxz00_837); } 
{ /* Llib/socket.scm 188 */
obj_t BgL_symbol1682z00_632;
BgL_symbol1682z00_632 = BGl_symbol1922z00zz__socketz00; 
{ /* Llib/socket.scm 188 */

PUSH_TRACE(BgL_symbol1682z00_632); BUNSPEC; 
{ /* Llib/socket.scm 188 */
obj_t BgL_aux1681z00_633;
{ /* Llib/socket.scm 188 */
bool_t BgL_arg1023z00_634;
{ /* Llib/socket.scm 188 */
bool_t BgL__ortest_1003z00_635;
BgL__ortest_1003z00_635 = 
NULLP(BgL_bufferedz00_525); 
if(BgL__ortest_1003z00_635)
{ /* Llib/socket.scm 188 */
BgL_arg1023z00_634 = BgL__ortest_1003z00_635; }  else 
{ /* Llib/socket.scm 188 */
obj_t BgL_arg1027z00_636;
{ /* Llib/socket.scm 188 */
obj_t BgL_pairz00_637;
if(
PAIRP(BgL_bufferedz00_525))
{ /* Llib/socket.scm 188 */
BgL_pairz00_637 = BgL_bufferedz00_525; }  else 
{ /* Llib/socket.scm 188 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol1922z00zz__socketz00, BGl_string1923z00zz__socketz00, BgL_bufferedz00_525, BGl_string1909z00zz__socketz00, 
BINT(((long)8076))); 
exit( -1 );} 
BgL_arg1027z00_636 = 
CAR(BgL_pairz00_637); } 
BgL_arg1023z00_634 = 
(BgL_arg1027z00_636==BTRUE); } } 
BgL_aux1681z00_633 = 
make_client_socket(BgL_hostnamez00_629, BgL_portzd2numberzd2_630, BgL_arg1023z00_634); } 
POP_TRACE(); 
BgL_res1938z00_638 = BgL_aux1681z00_633; } } } } 
return BgL_res1938z00_638;} } 
}



/* make-server-socket */
obj_t BGl_makezd2serverzd2socketz00zz__socketz00(obj_t BgL_portzd2numberzd2_14)
{ AN_OBJECT;
{ /* Llib/socket.scm 193 */
{ /* Llib/socket.scm 194 */
obj_t BgL_symbol1686z00_639;
BgL_symbol1686z00_639 = BGl_symbol1927z00zz__socketz00; 
{ /* Llib/socket.scm 194 */

PUSH_TRACE(BgL_symbol1686z00_639); BUNSPEC; 
{ /* Llib/socket.scm 194 */
obj_t BgL_aux1685z00_640;
{ /* Llib/socket.scm 194 */
obj_t BgL_arg1032z00_641;
if(
NULLP(BgL_portzd2numberzd2_14))
{ /* Llib/socket.scm 194 */
BgL_arg1032z00_641 = 
BINT(((long)0)); }  else 
{ /* Llib/socket.scm 194 */
obj_t BgL_pairz00_642;
if(
PAIRP(BgL_portzd2numberzd2_14))
{ /* Llib/socket.scm 194 */
BgL_pairz00_642 = BgL_portzd2numberzd2_14; }  else 
{ /* Llib/socket.scm 194 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol1927z00zz__socketz00, BGl_string1923z00zz__socketz00, BgL_portzd2numberzd2_14, BGl_string1909z00zz__socketz00, 
BINT(((long)8426))); 
exit( -1 );} 
BgL_arg1032z00_641 = 
CAR(BgL_pairz00_642); } 
{ /* Llib/socket.scm 194 */
int BgL_auxz00_866;
{ /* Llib/socket.scm 194 */
obj_t BgL_auxz00_867;
if(
INTEGERP(BgL_arg1032z00_641))
{ /* Llib/socket.scm 194 */
BgL_auxz00_867 = BgL_arg1032z00_641
; }  else 
{ /* Llib/socket.scm 194 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol1927z00zz__socketz00, BGl_string1926z00zz__socketz00, BgL_arg1032z00_641, BGl_string1909z00zz__socketz00, 
BINT(((long)8426))); 
exit( -1 );} 
BgL_auxz00_866 = 
CINT(BgL_auxz00_867); } 
BgL_aux1685z00_640 = 
make_server_socket(BgL_auxz00_866); } } 
POP_TRACE(); 
return BgL_aux1685z00_640;} } } } 
}



/* _make-server-socket */
obj_t BGl__makezd2serverzd2socketz00zz__socketz00(obj_t BgL_envz00_526, obj_t BgL_portzd2numberzd2_527)
{ AN_OBJECT;
{ /* Llib/socket.scm 193 */
{ /* Llib/socket.scm 194 */
obj_t BgL_res1939z00_648;
{ /* Llib/socket.scm 194 */
obj_t BgL_symbol1686z00_644;
BgL_symbol1686z00_644 = BGl_symbol1927z00zz__socketz00; 
{ /* Llib/socket.scm 194 */

PUSH_TRACE(BgL_symbol1686z00_644); BUNSPEC; 
{ /* Llib/socket.scm 194 */
obj_t BgL_aux1685z00_645;
{ /* Llib/socket.scm 194 */
obj_t BgL_arg1032z00_646;
if(
NULLP(BgL_portzd2numberzd2_527))
{ /* Llib/socket.scm 194 */
BgL_arg1032z00_646 = 
BINT(((long)0)); }  else 
{ /* Llib/socket.scm 194 */
obj_t BgL_pairz00_647;
if(
PAIRP(BgL_portzd2numberzd2_527))
{ /* Llib/socket.scm 194 */
BgL_pairz00_647 = BgL_portzd2numberzd2_527; }  else 
{ /* Llib/socket.scm 194 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol1927z00zz__socketz00, BGl_string1923z00zz__socketz00, BgL_portzd2numberzd2_527, BGl_string1909z00zz__socketz00, 
BINT(((long)8426))); 
exit( -1 );} 
BgL_arg1032z00_646 = 
CAR(BgL_pairz00_647); } 
{ /* Llib/socket.scm 194 */
int BgL_auxz00_886;
{ /* Llib/socket.scm 194 */
obj_t BgL_auxz00_887;
if(
INTEGERP(BgL_arg1032z00_646))
{ /* Llib/socket.scm 194 */
BgL_auxz00_887 = BgL_arg1032z00_646
; }  else 
{ /* Llib/socket.scm 194 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol1927z00zz__socketz00, BGl_string1926z00zz__socketz00, BgL_arg1032z00_646, BGl_string1909z00zz__socketz00, 
BINT(((long)8426))); 
exit( -1 );} 
BgL_auxz00_886 = 
CINT(BgL_auxz00_887); } 
BgL_aux1685z00_645 = 
make_server_socket(BgL_auxz00_886); } } 
POP_TRACE(); 
BgL_res1939z00_648 = BgL_aux1685z00_645; } } } 
return BgL_res1939z00_648;} } 
}



/* socket-accept-connection */
obj_t BGl_socketzd2acceptzd2connectionz00zz__socketz00(obj_t BgL_socketz00_15, obj_t BgL_bufferedz00_16)
{ AN_OBJECT;
{ /* Llib/socket.scm 199 */
{ /* Llib/socket.scm 201 */
obj_t BgL_symbol1690z00_649;
BgL_symbol1690z00_649 = BGl_symbol1928z00zz__socketz00; 
{ /* Llib/socket.scm 201 */

PUSH_TRACE(BgL_symbol1690z00_649); BUNSPEC; 
{ /* Llib/socket.scm 201 */
obj_t BgL_aux1689z00_650;
{ /* Llib/socket.scm 201 */
bool_t BgL_arg1038z00_651;
{ /* Llib/socket.scm 201 */
bool_t BgL__ortest_1004z00_652;
BgL__ortest_1004z00_652 = 
NULLP(BgL_bufferedz00_16); 
if(BgL__ortest_1004z00_652)
{ /* Llib/socket.scm 201 */
BgL_arg1038z00_651 = BgL__ortest_1004z00_652; }  else 
{ /* Llib/socket.scm 201 */
obj_t BgL_arg1041z00_653;
{ /* Llib/socket.scm 201 */
obj_t BgL_pairz00_654;
if(
PAIRP(BgL_bufferedz00_16))
{ /* Llib/socket.scm 201 */
BgL_pairz00_654 = BgL_bufferedz00_16; }  else 
{ /* Llib/socket.scm 201 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol1928z00zz__socketz00, BGl_string1923z00zz__socketz00, BgL_bufferedz00_16, BGl_string1909z00zz__socketz00, 
BINT(((long)8816))); 
exit( -1 );} 
BgL_arg1041z00_653 = 
CAR(BgL_pairz00_654); } 
BgL_arg1038z00_651 = 
(BgL_arg1041z00_653==BTRUE); } } 
BgL_aux1689z00_650 = 
socket_accept_connection(BgL_socketz00_15, BgL_arg1038z00_651); } 
POP_TRACE(); 
return BgL_aux1689z00_650;} } } } 
}



/* _socket-accept-connection */
obj_t BGl__socketzd2acceptzd2connectionz00zz__socketz00(obj_t BgL_envz00_528, obj_t BgL_socketz00_529, obj_t BgL_bufferedz00_530)
{ AN_OBJECT;
{ /* Llib/socket.scm 199 */
{ /* Llib/socket.scm 201 */
obj_t BgL_socketz00_655;
if(
SOCKETP(BgL_socketz00_529))
{ /* Llib/socket.scm 201 */
BgL_socketz00_655 = BgL_socketz00_529; }  else 
{ /* Llib/socket.scm 201 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol1929z00zz__socketz00, BGl_string1908z00zz__socketz00, BgL_socketz00_529, BGl_string1909z00zz__socketz00, 
BINT(((long)8816))); 
exit( -1 );} 
{ /* Llib/socket.scm 201 */
obj_t BgL_symbol1690z00_657;
BgL_symbol1690z00_657 = BGl_symbol1928z00zz__socketz00; 
{ /* Llib/socket.scm 201 */

PUSH_TRACE(BgL_symbol1690z00_657); BUNSPEC; 
{ /* Llib/socket.scm 201 */
obj_t BgL_aux1689z00_658;
{ /* Llib/socket.scm 201 */
bool_t BgL_arg1038z00_659;
{ /* Llib/socket.scm 201 */
bool_t BgL__ortest_1004z00_660;
BgL__ortest_1004z00_660 = 
NULLP(BgL_bufferedz00_530); 
if(BgL__ortest_1004z00_660)
{ /* Llib/socket.scm 201 */
BgL_arg1038z00_659 = BgL__ortest_1004z00_660; }  else 
{ /* Llib/socket.scm 201 */
obj_t BgL_arg1041z00_661;
{ /* Llib/socket.scm 201 */
obj_t BgL_pairz00_662;
if(
PAIRP(BgL_bufferedz00_530))
{ /* Llib/socket.scm 201 */
BgL_pairz00_662 = BgL_bufferedz00_530; }  else 
{ /* Llib/socket.scm 201 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol1928z00zz__socketz00, BGl_string1923z00zz__socketz00, BgL_bufferedz00_530, BGl_string1909z00zz__socketz00, 
BINT(((long)8816))); 
exit( -1 );} 
BgL_arg1041z00_661 = 
CAR(BgL_pairz00_662); } 
BgL_arg1038z00_659 = 
(BgL_arg1041z00_661==BTRUE); } } 
BgL_aux1689z00_658 = 
socket_accept_connection(BgL_socketz00_655, BgL_arg1038z00_659); } 
POP_TRACE(); 
return BgL_aux1689z00_658;} } } } } 
}



/* socket-dup */
obj_t BGl_socketzd2dupzd2zz__socketz00(obj_t BgL_socketz00_17)
{ AN_OBJECT;
{ /* Llib/socket.scm 206 */
{ /* Llib/socket.scm 207 */
obj_t BgL_symbol1694z00_663;
BgL_symbol1694z00_663 = BGl_symbol1930z00zz__socketz00; 
{ /* Llib/socket.scm 207 */

PUSH_TRACE(BgL_symbol1694z00_663); BUNSPEC; 
{ /* Llib/socket.scm 207 */
obj_t BgL_aux1693z00_664;
BgL_aux1693z00_664 = 
socket_dup(BgL_socketz00_17); 
POP_TRACE(); 
return BgL_aux1693z00_664;} } } } 
}



/* _socket-dup */
obj_t BGl__socketzd2dupzd2zz__socketz00(obj_t BgL_envz00_531, obj_t BgL_socketz00_532)
{ AN_OBJECT;
{ /* Llib/socket.scm 206 */
{ /* Llib/socket.scm 207 */
obj_t BgL_res1940z00_668;
{ /* Llib/socket.scm 207 */
obj_t BgL_socketz00_665;
if(
SOCKETP(BgL_socketz00_532))
{ /* Llib/socket.scm 207 */
BgL_socketz00_665 = BgL_socketz00_532; }  else 
{ /* Llib/socket.scm 207 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol1931z00zz__socketz00, BGl_string1908z00zz__socketz00, BgL_socketz00_532, BGl_string1909z00zz__socketz00, 
BINT(((long)9142))); 
exit( -1 );} 
{ /* Llib/socket.scm 207 */
obj_t BgL_symbol1694z00_666;
BgL_symbol1694z00_666 = BGl_symbol1930z00zz__socketz00; 
{ /* Llib/socket.scm 207 */

PUSH_TRACE(BgL_symbol1694z00_666); BUNSPEC; 
{ /* Llib/socket.scm 207 */
obj_t BgL_aux1693z00_667;
BgL_aux1693z00_667 = 
socket_dup(BgL_socketz00_665); 
POP_TRACE(); 
BgL_res1940z00_668 = BgL_aux1693z00_667; } } } } 
return BgL_res1940z00_668;} } 
}



/* socket-shutdown */
obj_t BGl_socketzd2shutdownzd2zz__socketz00(obj_t BgL_socketz00_18, obj_t BgL_closez00_19)
{ AN_OBJECT;
{ /* Llib/socket.scm 212 */
{ /* Llib/socket.scm 213 */
obj_t BgL_symbol1698z00_669;
BgL_symbol1698z00_669 = BGl_symbol1932z00zz__socketz00; 
{ /* Llib/socket.scm 213 */

PUSH_TRACE(BgL_symbol1698z00_669); BUNSPEC; 
{ /* Llib/socket.scm 213 */
obj_t BgL_aux1697z00_670;
{ /* Llib/socket.scm 213 */
obj_t BgL_arg1047z00_671;
{ /* Llib/socket.scm 213 */
bool_t BgL_test1049z00_672;
BgL_test1049z00_672 = 
PAIRP(BgL_closez00_19); 
if(BgL_test1049z00_672)
{ /* Llib/socket.scm 213 */
obj_t BgL_pairz00_673;
if(BgL_test1049z00_672)
{ /* Llib/socket.scm 213 */
BgL_pairz00_673 = BgL_closez00_19; }  else 
{ /* Llib/socket.scm 213 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol1932z00zz__socketz00, BGl_string1923z00zz__socketz00, BgL_closez00_19, BGl_string1909z00zz__socketz00, 
BINT(((long)9473))); 
exit( -1 );} 
BgL_arg1047z00_671 = 
CAR(BgL_pairz00_673); }  else 
{ /* Llib/socket.scm 213 */
BgL_arg1047z00_671 = BTRUE; } } 
{ /* Llib/socket.scm 213 */
bool_t BgL_auxz00_944;
BgL_auxz00_944 = 
CBOOL(BgL_arg1047z00_671); 
BgL_aux1697z00_670 = 
socket_shutdown(BgL_socketz00_18, BgL_auxz00_944); } } 
POP_TRACE(); 
return BgL_aux1697z00_670;} } } } 
}



/* _socket-shutdown */
obj_t BGl__socketzd2shutdownzd2zz__socketz00(obj_t BgL_envz00_533, obj_t BgL_socketz00_534, obj_t BgL_closez00_535)
{ AN_OBJECT;
{ /* Llib/socket.scm 212 */
{ /* Llib/socket.scm 213 */
obj_t BgL_socketz00_674;
if(
SOCKETP(BgL_socketz00_534))
{ /* Llib/socket.scm 213 */
BgL_socketz00_674 = BgL_socketz00_534; }  else 
{ /* Llib/socket.scm 213 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol1933z00zz__socketz00, BGl_string1908z00zz__socketz00, BgL_socketz00_534, BGl_string1909z00zz__socketz00, 
BINT(((long)9473))); 
exit( -1 );} 
{ /* Llib/socket.scm 213 */
obj_t BgL_symbol1698z00_676;
BgL_symbol1698z00_676 = BGl_symbol1932z00zz__socketz00; 
{ /* Llib/socket.scm 213 */

PUSH_TRACE(BgL_symbol1698z00_676); BUNSPEC; 
{ /* Llib/socket.scm 213 */
obj_t BgL_aux1697z00_677;
{ /* Llib/socket.scm 213 */
obj_t BgL_arg1047z00_678;
{ /* Llib/socket.scm 213 */
bool_t BgL_test1049z00_679;
BgL_test1049z00_679 = 
PAIRP(BgL_closez00_535); 
if(BgL_test1049z00_679)
{ /* Llib/socket.scm 213 */
obj_t BgL_pairz00_680;
if(BgL_test1049z00_679)
{ /* Llib/socket.scm 213 */
BgL_pairz00_680 = BgL_closez00_535; }  else 
{ /* Llib/socket.scm 213 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol1932z00zz__socketz00, BGl_string1923z00zz__socketz00, BgL_closez00_535, BGl_string1909z00zz__socketz00, 
BINT(((long)9473))); 
exit( -1 );} 
BgL_arg1047z00_678 = 
CAR(BgL_pairz00_680); }  else 
{ /* Llib/socket.scm 213 */
BgL_arg1047z00_678 = BTRUE; } } 
{ /* Llib/socket.scm 213 */
bool_t BgL_auxz00_961;
BgL_auxz00_961 = 
CBOOL(BgL_arg1047z00_678); 
BgL_aux1697z00_677 = 
socket_shutdown(BgL_socketz00_674, BgL_auxz00_961); } } 
POP_TRACE(); 
return BgL_aux1697z00_677;} } } } } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__socketz00()
{ AN_OBJECT;
{ /* Llib/socket.scm 15 */
{ /* Llib/socket.scm 15 */
obj_t BgL_symbol1702z00_500;
BgL_symbol1702z00_500 = BGl_symbol1934z00zz__socketz00; 
{ /* Llib/socket.scm 15 */

PUSH_TRACE(BgL_symbol1702z00_500); BUNSPEC; 
{ /* Llib/socket.scm 15 */
obj_t BgL_aux1701z00_501;
BgL_aux1701z00_501 = 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)62184), "__socket"); 
POP_TRACE(); 
return BgL_aux1701z00_501;} } } } 
}

