/*===========================================================================*/
/*   (Llib/binary.scm)                                                       */
/*   Bigloo (2.5b)                                                           */
/*   Manuel Serrano (c)       Fri Sep 6 09:43:28 CEST 2002                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>
#include <signal.h>

extern obj_t BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t);
extern obj_t BGl_modulezd2initializa7ationz75zz__binaryz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__intextz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t output_obj(obj_t, obj_t);
static obj_t BGl__openzd2outputzd2binaryzd2file1653zd2zz__binaryz00(obj_t, obj_t);
static obj_t BGl__appendzd2outputzd2binaryzd2file1655zd2zz__binaryz00(obj_t, obj_t);
static obj_t BGl__inputzd2char1667zd2zz__binaryz00(obj_t, obj_t);
extern obj_t open_output_binary_file(obj_t);
extern obj_t BGl_inputzd2objzd2zz__binaryz00(obj_t);
extern obj_t BGl_appendzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t);
static obj_t BGl__closezd2binaryzd2port1659z00zz__binaryz00(obj_t, obj_t);
extern bool_t BGl_binaryzd2portzf3z21zz__binaryz00(obj_t);
static obj_t BGl__outputzd2obj1663zd2zz__binaryz00(obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__binaryz00();
extern obj_t BGl_inputzd2charzd2zz__binaryz00(obj_t);
extern obj_t BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__binaryz00 = BUNSPEC;
static obj_t BGl__inputzd2obj1661zd2zz__binaryz00(obj_t, obj_t);
extern obj_t open_input_binary_file(obj_t);
extern obj_t append_output_binary_file(obj_t);
extern obj_t BGl_outputzd2charzd2zz__binaryz00(obj_t, char);
extern obj_t input_obj(obj_t);
extern obj_t BGl_closezd2binaryzd2portz00zz__binaryz00(obj_t);
static obj_t BGl__openzd2inputzd2binaryzd2file1657zd2zz__binaryz00(obj_t, obj_t);
static obj_t BGl__outputzd2char1665zd2zz__binaryz00(obj_t, obj_t, obj_t);
extern obj_t close_binary_port(obj_t);
extern obj_t BGl_outputzd2objzd2zz__binaryz00(obj_t, obj_t);
static obj_t BGl__binaryzd2portzf3z21zz__binaryz00(obj_t, obj_t);
static obj_t *__cnst;

DEFINE_EXPORT_PROCEDURE( BGl_outputzd2objzd2envz00zz__binaryz00, BgL_bgl__outputza7d2obj1663za7d2za7za7__binaryza7001677za7, BGl__outputzd2obj1663zd2zz__binaryz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_appendzd2outputzd2binaryzd2filezd2envz00zz__binaryz00, BgL_bgl__appendza7d2outputza7d2binaryza7d2file1655za7d2za7za7__binaryza7001678za7, BGl__appendzd2outputzd2binaryzd2file1655zd2zz__binaryz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_closezd2binaryzd2portzd2envzd2zz__binaryz00, BgL_bgl__closeza7d2binaryza7d2port1659za700za7za7__binaryza7001679z00, BGl__closezd2binaryzd2port1659z00zz__binaryz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_outputzd2charzd2envz00zz__binaryz00, BgL_bgl__outputza7d2char1665za7d2za7za7__binaryza7001680za7, BGl__outputzd2char1665zd2zz__binaryz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_openzd2inputzd2binaryzd2filezd2envz00zz__binaryz00, BgL_bgl__openza7d2inputza7d2binaryza7d2file1657za7d2za7za7__binaryza7001681za7, BGl__openzd2inputzd2binaryzd2file1657zd2zz__binaryz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_binaryzd2portzf3zd2envzf3zz__binaryz00, BgL_bgl__binaryza7d2portza7f3za721za7za7__binaryza7001682z00, BGl__binaryzd2portzf3z21zz__binaryz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_openzd2outputzd2binaryzd2filezd2envz00zz__binaryz00, BgL_bgl__openza7d2outputza7d2binaryza7d2file1653za7d2za7za7__binaryza7001683za7, BGl__openzd2outputzd2binaryzd2file1653zd2zz__binaryz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_inputzd2charzd2envz00zz__binaryz00, BgL_bgl__inputza7d2char1667za7d2za7za7__binaryza7001684za7, BGl__inputzd2char1667zd2zz__binaryz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_inputzd2objzd2envz00zz__binaryz00, BgL_bgl__inputza7d2obj1661za7d2za7za7__binaryza7001685za7, BGl__inputzd2obj1661zd2zz__binaryz00, 0L, 1 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zz__binaryz00(long BgL_checksumz00_542, char * BgL_fromz00_543)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__binaryz00))
{ 
BGl_requirezd2initializa7ationz75zz__binaryz00 = 
BBOOL(((bool_t)0)); 
BGl_importedzd2moduleszd2initz00zz__binaryz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* binary-port? */
bool_t BGl_binaryzd2portzf3z21zz__binaryz00(obj_t BgL_objz00_1)
{ AN_OBJECT;
{ /* Llib/binary.scm 108 */
return 
BINARY_PORTP(BgL_objz00_1);} 
}



/* _binary-port? */
obj_t BGl__binaryzd2portzf3z21zz__binaryz00(obj_t BgL_envz00_509, obj_t BgL_objz00_510)
{ AN_OBJECT;
{ /* Llib/binary.scm 108 */
{ /* Llib/binary.scm 109 */
bool_t BgL_auxz00_549;
BgL_auxz00_549 = 
BINARY_PORTP(BgL_objz00_510); 
return 
BBOOL(BgL_auxz00_549);} } 
}



/* open-output-binary-file */
obj_t BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t BgL_strz00_2)
{ AN_OBJECT;
{ /* Llib/binary.scm 114 */
return 
open_output_binary_file(BgL_strz00_2);} 
}



/* _open-output-binary-file1653 */
obj_t BGl__openzd2outputzd2binaryzd2file1653zd2zz__binaryz00(obj_t BgL_envz00_511, obj_t BgL_strz00_512)
{ AN_OBJECT;
{ /* Llib/binary.scm 114 */
return 
open_output_binary_file(BgL_strz00_512);} 
}



/* append-output-binary-file */
obj_t BGl_appendzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t BgL_strz00_3)
{ AN_OBJECT;
{ /* Llib/binary.scm 120 */
return 
append_output_binary_file(BgL_strz00_3);} 
}



/* _append-output-binary-file1655 */
obj_t BGl__appendzd2outputzd2binaryzd2file1655zd2zz__binaryz00(obj_t BgL_envz00_513, obj_t BgL_strz00_514)
{ AN_OBJECT;
{ /* Llib/binary.scm 120 */
return 
append_output_binary_file(BgL_strz00_514);} 
}



/* open-input-binary-file */
obj_t BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00(obj_t BgL_strz00_4)
{ AN_OBJECT;
{ /* Llib/binary.scm 126 */
return 
open_input_binary_file(BgL_strz00_4);} 
}



/* _open-input-binary-file1657 */
obj_t BGl__openzd2inputzd2binaryzd2file1657zd2zz__binaryz00(obj_t BgL_envz00_515, obj_t BgL_strz00_516)
{ AN_OBJECT;
{ /* Llib/binary.scm 126 */
return 
open_input_binary_file(BgL_strz00_516);} 
}



/* close-binary-port */
obj_t BGl_closezd2binaryzd2portz00zz__binaryz00(obj_t BgL_portz00_5)
{ AN_OBJECT;
{ /* Llib/binary.scm 132 */
return 
close_binary_port(BgL_portz00_5);} 
}



/* _close-binary-port1659 */
obj_t BGl__closezd2binaryzd2port1659z00zz__binaryz00(obj_t BgL_envz00_517, obj_t BgL_portz00_518)
{ AN_OBJECT;
{ /* Llib/binary.scm 132 */
return 
close_binary_port(BgL_portz00_518);} 
}



/* input-obj */
obj_t BGl_inputzd2objzd2zz__binaryz00(obj_t BgL_portz00_6)
{ AN_OBJECT;
{ /* Llib/binary.scm 138 */
return 
input_obj(BgL_portz00_6);} 
}



/* _input-obj1661 */
obj_t BGl__inputzd2obj1661zd2zz__binaryz00(obj_t BgL_envz00_519, obj_t BgL_portz00_520)
{ AN_OBJECT;
{ /* Llib/binary.scm 138 */
return 
input_obj(BgL_portz00_520);} 
}



/* output-obj */
obj_t BGl_outputzd2objzd2zz__binaryz00(obj_t BgL_portz00_7, obj_t BgL_objz00_8)
{ AN_OBJECT;
{ /* Llib/binary.scm 144 */
return 
output_obj(BgL_portz00_7, BgL_objz00_8);} 
}



/* _output-obj1663 */
obj_t BGl__outputzd2obj1663zd2zz__binaryz00(obj_t BgL_envz00_521, obj_t BgL_portz00_522, obj_t BgL_objz00_523)
{ AN_OBJECT;
{ /* Llib/binary.scm 144 */
return 
output_obj(BgL_portz00_522, BgL_objz00_523);} 
}



/* output-char */
obj_t BGl_outputzd2charzd2zz__binaryz00(obj_t BgL_portz00_9, char BgL_charz00_10)
{ AN_OBJECT;
{ /* Llib/binary.scm 150 */
return 
BGL_OUTPUT_CHAR(BgL_portz00_9, BgL_charz00_10);} 
}



/* _output-char1665 */
obj_t BGl__outputzd2char1665zd2zz__binaryz00(obj_t BgL_envz00_524, obj_t BgL_portz00_525, obj_t BgL_charz00_526)
{ AN_OBJECT;
{ /* Llib/binary.scm 150 */
{ /* Llib/binary.scm 151 */
char BgL_auxz00_565;
BgL_auxz00_565 = 
CCHAR(BgL_charz00_526); 
return 
BGL_OUTPUT_CHAR(BgL_portz00_525, BgL_auxz00_565);} } 
}



/* input-char */
obj_t BGl_inputzd2charzd2zz__binaryz00(obj_t BgL_portz00_11)
{ AN_OBJECT;
{ /* Llib/binary.scm 156 */
{ /* Llib/binary.scm 157 */
int BgL_charz00_539;
BgL_charz00_539 = 
BGL_INPUT_CHAR(BgL_portz00_11); 
if(
BGL_INT_EOFP(BgL_charz00_539))
{ /* Llib/binary.scm 157 */
return BEOF;}  else 
{ /* Llib/binary.scm 157 */
unsigned char BgL_auxz00_571;
{ /* Llib/binary.scm 157 */
long BgL_auxz00_572;
BgL_auxz00_572 = 
(long)(BgL_charz00_539); 
BgL_auxz00_571 = 
(BgL_auxz00_572); } 
return 
BCHAR(BgL_auxz00_571);} } } 
}



/* _input-char1667 */
obj_t BGl__inputzd2char1667zd2zz__binaryz00(obj_t BgL_envz00_527, obj_t BgL_portz00_528)
{ AN_OBJECT;
{ /* Llib/binary.scm 156 */
{ /* Llib/binary.scm 157 */
int BgL_charz00_541;
BgL_charz00_541 = 
BGL_INPUT_CHAR(BgL_portz00_528); 
if(
BGL_INT_EOFP(BgL_charz00_541))
{ /* Llib/binary.scm 157 */
return BEOF;}  else 
{ /* Llib/binary.scm 157 */
unsigned char BgL_auxz00_579;
{ /* Llib/binary.scm 157 */
long BgL_auxz00_580;
BgL_auxz00_580 = 
(long)(BgL_charz00_541); 
BgL_auxz00_579 = 
(BgL_auxz00_580); } 
return 
BCHAR(BgL_auxz00_579);} } } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__binaryz00()
{ AN_OBJECT;
{ /* Llib/binary.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)62184), "__binary"); 
return 
BGl_modulezd2initializa7ationz75zz__intextz00(((long)52537), "__binary");} 
}

